2003-05-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c: Add Mark Gordon.

2003-05-20  Ettore Perazzoli  <ettore@ximian.com>

	[#43322]

	* e-shell-shared-folder-picker-dialog.c (storage_weak_notify): Set
	the storage member to NULL.
	(shell_weak_notify): Set the shell member to NULL.
	(cleanup_discovery): g_object_weak_unref() shell, parent and
	storage.

2003-05-19  Ettore Perazzoli  <ettore@ximian.com>

	* main.c: Removed "forced_upgrade" unused variable.
	(show_development_warning): Put in a DEVELOPMENT_WARNING cpp
	conditional.
	(warning_dialog_response_callback): Likewise.
	(view_map_callback): Likewise.
	(new_view_created_callback): Likewise.
	(idle_cb) [DEVELOPMENT_WARNING]: Do not connect
	new_view_created_callback() to the "new_view" shell signal
	anymore.

	* Makefile.am (install-evolution) [DEFAULT_BINARY]: Make a
	symbolic link from evolution to evolution-$(BASE_VERSION).

	[#43216]

	* e-shell-folder-creation-dialog.c (dialog_data_destroy):
	g_object_weak_unref shell and dialog if they are not NULL.
	(dialog_destroy_notify): Set ->dialog to NULL in all cases.

2003-05-19  Anna Marie Dirks  <anna@ximian.com>

	* e-corba-config-page.c: Remove some padding which I incorrectly
	added to the wrong vbox. This shoulda been fixed in 
	widgets/misc/e-multi-config-dialog.c . (And it is, now.) 
	
2003-05-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (e_storage_set_view_set_show_checkboxes):
	Reallocate the "expansions" member of ETreeState as well, to avoid
	a memory error.  [#43119]

2003-05-15  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (parse_default_uri): Protect against the component
	name having slashes in it.

	* e-shell-view.c (display_uri): Protect against invalid "default:"
	URIs.  [#43079]

2003-05-15  Rodrigo Moya <rodrigo@ximian.com>

	* main.c: #ifdef'ed wombat killing code, depending on whether
	KILL_PROCESS_CMD is defined or not.
	(kill_wombat): kill also the alarm daemon process.

2003-05-15  Ettore Perazzoli  <ettore@ximian.com>

	[Patch from Antonio Xu <antonio.xu@sun.com>, #42491]

	* e-config-upgrade.c (upgrade_xml_1_2_rec): Make it compile on
	Forte.

2003-05-14  JP Rosevear  <jpr@ximian.com>

	* e-shell.c (save_settings_for_component): release the interface
	if we got it

	* e-shell-view.c: include bonobo-exception.h
	(impl_dispose): release and unref the shell view corba interface
	(init): init to CORBA_OBJECT_NIL
	(e_shell_view_get_corba_interface): return the corba interface
	(setup_corba_interface): release the existing shell view, add as
	an interface and then query to get it back
	(get_view_for_uri): release and unref the control once we create
	the widget with it

	* e-corba-storage.c (storage_listener_servant_new): don't ref ourselves
	(storage_listener_servant_free): don't unref ourselves
	(impl_dispose): free the servant info

	* e-corba-storage-registry.c
	(impl_StorageRegistry_getStorageByName): we need to ref as well as
	duplicate since we didn't create the storage here

2003-05-09  Jeremy Katz  <katzj@redhat.com>

	* main.c: Add a #include to fix a warning.

	* e-shell-offline-handler.c (update_dialog_clist): Use a list
	store instead of a tree model for the store.

2003-05-08  Ettore Perazzoli  <ettore@ximian.com>

	[#42342]
	* e-shell-view.c (update_send_receive_sensitivity): New function
	to update the Send/Receive menu and toolbar items according to the
	current line status.
	(e_shell_view_construct): Call it here to set up the initial
	state.
	(shell_line_status_changed_cb): Use it here as well.

2003-05-08  Ettore Perazzoli  <ettore@ximian.com>

	[#36956]
	* e-shell-view.c (update_for_current_uri): Remove the version
	number from the window title.

	[#42518]
	* e-shell-view.c (handle_current_folder_removed): Casefold the
	Inbox name only once, instead of once per iteration.  Removed the
	spurious slash that was being passed in the path in the Inbox case
	and prevented it from working.  Added missing slash in the path
	for the storage case.  Casefold the path including the slash,
	since we compare against a string that does include the slash.
	(storage_set_removed_folder_callback): Remove the notebook page
	before calling handle_current_folder_removed(), instead of after;
	otherwise, the notebook page number we have might not be valid
	anymore.

	* e-shell-folder-creation-dialog.c (setup_dialog): Set the default
	response for the dialog to GTK_RESPONSE_OK.

2003-05-07  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c (e_shell_command_add_to_shortcut_bar):
	Do use the supplied folder_path to determine the unread count, if
	not NULL.  [#42465]

2003-05-07  JP Rosevear  <jpr@ximian.com>

	* e-shell-folder-commands.c (delete_dialog): don't pass
	NO_SEPARATOR flag as per gtkmessagedialog warning

2003-05-02  Not Zed  <NotZed@Ximian.com>

	* e-shell-about-box.c (text[]): grepped changelogs and added all
	names found.  #40391.

2003-05-01  Dan Winship  <danw@ximian.com>

	* glade/e-shell-shared-folder-picker-dialog.glade: Don't expand
	the select-names entry, because we don't want it as tall as the
	button.

2003-04-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-selection-dialog.c
	(e_shell_folder_selection_dialog_construct): Set the default
	response to GTK_RESPONSE_OK.

2003-04-29  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Fix install of evolution
	
2003-04-28  Not Zed  <NotZed@Ximian.com>

	[#41013]

	* e-shell-importer.c (html_size_req): removed.
	(create_help): renamed from create_html.  Only creates a plain
	label widget now, with line wrap turned on.  Also make the
	g_return an assert, it failing is entirely based on internal code.
	(show_import_wizard): s/create_html/create_help/g

	[#41648]
	
	* e-config-upgrade.c (upgrade_xml_file): upgrade_xml_file_1_0 made
	a bit more generic, this handles io, a callback handles xml
	changes.
	(is_xml1encoded): new function to tell if a string is in gal's
	xml1 'encoded' format, or raw locale text.
	(decode_xml1): decode xml1 encoded format to valid utf8.
	(upgrade_xml_1_2_rec): upgrades xml1 encoded or badly encoded xml
	content for specific parent->child nodes.
	(CONF_REVISION): bump the config revision to 1.3.1.
	(e_config_upgrade): if config revision < 1.3.1, then check xml
	files for xml1 content.

2003-04-28  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Fix up some stuff for the nognome script
	* evolution-nognome.in: Fix up nognome script for Sun GNOME2
	
2003-04-28  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #41916

	* evolution-storage.c (get_folder_list_foreach): removed comment which
	does not apply any more.
	(impl_Storage__get_folderList): set sequence's maximum number of items
	to e_folder_tree_get_count as is.

2003-04-28  Ettore Perazzoli  <ettore@ximian.com>

	Patch from Sanshao Jiang <alex.jiang@sun.com>.

	[#41484]

	* main.c (main): Add e_proxy_init()
	
2003-04-24  Dan Winship  <danw@ximian.com>

	* evolution-shell-component.c (impl_setOwner): Comment out the
	pinging code again since it's only being used by Connector, where
	it's triggering an unrelated bug.

2003-04-25  Ettore Perazzoli  <ettore@ximian.com>

	[#41059]

	* e-corba-storage.c (async_open_cb): Added a missing unref of the
	storage in the closure.
	(async_open_folder_idle): Add the pending open to the pending open
	list before calling asyncOpenFolder, instead of after.

2003-04-23  Not Zed  <NotZed@Ximian.com>

	* e-local-storage.c (load_folder): cast to remove warning.
	(construct): set a physiucal uri on the root folder, so we dont
	get warnings when we add it later.

2003-04-22  Anna Marie Dirks  <anna@ximian.com>

	* e-shell-settings-dialog.c (init): Add appropriate padding 
	to the Evolution Settings window. This is another bit of the 
	fix for #41392.

	* e-corba-config-page.c (e_corba_config_page_construct): Add 
	appropriate padding to the corba_config_page widget. Partial 
	fix for #41392.

2003-04-23  Anna Marie Dirks  <anna@ximian.com>

	* glade/e-folder-list.glade: replaced buttons with stock buttons
	and added HIG-blessed spacing. Fixes 41145.

2003-04-22  Anna Marie Dirks  <anna@ximian.com>
	
	* e-shortcuts-view.c
	(destroy_group_cb): Set the border width of the message dialog 
	to 6. Also corrected the capitalization for "Remove Shortcut 
	Dialog". Fixes 41569
	(show_new_group_dialog): Fixed the title of "Create New Shortcut
	Group" . Partially fixes 41038.
	(rename_shortcut_cb): Corrected the label capitalization for 
	Rename dialog. Fixes 41567.

2003-04-21  Chris Toshok  <toshok@ximian.com>

	* e-folder-list.c (e_folder_list_parse_xml): this should never
	happen unless you're really trying, but don't crash if the xml
	setting is malformed.

2003-04-21  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (create_folder_directory): Don't signal an
	error if mkdir() returns EEXIST.  This should at least help with
	situations like the one described in #40989.

2003-04-21  Anna Marie Dirks  <anna@ximian.com>

	* e-shell-folder-commands.c (delete_dialog): Corrected border 
	with for Delete Folder dialog. Fixes 41036. 
	(e_shell_command_copy_folder): Corrected capitalization of the "Copy
	Folder" window title. Partial fix for 41025. 
	(e_shell_command_move_folder): Corrected the capitalization of the
	"Move Folder" dialog. Fixes 41024.


2003-04-21  Anna Marie Dirks  <anna@ximian.com>
	
	* e-shell-folder-selection-dialog.c 
	(e_shell_folder_selection_dialog_construct): Added appropriate border 
	width to the folder selection dialog. Fixes 41022, 41146, 41147, 
	41010, partially fixes 41025. 


2003-04-21  Anna Marie Dirks  <anna@ximian.com>

	* glade/evolution-startup-wizard.glade: Added spacing/padding to 
	first-run dialog. Fixes 41242. 	

2003-04-21  Anna Marie Dirks  <anna@ximian.com>

	* glade/e-shell-folder-creation-dialog.glade: Misc HIG-related tweaks,
	mostly spacing and padding related. Fixes 41008. 

	* e-shell-folder-creation-dialog.c (add_storage_set_view): Added
	appropriate spacing to the main vbox of the folder creation dialog.
	Partially fixes 41008.

2003-04-21  Anna Marie Dirks  <anna@ximian.com>
	
	* glade/e-shell-config-default-folders.glade: Added appropriate
	spacing/padding to the default folder pages of the settings dialog. 
	Partial fix for 41128.


2003-04-21  Anna Marie Dirks  <anna@ximian.com>

	* glade/e-active-connection-dialog.glade: Fixed padding/spacing/caps
	of the "Go Offline" dialog. Fixes 41225 and 41227. 

2003-04-18  Rodney Dawes  <dobey@ximian.com>

	* e-shell-view.c: Use PREFIX instead of EVOLUTION_DATADIR for
	bonobo_ui_util_set_ui () [#21499]
	
2003-04-17  Dan Winship  <danw@ximian.com>

	* e-shell-folder-creation-dialog.c (add_folder_types): If the
	default_type is "foo/bar" and "foo" appears in the list but
	"foo/bar" doesn't, use "foo" as the default type. [#41468] Also,
	remove a workaround for a gtk 1.2 bug.

2003-04-16  Dan Winship  <danw@ximian.com>

	* e-corba-storage.c (async_create_folder): If the new folder's
	parent has unresolved children, async_open the parent first, then
	create the new folder. [#41413]
	(async_create_folder, async_remove_folder, async_xfer_folder,
	async_open_folder, async_discover_shared_folder,
	async_remove_shared_folder): Ref the storage.
	(async_folder_cb, async_folder_discovery_cb): Unref it

2003-04-16  Jeffrey Stedfast  <fejj@ximian.com>

	* e-config-upgrade.c: Turn off debugging. Fixes bug #41469.

2003-04-16  Ettore Perazzoli  <ettore@ximian.com>

	* apps_evolution_shell.schemas: Increase the default value for
	/schemas/apps/evolution/shell/view_defaults/folder_bar/width to
	200. 	[#41002]

	* evolution-shell-component.c (owner_ping_callback): Enable this
	again.
	(setup_owner_pinging): Same.
	(impl_setOwner): Check if the shell is in-process and, if so, call
	setup_owner_pinging().

2003-04-15  Hans Petter Jansson  <hpj@ximian.com>

	* e-setup.c (e_setup_check_config): Free the temporary string.

	* e-shell-user-creatable-items-handler.c (append_xml_for_menu_item):
	Free the icon xml string.

	* e-shell.c (parse_default_uri): Free the component name, the
	configuration path and the temporary path.

2003-04-15  Dan Winship  <danw@ximian.com>

	* e-folder.c (e_folder_get_has_subfolders,
	e_folder_set_has_subfolders): new boolean flag.

	* e-storage.c (EStoragePrivate, impl_finalize, init): Remove the
	pseudofolders hash
	(e_storage_async_open_folder): Replace the pseudofolders test with
	a test of whether the folder has the "has_subfolders" flag set.
	(e_storage_new_folder): Likewise (for the folder's parent).
	(e_storage_declare_has_subfolders): Set "has_subfolders" on the
	folder.
	(e_storage_get_has_subfolders): Check "has_subfolders" on the
	folder.
	Should fix #33919.

2003-04-14  Not Zed  <NotZed@Ximian.com>

	* glade/e-active-connection-dialog.glade: fix the title of the
	dialogue box.  #41304.

2003-04-09  Dan Winship  <danw@ximian.com>

	* e-folder-list.c: Update for e_option_menu prototype
	constification

2003-04-08  Ettore Perazzoli  <ettore@ximian.com>

	* e-setup.c (setup_bonobo_conf_private_directory): Removed.
	(e_setup): Do not call here.  Also, removed hacks for
	~/evolution/config and ~/evolution/local/Trash.

2003-04-08  Dan Winship  <danw@ximian.com>

	* main.c (main): Add a "--setup-only" flag, to just run e_setup()
	and exit. (For #40889)

	* glade/evolution-startup-wizard.glade: Remove the color specs so
	the druid will use theme colors

	* importer/import.glade: Likewise

2003-04-08  Ettore Perazzoli  <ettore@ximian.com>

	[#40912]

	* e-shell-folder-selection-dialog.c (impl_dispose):
	g_object_weak_unref() the shell here.

2003-04-07  Dan Winship  <danw@ximian.com>

	* evolution-storage.c (evolution_storage_class_init): Fix arg
	types on REMOVED_SHARED_FOLDER signal. #40888

	* evolution-folder-selector-button.c (clicked): Desensitize the
	window's top-level container rather than desensitizing the window
	itself, which causes strange problems [#40854]. Also fix up the
	code that tries to watch for the parent window being destroyed.

	* e-shell.c (impl_Shell_selectUserFolder): Use
	e_dialog_set_transient_for_xid.

	* e-shell-folder-selection-dialog.c (impl_response): Treat
	GTK_RESPONSE_DELETE_EVENT the same as GTK_RESPONSE_CANCEL.
	(e_shell_folder_selection_dialog_construct): No need to catch
	"delete_event" signal.

2003-04-07  Dan Winship  <danw@ximian.com>

	* Makefile.am ($(server_in_files)): Substitute version number into
	the evolution binary name in the server file
	(INCLUDES): define EVOLUTION_TOOLSDIR

	* GNOME_Evolution_Shell.server.in.in: Clean up server names. Add
	"-@VERSION@" to the end of the shell binary name

	* main.c (main): if KILL_PROCESS_CMD is defined, add a
	--force-shutdown argument that runs killev and exits.

2003-04-07  Not Zed  <NotZed@Ximian.com>

	[#40536]

	* evolution-shell-component.c (impl_interactive): If going
	interactive, track the view id in a private area.
	(evolution_shell_component_get_parent_view_xid): Accessor method
	to retrieve the current view xid.

2003-04-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (update_window_icon): Get the large version of
	the icon instead of the small one, so it works more nicely with
	modern WMs.

2003-04-04  Ettore Perazzoli  <ettore@ximian.com>

	[#40413]

	* e-shell-folder-selection-dialog.c: Define RESPONSE_NEW for the
	"New" button in the dialog.
	(impl_response): Handle RESPONSE_NEW.
	(e_shell_folder_selection_dialog_construct): Add the "new" button
	with RESPONSE_NEW response_id.

2003-04-04  Ettore Perazzoli  <ettore@ximian.com>

	[#40748]

	* apps_evolution_shell.schemas: Remove the icon_modes schema.

	* e-shell-view.c (setup_defaults): Don't set the icon modes from
	GConf, they are already stored in the shortcuts.xml file.
	(e_shell_view_save_defaults): Likewise, don't set it here.

	* e-config-upgrade.c: Remove translation from
	ShortcutBarGroup%iIconMode to
	shell/view_defaults/shortcut_bar/icon_types.

2003-04-02  Rodrigo Moya <rodrigo@ximian.com>

	* importer/GNOME_Evolution_Importer.idl:
	* importer/evolution-importer.[ch]: added "foldertype" argument to
	GNOME::Evolution::Importer.

	* importer/evolution-importer-client.[ch]
	(evolution_importer_client_load_file): added "folder_type" argument
	and use it in the call to GNOME_Evolution_Importer_loadFile.

	* e-shell-importer.c (start_import): added "folder_type" argument and
	use it in the call to evolution_importer_client_load_file.
	(folder_selected): pass in the "folder_type" argument to start_import,

2003-04-02  Not Zed  <NotZed@Ximian.com>

	[#40652]

	* e-shell-view.c (setup_widgets): Pack the folder and shortcut
	bars into the paned as sizeable.

	[#39467]
	
	* e-shell.c (e_shell_construct): Change the splash logic slightly,
	so that if we can't create the splash, we dont try and cast/use
	it.
	* e-splash.c (e_splash_new): dont use a g_return* for what could
	be a valid (tho incorrect) runtime condition.

	[#40590]

	* e-config-upgrade.c (identity_map[]): Move the signature stuff to
	a child node.
	(identity_sig_map[]): Define the signature node.  Fix
	*autogenerated_signature_%i to map to "auto". 

2003-04-01  Not Zed  <NotZed@Ximian.com>

	[#40474]

	* e-config-upgrade.c (gconf_remap_list[]): The summary settings
	start at "My-Evolution", not "/My-Evolution".
	(import_bonobo_config): Same for mail summary settings, and hex
	decode the string for the strlist.  Add a few extra debug
	printf's.

2003-03-28  Ettore Perazzoli  <ettore@ximian.com>

	[#40377]

	* main.c (kill_old_wombat): New.
	(kill_wombat): New.
	(idle_cb): Call kill_old_wombat().

2003-03-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-offline-handler.c (update_dialog_tree_view): Renamed
	from update_dialog_clist, Ported to GtkTreeView.
	(update_dialog_tree_view_hash_foreach): Likewise.

	* glade/e-active-connection-dialog.glade: Rename
	"active_connection_clist" to "active_connection_treeview".

2003-03-27  Not Zed  <NotZed@Ximian.com>

	* e-shell-about-box.c: Make Radek's surname correct, Doulík,
	inserted utf8 into the name string.  For bug #17034.

2003-03-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_construct): Pass "evolution-1.4" as
	the app name to bonobo_ui_util_set_ui() instead of "evolution".

2003-03-26  Ettore Perazzoli  <ettore@ximian.com>

	[Shell part of #7153.]

	* e-local-storage.c (load_folder): Call e_storage_new_folder()
	instead of new_folder() here so the folder doesn't get added to
	the EvolutionStorage.  Since the EvolutionStorage has its own
	CORBAfied copy of the folder info [sigh] and it can't be updated,
	we have to set up the EvolutionStorage after setup_stock_folders()
	has been called.
	(setup_corba_storage): New function to set up the CORBA storage.
	(load_all_folders): Call setup_corba_storage() after
	setup_stock_folders().

2003-03-25  Not Zed  <NotZed@Ximian.com>

	* e-shell-settings-dialog.c (set_dialog_size): Use
	set_default_size instead of size_request so we allow the user to
	resize the window.  Also try using 60x30 rather than 72x35 as the
	approximate font cell size.  For bug #39706.

2003-03-25  Dan Winship  <danw@ximian.com>

	* e-folder-dnd-bridge.c: Update for e_notice move.
	* e-setup.c: Likewise
	* e-shell-folder-commands.c: Likewise
	* e-shell-folder-creation-dialog.c: Likewise
	* e-shell-offline-sync.c: Likewise
	* e-shell-shared-folder-picker-dialog.c: Likewise
	* e-shell-view-menu.c: Likewise
	* e-shell.c: Likewise
	* evolution-shell-component-utils.c: Likewise

	* Makefile.am (libeshell_la_LIBADD): libeshell depends on
	libeutil.

	* e-corba-storage.c: Fix warnings

	* glade/evolution-startup-wizard.glade: Fix colors again

2003-03-25  Dan Winship  <danw@ximian.com>

	* Evolution-ShellComponent.idl (interactive): add a "new_view_xid"
	arg, so the component has a window id to make use of as a parent
	if it needs to pop up a dialog.

	* e-shell.c (set_interactive): Pass the new_view_xid when going
	interactive.
	(e_shell_set_interactive): Remove this since it wasn't being used,
	and couldn't be used for anything except lying to the components.

	* evolution-shell-component.c
	(evolution_shell_component_class_init): Update "interactive"
	signal definition
	(impl_interactive): Update prototype and signal emission
	
	* e-shell-marshal.list (NONE:BOOL,INT): add

2003-03-21  Dan Winship  <danw@ximian.com>

	* e-corba-storage.c (async_open_folder_idle): If we get a second
	request to open a folder we're already waiting for, don't send a
	second CORBA request, just remember the additional request.
	(async_open_cb): Call the callbacks for all pending requests for
	this folder.
	(init): grumble-grumble-non-g_new0-using-people-grumbe

2003-03-20  JP Rosevear  <jpr@ximian.com>

	* e-shell-view-menu.c: remove unused command

2003-03-19  Not Zed  <NotZed@Ximian.com>

	* e-config-upgrade.c (e_config_upgrade): Added some more doco just
	to make it clear how it was intended to be used/expanded.

2003-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* importer/evolution-importer.c
	(impl_GNOME_Evolution_Importer_loadFile): Get a physical_uri arg
	instead of a folderpath arg.

	* importer/evolution-importer-client.c
	(evolution_importer_client_load_file): Get a physical_uri arg.

	* e-shell-importer.c (start_import): Get a physical_uri arg
	instead of a folderpath.
	(folder_selected): Updated accordingly.

2003-03-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-importer.c (get_name_from_component_info): Look for the
	"evolution:menu_name" property instead of "evolution:menu-name".
	[#39692]

2003-03-19  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-folder-selector-button.c (set_folder): If you can't
	get a pixbuf icon for the folder's type, do not crash.  [#39599]

	* e-shell.c (impl_Shell__get_displayName): Removed.  [#38974]
	(e_shell_class_init): Do not install anymore.

	* Evolution-Shell.idl: Remove displayName attribute.

2003-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* importer/evolution-importer.c
	(impl_GNOME_Evolution_Importer_loadFile): Get a physical_uri arg
	instead of a folderpath arg.

	* importer/evolution-importer-client.c
	(evolution_importer_client_load_file): Get a physical_uri arg.

	* e-shell-importer.c (start_import): Get a physical_uri arg
	instead of a folderpath.
	(folder_selected): Updated accordingly.

2003-03-14  Dan Winship  <danw@ximian.com>

	* e-storage.c (e_storage_get_has_subfolders): Add
	(e_storage_declare_has_subfolders): Rename from
	e_storage_has_subfolders to make it clearer that this is a setter,
	not a getter. (Can't call it e_storage_set_has_subfolders because
	that sounds like it belongs in e-storage-set.)

	* e-corba-storage.c (impl_StorageListener_notifyHasSubfolders):
	update for e_storage_declare_has_subfolders name change
	(get_folder): Override the default EStorage implementation: if
	asked for a folder under a not-yet-expanded folder, attempt to
	force the parent(s) to expand so that the child is available.
	Fixes part of #30415

2003-03-14  Dan Winship  <danw@ximian.com>

	* Evolution-Storage.idl (asyncOpenFolder): add a Bonobo::Listener
	to this like the other async interfaces, rather than having a
	hacky way to signal failure.

	* evolution-storage.c (impl_Storage_asyncOpenFolder): Update to
	take a listener and emit it as part of the signal
	(evolution_storage_class_init): update OPEN_FOLDER signal
	prototype.

	* e-shell-marshal.list (NONE:POINTER,STRING): add, for changed
	EvolutionStorage open_folder signal

	* e-storage.c (e_storage_async_open_folder): add a callback arg
	(impl_async_open_folder): call the callback with NOTIMPLEMENTED.
	(class_init): remove the CLOSE_FOLDER signal
	(e_storage_has_subfolders): Don't emit CLOSE_FOLDER since it
	doesn't exist any more, and this function is used for that side
	effect any more anyway.

	* e-corba-storage.c (async_open_folder): add the callback arg and
	create a proper closure.
	(async_open_folder_idle): Call the callback in case of error.
	Create a listener and pass that to the CORBA call.
	(async_open_cb): Listener callback.

	* e-storage-set.c (storage_set_view_folder_opened): Pass a
	callback to e_storage_async_open_folder.
	(async_open_cb): emit CLOSE_FOLDER if the open failed
	(storage_close_folder_cb): Remove this since the signal no longer
	exists.
	
2003-03-11  Dan Winship  <danw@ximian.com>

	* e-shell-startup-wizard.c (start_wizard): If the wizard factory
	returns NULL, we'll get a NIL wizard but no exception. Deal with
	that case. (ie, try the next wizard).
	(finish_func): Simplify for e-timezone-dialog changes.
	(prepare_timezone_page): If there is already a timezone set in
	gconf, set the map to point to it. (For connector autoconfig.)

2003-03-07  Not Zed  <NotZed@Ximian.com>

	** reverted the following patch from ettore, this is a gnome 2.2
	api change, and shouldn't be used yet.
	
	* e-shell.c (impl_finalize): Use
	bonobo_activation_unregister_active_server() instead of
	bonobo_activation_active_server_unregister().
	(e_shell_construct): Use
	bonobo_activation_register_active_server() instead of
	bonobo_activation_active_server_register().

2003-03-04  Not Zed  <NotZed@Ximian.com>

	* main.c (show_development_warning): Separated the current stable
	version number from the warning prompt, and fixed a minor
	grammatical error.  For bug #38775.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_Shell_selectUserFolder): At least for now,
	disable the nasty XWMHints trick to fool WMs; it is not needed now
	that everything is in-proc.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-utils.c (e_shell_folder_name_is_valid): Do not allow
	names with a "#" in them either.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (update_other_users_folder_items_sensitivity):
	New function to toggle the "open other user's folder" menu item
	sensitivity on or off depending on whether there are any storages
	that actually support that.
	(storage_set_removed_storage_callback): New callback for the
	EStorageSet's "removed_storage" signal; it updates the sensitivity
	if necessary.
	(storage_set_new_storage_callback): Likewise, new callback for the
	EStorageSet's "new_storage" signal.
	(e_shell_view_construct): Connect these two signal callbacks here.
	Also, call update_other_users_folder_items_sensitivity() to set up
	the initial sensitivity of the menu item.
	(update_for_current_uri): Add a missing EStorageSetView cast here.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	[#34371]

	* e-shell-shared-folder-picker-dialog.c
	(folder_name_entry_changed_callback): New callback to set the
	sensitivity of the OK button according to whether the folder name
	entry is empty or not.
	(show_dialog): Connect here.  Pop up an error message if no user
	is selected.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_finalize): Use
	bonobo_activation_unregister_active_server() instead of
	bonobo_activatino_active_server_unregister().
	(e_shell_construct): Use
	bonobo_activation_register_active_server() instead of
	bonobo_activation_active_server_register().

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-importer.c (IN): Use G_GNUC_FUNCTION instead of
	__FUNCTION__.
	(OUT): Likewise.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	Patch from Not Zed <NotZed@Ximian.com>:

	* main.c (show_development_warning): Separated the current stable
	version number from the warning prompt, and fixed a minor
	grammatical error.  For bug #38775.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-config-upgrade.c (import_bonobo_config): Protect from val
	being NULL when printf()ing -- should fix #39096 (Solaris-specific
	crash).

2003-03-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c: Added icon for "/popups/NewPopup/Folder".

2003-03-05  Ettore Perazzoli  <ettore@ximian.com>

	* importer/Makefile.am (BUILT_SOURCES): $(IDL_GENERATED), not
	$(IDL_GENERATED_H).
	(CLEANFILES): Make the same as $(BUILT_SOURCES).
	(GNOME_Evolution_Importer-impl.o): Removed useless rule.

2003-03-04  Mike Kestner  <mkestner@ximian.com>

	* e-shell-view.c (update_for_current_uri): only set current
	folder when the folder_path is different from the current folder.

2003-03-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder-dnd-bridge.c (find_matching_target_for_drag_context):
	Handle p->data as a GdkAtom instead of a GdkAtom *.
	(handle_data_received_non_path): Set the target member of the
	corba_data struct to be the name of the atom.

	* e-storage-set-view.c (impl_tree_drag_data_get): Pass the name of
	the atom instead of the atom itself.

	* Evolution-ShellComponentDnd.idl: Changed the type of Data.target
	to string.

2003-03-03  Ettore Perazzoli  <ettore@ximian.com>

	* glade/e-shell-shared-folder-picker-dialog.glade: Swap Cancel/OK
	buttons as per the HIG.  Also added proper response_ids.

2003-03-03  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-folder-selector-button.c (impl_finalize): Protect
	against priv->possible_types being NULL.

2003-02-27  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am (evolution_SOURCES): Add e-config-upgrade.h
	
2003-02-26  Chris Toshok  <toshok@ximian.com>

	* e-folder-list.c (e_folder_list_parse_xml): make this more robust
	- only assume it's a folderlistitem node if the name of the node
	is "folder".

2003-02-26  Jeffrey Stedfast  <fejj@ximian.com>

	* e-config-upgrade.c: Change the type of load_http_images to INT
	rather than BOOL. Fixes bug #38767.

2003-02-26  Dan Winship  <danw@ximian.com>

	* e-shell-startup-wizard.c (start_wizard): New routine to attempt
	to start each available startup wizard in priority order, and
	return once it has successfully started one. (Allows Connector,
	etc, to override the mailer startup wizard.)
	(make_corba_dialog_pages): Use it.

2003-02-26  Not Zed  <NotZed@Ximian.com>

	* apps_evolution_shell.schemas: Added a key for
	/apps/evolution/version - seems the best place to put it.  This
	should not return any value if unset, so i'm not sure if this is
	the right mechanism ...

	* e-config-upgrade.c: Upgrade settings from earlier versions of
	evolution.

	* main.c (upgrade_from_1_0_if_needed): Removed.
	(main): Call e_config_upgrade before going into gmainloop.
	(main): Turn off the --force-upgrade option, since it doesn't work
	yet ...

2003-02-25  Dan Winship  <danw@ximian.com>

	* Evolution-Wizard.idl: Change this to let the Wizard provide an
	array of title/icon/control triplets, instead of just controls, so
	the shell doesn't need to know the name of each page a priori.

	* glade/evolution-startup-wizard.glade: Remove the mailer-specific
	pages, which are now inserted at run time based on info from the
	mailer.

	* evolution-wizard.c: Update for new idl.
	(evolution_wizard_new): Now takes no arguments.
	(evolution_wizard_add_page): New function to add page info to the
	wizard.

	* e-shell-startup-wizard.c: Various renamings to make this
	slightly less mailer-centric, though it still explicitly launches
	the mailer startup wizard.
	(make_corba_page): Replaces make_identity_page, make_receive_page,
	etc. Uses the new Wizard idl to generically create a page and
	insert it into the druid.
	(e_shell_startup_wizard_create): Update

2003-02-25  Dan Winship  <danw@ximian.com>

	* e-shell-startup-wizard.c (connect_page, make_importer_page): Use
	g_signal_connect_after to connect to the "prepare" signal to work
	around a GnomeDruidPageStandard bug (b.g.o 81869)
	(e_shell_startup_wizard_create): Remove the "return TRUE" that was
	added here a while back to disable the startup wizard.

	* glade/evolution-startup-wizard.glade: Change "Next" and "Finish"
	in the text to "Forward" and "Apply" to match the gnome 2 druid
	buttons.

2003-02-24  Rodney Dawes  <dobey@ximian.com>

	* e-shell-view.c: Doh, forgot to remove the e-gray-bar.h include
	
2003-02-24  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: We don't need e-gray-bar.[ch] anymore
	* e-gray-bar.[ch]: Remove these unused files now
	* e-shell-folder-title-bar.c: We are themeable now!!!!
	Use GtkArrows now instead of pixmaps
	Get rid of the hardcoded colors
	Add an expose_event to paint a flat box for the background
	* e-shell-view.c: Don't need e-gray-bar anymore
	
2003-02-24  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c (impl_populateFolderContextMenu):
	Don't release_unref the corba_uih since
	bonobo_ui_component_set_container() takes ownership of the object
	without reffing it.

2003-02-24  Ettore Perazzoli  <ettore@ximian.com>

	* glade/e-active-connection-dialog.glade: Update dialog to use
	stock response IDs.

2003-02-20  Not Zed  <NotZed@Ximian.com>

	* main.c (upgrade_from_1_0_if_needed): fix the conf keys, currently unused.

	* e-shell.c (save_settings_for_component): lower-case the config prefix.

2003-02-20  Dan Winship  <danw@ximian.com>

	* Makefile.am (evolution_LDADD):
	s/libemiscwidgets.a/libemiscwidgets.la/ and likewise for
	libetimezonedialog

2003-02-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts.c (shortcut_item_new): Get the name from the name,
	not the type.  Fixes #37952, pointed out by Lonnie Borntreger.

2003-02-17  Chris Toshok  <toshok@ximian.com>

	* e-shortcuts.c (load_shortcuts): plug memory leak - free path.

2003-02-13  Ettore Perazzoli  <ettore@ximian.com>

	[Ported SIGSEGV signal redirection hack from mail/.]

	* main.c (segv_redirect): New, SIGSEGV signal handler.
	(setup_segv_redirect): New function to set it up.
	(main): Call setup_segv_redirect().

2003-02-12  Ettore Perazzoli  <ettore@ximian.com>

	* e-setup.c (DEFAULT_USER_PATH): Look into evolution/$BASE_VERSION
	instead of evolution-$BASE_VERSION.

2003-02-11  Joe Shaw  <joe@ximian.com>

	* main.c (show_development_warning): Suggest people use 1.2.x instead
	of 1.0.x.

2003-02-09  Larry Ewing  <lewing@ximian.com>

	* e-local-storage.c (remove_folder_directory): fix length calculation.
	(create_folder_directory): remove alloca usage, clears up crash.

2003-02-07  Larry Ewing  <lewing@ximian.com>

	* e-shell-folder-creation-dialog.c
	(folder_name_entry_activate_cb): add an activate handler that
	returns a response OK if the OK response would be active.

2003-02-06  Dan Winship  <danw@ximian.com>

	* evolution-test-component.c (main): s/PACKAGE/GETTEXT_PACKAGE/ in
	gettext init.

2003-02-06  Not Zed  <NotZed@Ximian.com>

	* e-shortcuts-view.c (class_init): use POINTER_STRING_BOOL for
	activate_shortcut.

	* e-shell-marshal.list: Added NONE,STRING,BOOL, and
	POINTER,STRING,BOOL, removed POINTER,STRING,INT

	* evolution-shell-view.c (evolution_shell_view_class_init): Use
	STRING_BOOL for the set_message signal to match rest of command.

	* e-shell-marshal.list: Added NONE,STRING,STRING,STRING

	* evolution-shell-component.c
	(evolution_shell_component_class_init): Change the
	user_create_new_item marshaller to STRING_STRING_STRING to match
	the rest of the call.  The 'new' button should work now.

	* e-setup.c (copy_default_stuff): We want to copy whats in the
	default user dir, not the default user dir.

2003-02-05  Dan Winship  <danw@ximian.com>

	* Makefile.am (INCLUDES): Define EVOLUTION_IMAGES using
	$(imagesdir). Define EVOLUTION_GLADEDIR using $(gladedir)
	(eshellincludedir): Define in terms of $(privincludedir)
	(evolution_LDFLAGS): Remove this. gmodule-2's LDFLAGS include the
	equivalent of -export-dynamic for us.
	(serverdir, etspecdir): Remove. Defined in configure.in now.

	* e-folder.c: #include <string.h>
	* e-corba-config-page.c: Likewise
	* e-shell-config.c: Likewise
	* e-shell-folder-creation-dialog.c: Likewise
	* e-shell-folder-title-bar.c: Likewise
	* e-shell-startup-wizard.c: Likewise
	* evolution-activity-client.c: Likewise.
	* evolution-shell-component-client.c: Likewise
	* evolution-shell-component-utils.c: Likewise
	* evolution-storage.c: Likewise
	* evolution-test-component.c: Likewise

	* e-shortcuts-view.c (destroy_group_cb): Remove unused variable

	* importer/Makefile.am (INCLUDES): Remove -I$(includedir). Define
	EVOLUTION_GLADEDIR using $(gladedir).
	(libevolution_importerincludedir): Define in terms of
	$(privincludedir)
	(gladedir): Removed. Defined in configure.in now.

	* glade/Makefile.am (gladedir): Likewise

2003-02-05  Dan Winship  <danw@ximian.com>

	* importer/evolution-intelligent-importer.c:
	s/BonoboXObject/BonoboObject/

	* e-folder-list.c (e_folder_list_class_init):
	s/glade_gnome_init/glade_init/

	* main.c (main): Likewise

2003-02-05  Not Zed  <NotZed@Ximian.com>

	* e-shell-startup-wizard.c (start_importers): re-enable.
	(prepare_importer_page): re-enable importer code.

	* e-shell-importer.c (druid_finish_button_change): removed, since
	its not such a hack to change anymore.  Dunno how to get an icon
	on it tho, without a stock button.
	(show_import_wizard): Change the apply button to "Import" here.

2003-01-28  Not Zed  <NotZed@Ximian.com>

	* e-local-storage.c (create_folder_directory): We can't use
	pointer arithmetic with g_path_get_*, so adjust code accordingly.

2003-01-16  Not Zed  <NotZed@Ximian.com>

	* e-shell-startup-wizard.c (e_shell_startup_wizard_create): Hook
	onto finish instead of next on the last page.

2003-01-28  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am ($(SELECT_NAMES_IDL_GENERATED_C)): No need for the
	@true command.
	($(IDL_GENERATED_C)): Likewise.
	(e-shell-marshal.h, e-shell-marshal.c): Use different names for
	the .tmp files so these can be generated in parallel.

	* importer/Makefile.am (GNOME_Evolution_Importer-impl.o): Remove
	unused rule.
	($(IDL_GENERATED_C)): Remove useless @true command.
	(BUILT_SOURCES): Put the .h generated files in here as well.

2003-01-28  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (Evolution-impl.o): Removed unused rule.

2003-01-28  Ettore Perazzoli  <ettore@ximian.com>

	* importer/Makefile.am: Make this work with parallel make as well.

2003-01-28  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Use a little trick for the IDL compilation so that
	it works with parallel makes.

2003-01-28  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_construct): Use
	bonobo_activation_server_register() instead of
	bonobo_activation_register_active_server() again, since we want to
	be able to build against bonobo-activation 2.0 and the latter is
	2.2-specific.
	(impl_finalize): Likewise, use
	bonobo_activation_active_server_unregister() instead of
	bonobo_activation_unregister_active_server().

2003-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-importer.c (choose_importer_from_list): Set
	GTK_RESPONSE_OK as the default response.

	* Makefile.am (INCLUDES): Add -DGNOME_DISABLE_DEPRECATED,
	-DBONOBO_DISABLE_DEPRECATED.

	* e-shortcuts.c (update_shortcut_and_emit_signal): Use
	g_signal_emit() instead of gtk_signal_emit().

	* e-shortcuts-view.c (destroy_group_cb): Port from GnomeMessageBox
	to GtkMessageDialog.

	* e-shell.c (get_icon_path_for_component_info): Use
	gnome_program_locate_file() instead of gnome_pixmap_file().
	(impl_finalize): Use bonobo_activation_unregister_active_server()
	instead of bonobo_activation_active_server_register().
	(e_shell_construct): Use
	bonobo_activation_register_active_server() instead of
	bonobo_activation_active_server_register().

	* e-shell-view-menu.c (command_submit_bug): Use e_notice().
	(launch_pilot_settings): Use g_find_program_in_path() instead of
	gnome_is_program_in_path().
	(command_submit_bug): Likewise.

	* e-shell-utils.c (get_icon_path): Use g_file_test() instead of
	g_file_exists().

	* e-shell-startup-wizard.c (prepare_importer_page): Port from
	GnomeMessageBox to GtkMessageDialog.

	* e-shell-shared-folder-picker-dialog.c (show_dialog): Update for
	GtkDialog.
	(progress_dialog_close_callback): Removed.
	(progress_dialog_clicked_callback): Removed.
	(progress_dialog_response_callback): New.
	(create_progress_dialog): Ported to GnomeDialog.

	* e-shell-offline-sync.c: Add member parent_window to struct
	SyncData.
	(e_shell_offline_sync_all_folders): Set it from the parent_window
	arg.
	(progress_dialog_close_callback): Removed.
	(progress_dialog_clicked_callback): Removed.
	(progress_dialog_response_callback): New.
	(setup_dialog): Create a GtkDialog instead of a GnomeDialog.
	(sync_folder): Updated for GtkDialog.

	* e-shell-offline-handler.c (dialog_handle_ok): Make it get a
	GtkDialog instead of a GnomeDialog.
	(dialog_handle_cancel): Likewise.
	(dialog_clicked_cb): Removed.
	(dialog_response_cb): New.
	(pop_up_confirmation_dialog): Connect the new dialog_response_cb()
	instead of the old dialog_clicked_cb().  Removed
	gnome_dialog_set_default() call.

	* e-shell-folder-creation-dialog.c (dialog_response_cb): Make
	first arg a GtkDialog, not a GnomeDialog.

	* e-shell-folder-commands.c (e_shell_command_delete_folder):
	Expect delete_dialog() to return a GtkResponseType.
	(delete_dialog): Ported to GtkMessageDialog; Return a
	GtkResponseType.

	* e-shell-config-default-folders.c
	(e_shell_config_default_folders_create_widget): Removed unused
	variable.

	* e-setup.c (check_evolution_directory): Remove Evolution
	directory installation message.
	(e_setup): Remove check for the Executive-Summary directory.

	* e-local-storage.c (create_folder_directory): Use g_file_test()
	instead of g_file_exists().

	* evolution-shell-component-utils.c (e_pixmaps_update): Use
	g_build_filename() of g_concat_dir_and_file().
	* e-folder-dnd-bridge.c (handle_data_received_path): Likewise.
	* e-local-folder.c (construct_loading_metadata): Likewise.
	(save_metadata): Likewise.
	* e-local-storage.c (remove_folder_directory): Likewise.
	(append_xfer_item_list): Likewise.
	* e-setup.c (check_dir_recur): Likewise.
	(e_shell_rm_dir): Likewise.
	(setup_bonobo_conf_private_directory): Likewise.
	* e-shell-folder-commands.c
	(folder_selection_dialog_folder_selected_callback): Likewise.
	(e_shell_command_rename_folder): Likewise.
	* e-shell-folder-creation-dialog.c (dialog_response_cb): Likewise.
	* e-shell-settings-dialog.c (load_pages): Likewise.
	* e-shell-utils.c (get_icon_path): Likewise.
	* e-shell.c (setup_local_storage): Likewise.
	(get_icon_path_for_component_info): Likewise.
	(e_shell_construct): Likewise.
	* main.c (main): Likewise.

2003-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c (timeout_callback): Pass a the context's
	language to pango_context_get_metrics() instead of NULL, so the
	heights are computed correctly.

2003-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c (owner_ping_callback): #if 0'ed out
	for now, since it seems to cause trouble for local components.
	(setup_owner_pinging): Likewise.

	* e-shell-user-creatable-items-handler.c
	(get_default_action_for_view): Return default_menu_item [instead
	of NULL] if there is no view displayed.  [#32736]

2003-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-title-bar.c (get_max_clipped_label_width): Use
	clipped_label->layout instead of creating a new PangoLayout; this
	way we respect the actual font being used.

2003-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (create_label_for_empty_page): Update for new
	args to e_clipped_label_new().

	* e-shell-folder-title-bar.c (e_shell_folder_title_bar_construct):
	Make the title label bold and larger using the new args to
	e_clipped_label_new().

2002-01-23  Ettore Perazzoli  <ettore@ximian.com>

	[Port fix for #34129 from evolution-1-2-branch, unread count in
	shortcut bar doesn't update properly.]

	* e-shortcuts.c (update_shortcuts_by_path): Use
	e_shell_parse_uri() so we handle default shortcuts properly as
	well.
	(update_shortcut_and_emit_signal): Use shortcut_item_update()
	once, and use the return value from it.  [Thanks to Leon Zhang
	<leon.zhang@sun.com> for pointing out the brokenness of this
	code.]

2003-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c: Update copyright year.

2003-01-22  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Install the shell executable as
	evolution-$(BASE_VERSION) using an install-exec-local hack.  Also
	put libeshell in $(privlibdir) instead of $(libdir).
	(eshellincludedir): Version using $(BASE_VERSION).
	(INCLUDES): Update for the new locations of things.
	(etspecdir): Likewise.

	* e-shell-view.c (e_shell_view_construct): Get evolution.xml from
	EVOLUTION_UIDIR.

	* importer/Makefile.am: Install libevolution-importer in
	$(privlibdir) instead of $(libdir).
	(INCLUDES): Updated for the new versioned paths.  Define
	EVOLUTION_UIDIR.
	(libevolution_importerincludedir): Version using $(BASE_VERSION).
	(gladedir): Likewise.

	* glade/Makefile.am (gladedir): Version using $(BASE_VERSION).

	* e-setup.c (DEFAULT_USER_PATH): New #define.
	(check_evolution_directory): Use it.
	(copy_default_stuff): Likewise.  Also, remove old shortcuts.xml
	removal cruft.

2003-01-17  Chris Toshok  <toshok@ximian.com>

	* e-shell-settings-dialog.c (set_dialog_size): pass
	pango_context_get_language (context) to
	pango_context_get_metrics.

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-selection-dialog.c
	(e_shell_folder_selection_dialog_construct): Make dialog
	New/Cancel/OK to match HIG.

	* glade/e-shell-folder-creation-dialog.glade: Swap Cancel/OK
	buttons to match HIG.

	* e-shell-importer.c (choose_importer_from_list): Make dialog
	Cancel/OK to match HIG.

	* e-shell-folder-selection-dialog.c
	(e_shell_folder_selection_dialog_construct): Make dialog Cancel/OK
	to match HIG.

	* e-shell-view.c: Do not #include "e-bonobo-widget.h".

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (EXTRA_DIST): Add $(schema_DATA) here.

2003-01-14  Rodney Dawes  <dobey@ximian.com>

	* e-shell-view.c: Use GtkPaned instead of EPaned
	
2003-01-13  Dan Winship  <danw@ximian.com>

	* s/BonoboXObject/BonoboObject/ (for BONOBO_DISABLE_DEPRECATED)

2003-01-10  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c (impl_setOwner): Don't duplicate the
	shell object here before passing to evolution_shell_client_new().

	* evolution-shell-client.c (evolution_shell_client_construct):
	Dupliate the @corba_shell before storing into the
	EvolutionShellClientPrivate struct.

	* e-shell-config-default-folders.c
	(e_shell_config_default_folders_create_widget): Do not duplicate
	the shell's CORBA objref.

	* e-shell-config-autocompletion.c
	(e_shell_config_autocompletion_create_widget): Do not duplicate
	the shell's CORBA objref.

2003-01-10  Dan Winship  <danw@ximian.com>

	* e-storage-set-view.c (popup_folder_menu): Make this work again.

2003-01-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_save_defaults): Save the expansion
	state of the EStorageSetView.
	(setup_defaults): Load the expansion state.

2003-01-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_request_close_view): Make the view save its
	settings as the default ones if it's the last one.

	* e-shell-view-menu.c (command_quit): Make this view save its
	settings as the defaults before quitting.

2003-01-10  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (main): Generate the URI list from the popt context
	fetched from the GnomeProgram object.

	* e-shell-view.c (setup_defaults): Removed @setup_default_uri arg.
	Don't load any URI here.
	(e_shell_view_construct): Open the URI here instead.

2003-01-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (parse_default_uri): Remove bogus is_default check.

2003-01-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-setup.c (set_default_folder_physical_uri_from_path): New
	function.
	(e_setup_check_config): Call it for each of the *_path keys.  Do
	not set the default for *_path keys as those come from the GConf
	schema anyways.

2003-01-10  Ettore Perazzoli  <ettore@ximian.com>

	* apps_evolution_shell.schemas: Set defaults for
	/apps/evolution/shell/default_folders/... .

	* e-shortcuts-view.c (pop_up_right_click_menu_for_group): Destroy
	the popup_menu with gtk_widget_destroy() instead of
	gtk_widget_unref().

2003-01-10  Not Zed  <NotZed@Ximian.com>

	* evolution-config-control.c (impl_apply): remove cast to
	GTK_OBJECT, it isn't, nor needed.

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* e-shell-settings-dialog.c (set_dialog_size): use
	pango_layout_get_pixel_size here instead of
	pango_layout_get_width, which returns 0 (unless it's been set by
	the user before, I believe).

2003-01-09  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-client.c (impl_dispose): Properly reset
	activity_interface to NULL.
	(evolution_shell_client_construct): Ref the shell object here.

	* e-shell.c (view_weak_notify): Ref the shell since it's being
	passed to notify_no_views_left_idle_cb as the data.
	(notify_no_views_left_idle_cb): Only unref the shell here.

2003-01-08  Not Zed  <NotZed@Ximian.com>

	* e-shell-settings-dialog.c (set_dialog_size): dont unref the
	pango context, get_context() doesn't create a ref.

2003-01-08  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Images are now in $(datadir)/evolution/images
	instead of $(datadir)/images/evolution.

	* e-folder-list.c (e_folder_list_class_init): Remove
	"EFolderList::" prefix from the properties.

2003-01-08  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (evolution_LDFLAGS): -export-dynamic so custom
	widgets in libglade work.

2003-01-07  Dan Winship  <danw@ximian.com>

	* main.c (main): setup gettext

2003-01-06  Not Zed  <NotZed@Ximian.com>

	* evolution-folder-selector-button.c (set_folder): dont
	double-free storage_lname.

2003-01-06  Dan Winship  <danw@ximian.com>

	* Makefile.am: Remove idldir definition. (It's defined in
	configure.in now).

	* importer/Makefile.am: Likewise

2002-12-19  Ettore Perazzoli  <ettore@ximian.com>

	[With this commit, the shell compiles without deprecated GLib/GTK+
	functions, except for a couple of places were we use GtkCList.]

	* Makefile.am (INCLUDES): Add `-DG_DISABLE_DEPRECATED
	-DGTK_DISABLE_DEPRECATED'.

	* evolution-test-component.c (create_new_folder_selector): No
	gtk_window_set_policy().

	* main.c (quit_box_new): gtk_window_set_resizable() instead of
	gtk_window_set_policy().
	(view_map_callback): g_signal_handlers_disconnect_by_func()
	instead of gtk_signal_disconnect_by_func().
	(main): No need to push the GdkRGB visual/cmap anymore.
	(new_view_created_callback): Likewise.

	* e-task-widget.c: Renamed member pixmap of ETaskWidgetPrivate to
	`image'.
	(init): Updated accordingly.
	(e_task_widget_construct): Use GtkImage, not GtkPixmap.

	* e-storage.c (class_init): Converted from gtk_signal_new() to
	g_signal_new().

	* e-storage-set.c (class_init): Converted from gtk_signal_new() to
	g_signal_new().

	* e-storage-set-view.c
	(setup_folder_properties_items_if_corba_storage_clicked):
	g_string_append_printf() instead of g_string_sprintfa().
	(class_init): Converted from gtk_signal_new() to g_signal_new().
	(setup_folder_changed_callbacks): Use
	e_signal_connect_while_alive() and
	e_signal_connect_full_while_alive().

	* e-splash.c (e_splash_construct): gtk_window_set_resizable()
	instead of gtk_window_set_policy().

	* e-shortcuts.c: Do not #include e-unicode.h.
	(shortcut_item_update): Use g_path_get_basename() instead of
	g_basename().
	(e_shortcuts_add_default_shortcuts): No need to de-utfize strings.
	(e_shortcuts_add_default_group): Same here.

	* e-shortcuts-view.c: Do not #include <e-unicode.h>.
	(class_init): Converted from gtk_signal_new() to g_signal_new().
	(destroy_group_cb): No need to convert the text from UTF8.

	* e-shell.c (impl_dispose): g_signal_handlers_disconnect_by_func()
	instead of gtk_signal_disconnect_by_func().
	(class_init): Use g_signal_new() instead of gtk_signal_new().

	* e-shell-view.c: Do not #include e-unicode.h.  Renamed member
	offline_toggle_pixmap to offline_toggle_image in
	EShellViewPrivate.
	(update_folder_title_bar): No need to de-UTF8-ize the title.
	(cleanup_delayed_selection):
	g_signal_handlers_disconnect_by_func() instead of
	gtk_signal_disconnect_by_func().
	(ui_engine_add_hint_callback): gtk_label_set_text(), not
	gtk_label_set().
	(class_init): Use g_signal_new() instead of gtk_signal_new().
	(update_for_current_uri): No need to convert the title from UTF8.
	(setup_offline_toggle): Changed to set up a GtkImage, not a
	GtkPixmap.
	(update_offline_toggle_status): Accordingly (gtk_image* instead of
	gtk_pixmap*).
	(set_current_notebook_page): gtk_notebook_set_current_page(), not
	gtk_notebook_set_page().
	(get_storage_set_path_from_uri): g_ascii_strncasecmp() instead of
	g_strncasecmp().
	(folder_bar_popup_map_callback): Use
	e_signal_connect_while_alive() instead of
	gtk_signal_connect_while_alive().
	(e_shell_view_construct): Likewise.
	(display_uri): g_signal_connect_after() instead of
	gtk_signal_connect_full().
	(update_for_current_uri):
	g_signal_handlers_{block,unblock}_by_func() instead of
	gtk_signal_handler_{block,unblock}_by_func().

	* e-shell-view-menu.c (command_about_box):
	gtk_window_set_resizable() instead of gtk_window_set_policy().

	* e-shell-utils.c (get_mini_name): g_path_get_basename() instead
	of g_basename().

	* e-shell-user-creatable-items-handler.c
	(append_xml_for_menu_item): g_string_append_printf() instead of
	g_string_sprintfa().
	(create_menu_xml): Likewise.

	* e-shell-shared-folder-picker-dialog.c: Do not #include
	e-unicode.h.
	(progress_bar_timeout_callback): Expect a GtkProgressBar data and
	just use gtk_progress_bar_pulse().
	(create_progress_dialog): gtk_window_set_resizable() instead of
	gtk_window_set_policy().  No gtk_progress_set_activity_mode().
	(setup_server_option_menu): Just use
	gtk_menu_item_new_with_label() instead of
	e_utf8_gtk_menu_item_new_with_label().

	* e-shell-settings-dialog.c (set_dialog_size): Ported to Pango.

	* e-shell-offline-sync.c
	(impl_SyncFolderProgressListener_updateProgress):
	gtk_progress_set_fraction() instead of
	gtk_progress_bar_set_percentage().
	(sync_folder): Likewise.
	(setup_dialog): gtk_window_set_resizable() instead of
	gtk_window_set_policy().
	(sync_folder): No gtk_progress_set_activity_mode().

	* e-shell-offline-handler.c: #undef {G,GTK}_DISABLE_DEPRECATED
	here for now (need to port from GtkCList).
	(class_init): Use g_signal_new()

	* e-shell-importer.c: #undef {G,GTK}_DISABLE_DEPRECATED here for
	now (need to port from GtkCList).

	* e-shell-folder-title-bar.c (create_image_widget_from_xpm):
	Renamed from create_pixmap_widget_from_xpm(); handle GtkImage
	instead of GtkPixmap.
	(new_empty_image_widget): Renamed from new_empty_pixmap_widget();
	return a GtkImage instead of a GtkPixmap.
	(add_navigation_buttons): Updated accordingly; so use GtkImages
	instead of GtkPixmaps.
	(e_shell_folder_title_bar_construct): Likewise.
	(e_shell_folder_title_bar_set_icon): Use gtk_image_* instead of
	gtk_pixmap_* on the image widgets.
	(class_init): Converted to use g_signal_new() instead of
	gtk_signal_new().
	(e_shell_folder_title_bar_new): No need for pushing the GdkRGB
	visual/cmap anymore.

	* e-shell-folder-selection-dialog.c (check_folder_type_valid):
	Just use strcmp instead of strcasecmp().
	(class_init): g_signal_new() instead of gtk_signal_new().
	(e_shell_folder_selection_dialog_construct): Removed call to
	gtk_window_set_policy().

	* e-shell-folder-creation-dialog.c
	(type_with_display_name_compare_func): Changed to use
	g_utf8_casefold().

	* e-shell-folder-commands.c: Do not #include e-unicode.h.
	(e_shell_command_rename_folder): g_path_get_dirname() instead of
	g_dirname().
	(folder_selection_dialog_folder_selected_callback):
	g_path_get_basename() instead of g_basename().
	(rename_cb): Likewise.
	(delete_dialog): Do not convert from UTF8 for display purposes.
	(e_shell_command_rename_folder): Likewise.

	* e-shell-about-box.c (timeout_callback): Ported to Pango and use
	gdk_window_invalidate_rect() instead of gtk_widget_draw().

	* e-setup.c (check_evolution_directory): Use
	gtk_window_set_resizable() instead of gtk_window_set_policy().

	* e-local-storage.c: Do not include e-unicode.h.
	(create_folder): Use g_path_get_basename() instead of
	g_basename().
	(create_folder_directory): Likewise.
	(remove_folder_directory): Likewise.
	(append_xfer_item_list): Likewise.

	* e-local-folder.c (construct_loading_metadata): Use
	g_path_get_basename() instead of g_basename().

	* e-folder-dnd-bridge.c (handle_evolution_path_drag_motion): Use
	g_path_get_basename() instead of g_basename().

	* e-corba-storage-registry.c: G_STRUCT_OFFSET instead of
	GTK_STRUCT_OFFSET.

	* e-corba-shortcuts.c: G_STRUCT_OFFSET instead of
	GTK_STRUCT_OFFSET.

	* e-component-registry.c
	(sleep_with_g_main_loop_timeout_callback): g_main_loop_* instead
	of g_main_*.
	(sleep_with_g_main_loop): Likewise.

	* e-activity-handler.c: G_STRUCT_OFFSET instead of
	GTK_STRUCT_OFFSET.

	* evolution-wizard.c (evolution_wizard_class_init): g_signal_new()
	instead of gtk_signal_new().

	* evolution-storage-listener.c (class_init): g_signal_new()
	instead of gtk_signal_new().

	* evolution-shell-view.c (class_init): g_signal_new() instead of
	gtk_signal_new().

	* evolution-shell-component-dnd.c: G_STRUCT_OFFSET instead of
	GTK_STRUCT_OFFSET.

	* evolution-shell-component.c: G_STRUCT_OFFSET instead of
	GTK_STRUCT_OFFSET.

	* evolution-session.c: G_STRUCT_OFFSET instead of
	GTK_STRUCT_OFFSET.

	* evolution-folder-selector-button.c: Do not include e-unicode.h.
	(set_folder): No need to convert from UTF8 to locale encoding
	anymore.  Removed unused variable.

	* evolution-config-control.c (class_init): Use g_signal_new()
	instead of gtk_signal_new().

	* evolution-activity-client.c (class_init): Use g_signal_new()
	instead of gtk_signal_new().

	* e-folder-list.c: Do not include e-unicode.h.  Use E_MAKE_TYPE().
	(e_folder_list_get_type): Removed explicit implementation of this.
	(e_folder_list_set_arg): Removed.
	(e_folder_list_get_arg): Removed.
	(e_folder_list_set_property): New.
	(e_folder_list_get_property): New.
	(e_folder_list_destroy): Removed.
	(e_folder_list_dispose): New.
	(e_folder_list_class_init): Updated accordingly.

	* e-folder.c (impl_save_info): Use G_OBJECT_TYPE_NAME() instead of
	gtk_type_name().
	(impl_load_info): Likewise.
	(impl_remove): Likewise.
	(class_init): Use g_signal_new() instead of gtk_signal_new().

2002-12-16  Jeffrey Stedfast  <fejj@ximian.com>

	* e-shell-importer.c: Don't #include "e-util/e-html-utils.h" as
	we don't use it.

2002-12-13  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #35394 ]
	
	* e-shell-shared-folder-picker-dialog.c (setup_name_selector):
	return the SelectNames corba interface too.
	(show_dialog): unref the corba interface when closing the dialog.

2002-12-05  Chris Toshok  <toshok@ximian.com>

	* e-shell-config-default-folders.c: use "contacts",
	"contacts/ldap" as the accepted contacts types, so it'll allow
	both normal and ldap contact folders.

2002-12-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-component-registry.c (component_free): Only invoke
	wait_for_corba_object_to_die on components that are out-of-proc.

2002-11-27  Not Zed  <NotZed@Ximian.com>

	* main.c (show_development_warning): changed to use a gtkdialog
	instead of a gnome one.
	(warning_dialog_response_callback): clicked->response.

	* e-shell-folder-selection-dialog.c: Include gtk/gtkstock.h

	* e-shell-folder-creation-dialog.c: include gnome-dialog.h
	(dialog_response_cb): gtk_entry_get_text now returns const.  Dont
	free result.

	* e-setup.c: include gnome-messagebox.h

	* *.c: (re)run fix.sh over all, for e_notice changes & pick up
	some deprecated functions.

	* e-shell-shared-folder-picker-dialog.c
	(shared_folder_discovery_callback): reformat e_notice call for
	script.

	* e-shell-offline-sync.c
	(impl_SyncFolderProgressListener_reportFailure): Fix e_notice
	call, we weren't passing type in.

	* e-shell-folder-commands.c (xfer_result_callback): changed around
	slightly to save some processing & allow a script to run.
	(e_shell_command_rename_folder): reformat e_notice call to help script.
	Include gnome-messagebox.h

2002-11-25  Dan Winship  <danw@ximian.com>

	* e-shell-settings-dialog.c (page_new): e_get_language_list now
	returns language codes that actually work with oaf, making the
	_()s here redundant.

	* e-component-info.c (get_i18n_value): Remove code to turn "fr_FR"
	into "fr", since e_get_language_list will return both now.

2002-11-25  Ettore Perazzoli  <ettore@ximian.com>

	* apps_evolution_shell.schemas: Fix <key> -> <applyto> typo.

2002-11-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-offline-sync.c (e_shell_offline_sync_all_folders):
	Filled in, use GConf.
	(cleanup): Re-enabled again.
	(sync_folder): Likewise.
	(progress_dialog_close_callback): Likewise.
	(progress_dialog_clicked_callback): Likewise.
	(setup_dialog): Likewise.
	(setup_progress_listener): Likewise.
	(impl_SyncFolderProgressListener_reportFailure): Likewise.
	(impl_SyncFolderProgressListener_reportSuccess): Likewise.
	(impl_SyncFolderProgressListener_updateProgress): Likewise.
	(progress_listener_servant_free): Likewise.
	(progress_listener_servant_new): Likewise.

2002-11-25  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage-set-view.c
	(impl_StorageSetView__set_checkedFolders): Updated to pass a
	GSList to e_storage_set_view_set_checkboxes_list() [instead of a
	GList].
	(impl_StorageSetView__get_checkedFolders): Likewise with the
	return value from e_storage_set_view_get_checkboxes_list().

	* e-shell-config-offline.c (config_control_apply_callback): Filled
	in, using GConf.
	(init_storage_set_view_status_from_config): Likewise.

	* e-storage-set-view.c (e_storage_set_view_get_checkboxes_list):
	Return a GSList instead of a GList.
	(essv_add_to_list): Update for the GSList.
	(e_storage_set_view_set_checkboxes_list): Get a GSList instead of
	a GList.

	* apps_evolution_shell.schemas: Added
	/schemas/apps/evolution/shell/offline/folder_paths.

2002-11-20  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (idle_cb): Set displayed_any in the case when we are
	calling e_shell_create_view().  Also initialize displayed_any to
	FALSE earlier so we dont' end up opening two views at startup by
	default.

2002-11-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-selection-dialog.c (impl_dispose): Save the
	expansion state for the EStorageSetView here.
	(impl_finalize): Instead of here.

2002-11-20  Chris Toshok  <toshok@ximian.com>

	* e-folder-list.c (e_folder_list_class_init): use e_shell_
	marshallers, and make sure STRING parameters map to *_STRING*
	marshallers.

	* evolution-wizard.c (evolution_wizard_class_init): same.

	* evolution-storage.c (class_init): same.

	* evolution-storage-set-view-listener.c (class_init): same.

	* evolution-storage-listener.c (class_init): same.

	* evolution-shell-view.c (class_init): same.

	* evolution-session.c (class_init): same.

	* evolution-folder-selector-button.c (class_init): same.

	* evolution-config-control.c (class_init): same.

	* evolution-activity-client.c (class_init): same.

	* e-storage-set.c (class_init): same.

	* e-shortcuts.c (class_init): same.

	* e-shortcuts-view.c (class_init): same.

	* e-shell.c (class_init): same.

	* e-shell-view.c (class_init): same.

	* e-shell-offline-handler.c (class_init): same.

	* e-shell-folder-title-bar.c (class_init): same.

	* e-shell-folder-selection-dialog.c (class_init): same.

	* e-folder.c (class_init): same.

	* e-shell-marshal.list: add all the STRING marshallers.
	
2002-11-20  Not Zed  <NotZed@Ximian.com>

	* e-shell-importer.c (prepare_intelligent_page): gnome message box
	-> gtk message dialog.
	(prepare_intelligent_page): Fix the signature on this.  This could
	NEVER have worked.

2002-11-19  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (upgrade_from_1_0_if_needed): Disabled for now.

	* e-shell-startup-wizard.c: Removed member config_listener from
	struct SWData.
	(e_shell_startup_wizard_create): Updated accordingly, just use
	GConf, checking the /apps/evolution/mail/account-list key.
	(finish_func): Use GConf.

	* e-shell-config-default-folders.c: Removed member config_listener
	in struct EvolutionDefaultFolderConfig.
	(e_shell_config_default_folders_create_widget): Do not initialize
	here.  GConfified the paths.
	(config_control_destroy_notify): No unref of the config_listener
	anymore.
	(config_control_apply_cb): Use GConf.
	(setup_folder_selector): Likewise.

	* e-shell-config-autocompletion.c: Removed member config_listener
	from EvolutionAutocompletionConfig.
	(config_control_destroy_notify): Do not unref.
	(config_control_apply_callback): Use a GConfClient.

	* e-folder-list.c (e_folder_list_init): Add missing cast.

	* main.c (show_development_warning): Use GConf.

	* e-setup.c (e_setup_check_config): Removed arg @listener.
	GConfified.

	* e-shell-view.c (e_shell_view_save_defaults): New.
	(e_shell_view_save_settings): Removed.
	(e_shell_view_load_settings): Removed.
	(setup_defaults): New helper function.
	(e_shell_view_construct): New arg @uri.
	(e_shell_view_new): New arg @uri.

	* e-shell.c: Removed member config_listener in struct
	EShellPrivate.
	(impl_dispose): Do not unref.
	(init): Do not initialize.
	(get_config_start_offline): New helper function.
	(e_shell_construct): Use this to get the startup mode in case
	E_SHELL_STARTUP_LINE_MODE_CONFIG.
	(save_misc_settings): Changed to use GConfClient instead of
	EConfigListener.
	(e_shell_create_view_from_settings): Removed.
	(e_shell_restore_from_settings): Removed.
	(e_shell_get_config_listener): Removed.
	(e_shell_disconnect_db): Removed.
	(parse_default_uri): Use GConf.

	* main.c (idle_cb): Simplified the logic here.  Always assume that
	the view will be created with the default folder open by just
	using e_shell_create_view().

2002-11-19  Not Zed  <NotZed@Ximian.com>

	* e-shell-shared-folder-picker-dialog.c (show_dialog): Pass type
	to bonobo_widget::set_property.

2002-11-18  Not Zed  <NotZed@Ximian.com>

	* e-shell-view-menu.c (file_verbs[]): re-enable importer wizard.

	* importer/importer.c (dialog_response_cb): from clicked_cb.
	(start_import): gtkdialogise.

	* e-shell-importer.c: removed redundant header.
	(create_html): Removed utf8 from locale stuff.
	(get_name_from_component_info): oaf->bonobo activation.
	(get_iid_for_filetype): "
	(create_plugin_menu): Likewise, and change oafiid to bonoboiid
	(get_intelligent_importers): "
	(prepare_intelligent_page): "
	(show_import_wizard): add null domain to glade_xml_new.
	(choose_importer_from_list): gtkdialogise.
	(dialog_response_cb): changed from dialog_clicked_cb.
	(start_import): gtkdialogise.
	(show_error): use gtk message box.
	(error_response_cb): callback to close error box.
	(show_import_wizard): gnome_druid_page_start/finish ->
	gnome_druid_page_edge.
	(prepare_file_page):
	(filename_changed): set HELP button insensitive.
	(create_plugin_menu): casts for warnings and fix a typo,
	set_data->set_data_full.
	(import_druid_finish): folder_selection_dialog api change(?),
	allow create.
	(dialog_weak_notify): renamed from close_dialog().
	(show_import_wizard): remove gnome_dialog_close_hides -> its a
	gtkwindow anyway(!).

	* Makefile.am (evolution_LDADD): Added back importer.
	(evolution_SOURCES): Added back importer.

	* importer/intelligent.c (get_intelligent_importers):
	bonobo-activationised.
	(create_gui): gtkdialogise.
	(intelligent_importer_init): gtkdialogise.
	(create_gui): remove gnome_util_user_home().
	(intelligent_importer_init): "

	* importer/evolution-importer.c (finalise): from destroy.
	(evolution_importer_new): type_new->object_new.

	* importer/evolution-importer-listener.c (finalise): from destroy.
	(evolution_importer_listener_new): type_new->object_new.

	* importer/evolution-importer-client.c (destroy): removed, as it
	wasn't used anyway.
	(evolution_importer_client_new): g_object_new.
	(finalise): added, tho doesn't do anythign yet, should it unref
	the client->objref?  This whole class doesn't seem much use.

	* importer/evolution-importer-client.h: removed
	bonobo-object-client, change to g_object.

	* importer/*.[ch]: ran fix script over everything.
	
	* importer/evolution-intelligent-importer.c: gobjectise.
	(finalise): renamed from destroy.
	(evolution_intelligent_importer_new): gtk_type_new -> g_object_new

2002-11-18  Chris Toshok  <toshok@ximian.com>

	* importer/import.glade: run libglade-convert.

2002-11-16  Chris Toshok  <toshok@ximian.com>

	* e-folder-list.c (e_folder_list_init): force the scrolled table
	to be shown, apparently a bug in libglade2.

	* e-shell-config-default-folders.c (setup_folder_selector): same,
	but with the evolution-folder-selector-button's.

2002-11-16  Chris Toshok  <toshok@ximian.com>

	* e-shell-settings-dialog.c (load_pages): init the corba exception
	before loading each config page, so previous errors don't make
	subsequence pages to fail to load.

2002-11-15  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Added rule to generate
	GNOME_Evolution_Shell.server.in from
	GNOME_Evolution_Shell.server.in.in, substituting @BINDIR@.

	* GNOME_Evolution_Shell.server.in.in: Renamed from
	GNOME_Evolution_Shell.server.in.  Prepend @BINDIR@ to the location
	of the executable.

2002-11-15  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage.c (impl_finalize): Fix typo; p -> sp.

2002-11-15  Ettore Perazzoli  <ettore@ximian.com>

	* e-activity-handler.c (impl_operationStarted): No need to check
	for priv being NULL here anymore.
	(impl_operationProgressing): Likewise.
	(impl_operationFinished): Likewise.
	(impl_requestDialog): Likewise.

	* evolution-folder-selector-button.c (clicked): Use
	g_object_add_weak_pointer() on the parent_window instead of using
	GTK_OBJECT_DESTROYED().

2002-11-15  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-startup-wizard.c (e_shell_startup_wizard_create): For
	now, always return TRUE.

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-client.c (class_init): Pass the right parent
	type to gtk_type_class().

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-user-creatable-items-handler.c,
	* e-shell-user-creatable-items-handler.c: Changed into a GObject
	subclass instead of a GtkObject subclass.

	* e-component-registry.c,
	* e-component-registri.h: Changed into a GObject subclass instead
	of a GtkObject subclass.

	* evolution-shell-view.c (impl_ShellView_set_message): Remove
	bogus GTK_OBJECT() cast in call to g_signal_emit().
	(impl_ShellView_unset_message): Likewise.
	(impl_ShellView_change_current_view): Likewise.
	(impl_ShellView_set_title): Likewise.

	* e-shell-view.c (init): Ref/sink the GtkTooltips.

	* e-uri-schema-registry.c (schema_handler_free): g_object_unref()
	on the component instead of bonobo_object_unref().

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (no_views_left_cb): Use bonobo_main_quit() instead of
	gtk_main_quit().
	(shell_weak_notify): Likewise.
	(idle_cb): Likewise.

	* e-shell.c (notify_no_views_left_idle_cb): New idle function to
	emit the "no_views_left" signal.
	(view_weak_notify): Put it on the idle loop instead of firing the
	signal here.

	* e-task-widget.c (e_task_widget_construct): Ref/sink the
	GtkTooltips object.

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (save_settings_for_views): Removed.
	(e_shell_save_settings): Do not call it here.

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (impl_dispose): NULL priv->ui_component
	after unreffing it.

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component-client.c (destroy_listener_interface):
	Avoid freeing the servant for now, it looks like something is
	messed up and this causes a crash on exit.

	* evolution-storage-set-view-listener.c (impl_finalize): Do not
	invoke POA_GNOME_Evolution_StorageSetViewListener__fini().

	* evolution-storage-listener.c (impl_finalize): Do not invoke
	POA_GNOME_Evolution_StorageListener__fini().

	* e-shell-offline-sync.c (progress_listener_servant_free): Do not
	invoke POA_GNOME_Evolution_SyncFolderProgressListener__fini().

	* e-shell-offline-handler.c (progress_listener_servant_free): Do
	not invoke POA_GNOME_Evolution_OfflineProgressListener__fini().

	* e-corba-storage.c (impl_dispose): Do not invoke
	POA_GNOME_Evolution_StorageListener__fini().

	* evolution-shell-component-client.c (destroy_listener_interface):
	Do not invoke POA_GNOME_Evolution_ShellComponentListener__fini().

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (quit_box_destroyed_callback): Removed.
	(no_views_left_cb): Use g_object_add_weak_pointer() instad of
	connecting to the "destroy" signal.
	(destroy_cb): Removed.
	(shell_weak_notify): New.
	(idle_cb): Use g_object_weak_ref() on the shell object instead of
	connecting to the "destroy" signal.

	* evolution-test-component.c (dialog_destroy_callback): Removed.
	(dialog_weak_notify): New.
	(create_new_folder_selector): Use g_object_weak_ref() on the
	dialog instead of connecting the "destroy" signal.

	* e-shortcuts.c (view_destroyed_cb): Removed.
	(view_weak_notify): New.
	(e_shortcuts_new_view): g_object_weak_ref() the new view instead
	of connecting the "destroy" signal.
	(impl_dispose): Free the ->views and g_object_weak_unref() all the
	items.

	* e-shell.c (view_destroy_cb): Removed.
	(view_weak_notify): New.
	(create_view): Use g_object_weak_ref() on the newly created view
	instead of connecting to the "destroy" signal.
	(impl_dispose): g_object_weak_unref() the views.
	(e_shell_show_settings): Use g_object_add_weak_pointer() on the
	settings_dialog instead of connecting to the "destroy" signal.
	(settings_dialog_destroy_cb): Removed.

	* e-shell-shared-folder-picker-dialog.c
	(progress_bar_weak_notify): New.
	(progress_bar_destroy_callback): Removed.
	(create_progress_dialog): Use g_object_weak_ref() on the progress
	bar object instead of connecting to its "destroy" signal.
	(shell_destroy_callback): Removed.
	(shell_view_destroy_callback): Removed.
	(storage_destroy_callback): Removed.
	(shell_weak_notify): New.
	(shell_view_weak_notify): New.
	(storage_weak_notify): New.
	(discover_folder): Use g_object_weak_ref() on the shell, parent,
	storage objects instead of connecting to their "destroy" signals.

	* e-shell-importer.c: Removed member destroyed from
	ImporterComponentData.
	(import_cb): Instead of checking if ->destroyed is TRUE, check if
	->dialog is NULL to decide whether the dialog has been destroyed
	or not.
	(dialog_destroy_cb): Removed.
	(start_import): Use g_object_weak_ref() on the dialog object
	instead of connecting to its "destroy" signal.
	(dialog_close): Removed.
	(dialog_weak_notify): New.
	(show_import_wizard): Use g_object_weak_ref() on the dialog object
	instead of connecting to its "destroy" signal.
	(import_druid_destroy): New.
	(import_druid_weak_notify): New.
	(show_import_wizard): Use g_object_weak_ref() on the druid object
	instead of connecting to its "destroy" signal.

	* e-shell-folder-selection-dialog.c
	(e_shell_folder_selection_dialog_construct): g_object_weak_ref()
	the shell object instead of connecting to its "destroy" signal.

	* e-shell-folder-creation-dialog.c (dialog_destroy_cb): Removed.
	(dialog_destroy_notify): New.
	(e_shell_show_folder_creation_dialog): g_object_weak_ref() the
	dialog instead of connecting to its "destroy" signal.
	(shell_destroy_cb): Removed.
	(shell_destroy_notify): New.
	(e_shell_show_folder_creation_dialog): g_object_weak_ref() the
	shell object instead of connecting to its "destroy" signal.

	* e-shell-config-offline.c (config_control_destroy_callback):
	Removed.
	(config_control_destroy_notify): New.
	(e_shell_config_offline_create_widget): g_object_weak_ref() the
	config_control instead of connecting to its "destroy" signal.

	* e-shell-config-default-folders.c
	(config_control_destroy_callback): Removed.
	(config_control_destroy_notify): New.
	(e_shell_config_default_folders_create_widget):
	g_object_weak_ref() instead of connecting to the "destroy" signal.

	* e-shell-config-autocompletion.c (config_control_destroy_notify):
	New.
	(config_control_destroy_callback): Removed.
	(e_shell_config_autocompletion_create_widget):
	g_object_weak_ref() instead of connecting to the "destroy" signal.

	* e-activity-handler.c (task_bar_destroy_cb): Removed.
	(task_bar_destroy_notify): New.
	(e_activity_handler_attach_task_bar): Weak_ref the task_bar using
	task_bar_destroy_notify.
	(impl_dispose): Weak_unref the task bars in priv->task_bars.

2002-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-startup-wizard.c: Change type of member etd in
	TimezoneDialogPage to GObject from GtkObject.
	(make_timezone_page): Cast to G_OBJECT() not GTK_OBJECT().

2002-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-startup-wizard.c (e_shell_startup_wizard_create):
	Connect finish_func to the "next" signal for now, since GnomeDruid
	seems to be borked.

	* e-uri-schema-registry.c (schema_handler_new): g_object_ref()
	@component instead of bonobo_object_ref().

	* e-local-storage.c (create_folder): g_object_ref() for the
	component_client, instead of bonobo_object_ref().
	(remove_folder_step): Likewise.

2002-11-13  Not Zed  <NotZed@Ximian.com>

	* evolution-storage.c: remove GTK_OBJECT cast and other GTK stuff.

	* evolution-storage.h: this is a gobject not a gtkobject, fix cast
	macros, and get_type call.

2002-11-11  Chris Toshok  <toshok@ximian.com>

	* e-task-widget.c (impl_finalize): need to assign priv here, fixes
	a crash.

2002-11-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_dispose): Do unref the config_listener here [I
	fixed the finalize crash we were getting].

2002-11-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (impl_finalize): Protect against
	priv->checkboxes being NULL.

2002-11-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-component-registry.c: Make separate dispose/finalize overrides
	of just overriding destroy.
	* e-corba-config-page.c: Likewise.
	* e-corba-storage.c: Likewise.
	* e-folder-type-registry.c: Likewise.
	* e-folder.c: Likewise.
	* e-history.c: Likewise.
	* e-local-folder.c: Likewise.
	* e-local-storage.c: Likewise.
	* e-shell-folder-selection-dialog.c: Likewise.
	* e-shell-folder-title-bar.c: Likewise.
	* e-shell-offline-handler.c: Likewise.
	* e-shell-settings-dialog.c: Likewise.
	* e-shell-user-creatable-items-handler.c: Likewise.
	* e-shell-view.c: Likewise.
	* e-shortcuts-view-model.c: Likewise.
	* e-shortcuts-view.c: Likewise.
	* e-shortcuts.c: Likewise.
	* e-storage-set-view.c: Likewise.
	* e-storage-set.c: Likewise.
	* e-storage.c: Likewise.
	* e-task-bar.c: Likewise.
	* e-task-widget.c: Likewise.
	* e-uri-schema-registry.c: Likewise.
	* evolution-activity-client.c: Likewise.
	* evolution-folder-selector-button.c: Likewise.
	* evolution-storage-listener.c: Likewise.
	* evolution-storage-set-view-listener.c: Likewise.
	* evolution-test-component.c: Likewise.

2002-11-08  Rodrigo Moya <rodrigo@ximian.com>

	* importer/Makefile.am: use correctly IDL flags.

2002-11-07  Chris Toshok  <toshok@ximian.com>

	* e-task-widget.c (impl_destroy): guard against multiple calls.
	fixes a crash whenever a task finishes (the addressbook finishing
	loading, etc.).

	* e-shell-marshal.list: add NONE:BOOL for
	evolution-shell-component.

	* evolution-shell-component.c (class_init): register the signals
	with g_signal_new.

2002-11-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_show_settings): Allow type being NULL.

2002-11-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (load_folder): Do add folders with an unknown
	type.

2002-11-05  Ettore Perazzoli  <ettore@ximian.com>

	* glade/e-shell-folder-creation-dialog.glade (ok_button): Set
	response_id to GTK_RESPONSE_OK.
	(cancel_button): Likewise, with GTK_RESPONSE_CANCEL.

	* e-shell-folder-creation-dialog.h,
	e-shell-folder-creation-dialog.c: Ported to GtkDialog.

2002-11-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder-list.c: Use g_object_get_data() instead of
	gtk_object_get_data().
	* e-shell-config-default-folders.c: Likewise.
	* e-shell-folder-creation-dialog.c: Likewise.
	* e-shell-importer.c: Likewise.
	* e-shell-shared-folder-picker-dialog.c: Likewise.
	* e-shell-user-creatable-items-handler.c: Likewise.
	* e-shell-view.c: Likewise.
	* e-shell.c: Likewise.
	* e-storage.c: Likewise.

2002-11-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-activity-handler.c: Split finalize/dispose.
	* e-corba-shortcuts.c: Likewise.
	* e-corba-storage-registry.c: Likewise.
	* e-shell-about-box.c: Likewise.
	* e-shell.c: Likewise.
	* e-splash.c: Likewise.
	* evolution-config-control.c: Likewise.
	* evolution-session.c: Likewise.
	* evolution-shell-component.c: Likewise.
	* evolution-shell-view.c: Likewise.
	* evolution-storage-set-view.c: Likewise.
	* evolution-storage.c: Likewise.
	* evolution-wizard.c: Likewise.

2002-11-05  Ettore Perazzoli  <ettore@ximian.com>

	* All: g_object_unref instead of bonobo_object_unref for the
	EvolutionShellComponentClient and EvolutionShellClient interfaces.

2002-11-05  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-client.c (impl_dispose): New.
	(impl_finalize): New.
	(destroy): Removed.
	(class_init): Install dispose, finalize handlers.

	* All: Use evolution_shell_client_corba_objref() or
	evolution_shell_component_client_corba_objref() instead of
	BONOBO_OBJREF() or bonobo_object_corba_objref() where needed.

	* e-folder-type-registry.c (set_handler): Use g_object_ref() for
	the handler, not bonobo_object_ref().
	(folder_type_free): Likewise for unref.

	* evolution-shell-component-client.c
	(evolution_shell_component_client_corba_objref): New.
	(impl_dispose): Moved from impl_destroy; only unref things.
	(impl_finalize) New.
	(class_init): Install dispose/finalize.
	(evolution_shell_component_client_get_dnd_source_interface): Use
	priv->corba_objref instead of bonobo_object_corba_objref() since
	we are not a BonoboObject anymore.
	(evolution_shell_component_client_get_dnd_destination_interface):
	Likewise.
	(evolution_shell_component_client_get_offline_interface): Likewise.
	(evolution_shell_component_client_set_owner): Likewise.
	(evolution_shell_component_client_unset_owner): Likewise.
	(evolution_shell_component_client_create_view): Likewise.
	(evolution_shell_component_client_handle_external_uri): Likewise.
	(evolution_shell_component_client_async_create_folder): Likewise.
	(evolution_shell_component_client_async_xfer_folder): Likewise.
	(evolution_shell_component_client_populate_folder_context_menu): Likewise.
	(evolution_shell_component_client_unpopulate_folder_context_menu): Likewise.

	* e-component-registry.c (register_component): Use
	evolution_shell_component_client_corba_objref().
	(e_component_registry_restart_component): Likewise.
	(component_free): Likewise.

	* evolution-shell-component-client.c: g_object_new() instead of gtk_type_new().
	* e-component-registry.c: Likewise.
	* e-corba-config-page.c
	* e-folder-list.c: Likewise.
	* e-folder-type-registry.c: Likewise.
	* e-folder.c: Likewise.
	* e-gray-bar.c: Likewise.
	* e-history.c: Likewise.
	* e-local-folder.c: Likewise.
	* e-local-folder.c: Likewise.
	* e-local-storage.c: Likewise.
	* e-shell-about-box.c: Likewise.
	* e-shell-config-default-folders.c: Likewise.
	* e-shell-folder-selection-dialog.c: Likewise.
	* e-shell-folder-title-bar.c: Likewise.
	* e-shell-offline-handler.c: Likewise.
	* e-shell-settings-dialog.c: Likewise.
	* e-shell-user-creatable-items-handler.c: Likewise.
	* e-shell-view.c: Likewise.
	* e-shortcuts-view-model.c: Likewise.
	* e-shortcuts-view.c: Likewise.
	* e-shortcuts.c: Likewise.
	* e-splash.c: Likewise.
	* e-storage-set-view.c: Likewise.
	* e-storage-set.c: Likewise.
	* e-storage.c: Likewise.
	* e-task-bar.c: Likewise.
	* e-task-widget.c: Likewise.
	* e-uri-schema-registry.c: Likewise.
	* evolution-activity-client.c: Likewise.
	* evolution-folder-selector-button.c: Likewise.
	* evolution-shell-client.c: Likewise.
	* evolution-shell-view.c: Likewise.
	* evolution-storage-listener.c: Likewise.
	* evolution-storage-set-view-listener.c: Likewise.
	* evolution-storage-set-view.c: Likewise.
	* evolution-wizard.c: Likewise.

	* GNOME_Evolution_TestComponent.server: Renamed from
	GNOME_Evolution_TestComponent.oaf.

	* evolution-test-component.c (spit_out_shortcuts): Use
	BONOBO_EX_REPOID().
	(create_new_folder_selector): Ported to use GtkDialog instead of
	GnomeDialog.
	(storage_cancel_discover_shared_folder_callback): Add missing
	G_OBJECT() cast.
	(shared_folder_discovery_timeout_callback): Likewise.
	(storage_discover_shared_folder_callback): Likewise.
	(timeout_callback_2): Likewise.
	(timeout_callback_1): Likewise.
	(shared_folder_discovery_timeout_callback): Use
	g_object_get_data() instead of gtk_object_get_data().
	(storage_cancel_discover_shared_folder_callback): Likewise.
	(timeout_callback_2): Likewise.
	(timeout_callback_2): g_timeout_add() instead of
	gtk_timeout_add().
	(create_view_fn): Likewise.
	(timeout_callback_1): Likewise.
	(timeout_callback_1): Pass NULL as the error arg to
	gdk_pixbuf_new_from_file().
	(register_component): Use bonobo-activation instead of OAF.

	* e-shell-about-box.c (impl_destroy): Removed.
	(impl_finalize): New.
	(class_init): Install finalize handler, not destroy.

	* e-shell-view-menu.c (command_about_box): Use a GtkWindow again.
	Set the GTK_WINDOW_TYPE_HINT_DIALOG hint.

	* e-shell-about-box.c (e_shell_about_box_construct): Removed.

2002-11-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c (e_shell_command_copy_folder): Pass
	TRUE for arg allow_creation to
	e_shell_folder_selection_dialog_new().
	(e_shell_command_move_folder): Likewise.
	* e-shell-view-menu.c (command_goto_folder): Likewise.
	(command_new_shortcut): Likewise.
	* e-shell.c (impl_Shell_selectUserFolder): Likewise.

	* e-shell-folder-selection-dialog.c
	(e_shell_folder_selection_dialog_set_allow_creation): Removed.
	(e_shell_folder_selection_dialog_get_allow_creation): Removed.
	(e_shell_folder_selection_dialog_new): New arg allow_creation.
	(e_shell_folder_selection_dialog_construct): Likewise.  Also, do
	set priv->shell.

	* e-shell-folder-selection-dialog.h,
	e-shell-folder-selection-dialog.c: Port to GtkDialog.

2002-11-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder-type-registry.c
	(e_folder_type_registry_get_handler_for_type): Remove warning for
	when the type is unknown.
	(e_folder_type_registry_type_is_user_creatable): Likewise.
	(e_folder_type_registry_get_display_name_for_type): Likewise.
	(e_folder_type_registry_get_description_for_type): Likewise.
	(e_folder_type_registry_get_exported_dnd_types_for_type):
	Likewise.
	(e_folder_type_registry_get_accepted_dnd_types_for_type):
	Likewise.
	(e_folder_type_registry_unregister_type): Likewise.
	(e_folder_type_registry_get_icon_name_for_type): Likewise.
	(e_folder_type_registry_get_icon_for_type): Likewise.
	(set_handler): Removed warning here too.

2002-11-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder-list.c: Replace gtk_signal_emit() with g_signal_emit().
	* e-folder.c: Likewise.
	* e-shell-folder-selection-dialog.c: Likewise.
	* e-shell-folder-title-bar.c: Likewise.
	* e-shell-offline-handler.c: Likewise.
	* e-shell-view.c: Likewise.
	* e-shortcuts-view.c: Likewise.
	* e-shortcuts.c: Likewise.
	* e-storage-set-view.c: Likewise.
	* e-storage-set.c: Likewise.
	* e-storage.c: Likewise.
	* evolution-activity-client.c: Likewise.
	* evolution-folder-selector-button.c: Likewise.
	* evolution-storage-listener.c: Likewise.
	* evolution-storage-set-view-listener.c: Likewise.

2002-11-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder-list.c: Use g_object_set_data() instead of
	gtk_object_set_data().
	* e-shell-config-default-folders.c: Likewise.
	* e-shell-folder-creation-dialog.c: Likewise.
	* e-shell-importer.c: Likewise.
	* e-shell-shared-folder-picker-dialog.c: Likewise.
	* e-shell-user-creatable-items-handler.c: Likewise.
	* e-shell-view.c: Likewise.
	* e-shell.c: Likewise.
	* e-storage-set-view.c: Likewise.
	* e-storage.c: Likewise.
	* evolution-test-component.c: Likewise.
	
	* e-storage-set-view.c (e_storage_set_view_construct): Use
	g_object_weakref() instead of gtk_object_weakref() for the
	ui_container.
	(ui_container_destroy_notify): Add param where_the_object_was to
	match the GWeakNotify prototype.

	* e-shell.c: Use g_signal_emit() instead of gtk_signal_emit().

2002-11-03  Ettore Perazzoli  <ettore@ximian.com>

	* glade/e-active-connection-dialog.glade: Converted to Glade2
	format.
	* glade/evolution-startup-wizard.glade: Likewise.
	* glade/e-shell-shared-folder-picker-dialog.glade: Likewise.
	* glade/e-shell-folder-creation-dialog.glade: Likewise.
	* glade/e-shell-config-default-folders.glade: Likewise.
	* glade/e-folder-list.glade: Likewise.

2002-11-03  Ettore Perazzoli  <ettore@ximian.com>

	* *.c, *.h: Changed all gtk_object_refs()/gtk_object_unrefs() into
	g_object_refs()/g_object_unrefs() and all gtk_signal_connect_*()
	into g_signal_connect_*().  [Except for some case where we have
	gtk_signal_connect_full() or gtk_signal_connect_while_alive()
	calls that cannot be trivially ported to use the g_signal_*
	functions, we'll have to fix those later.]

	* e-splash.c (impl_finalize): Finalize implementation, copied over
	from impl_destroy.
	(impl_destroy): Removed.
	(class_init): Override finalize, not destroy.

	* e-activity-handler.c: Ported from GtkObject to GObject.
	* evolution-storage.c: Likewise.
	* e-corba-shortcuts.c: Likewise.
	* evolution-session.h: Likewise.
	* evolution-config-control.c: Likewise.
	* evolution-shell-component-dnd.c: Likewise.
	* evolution-shell-component.c: Likewise.
	* evolution-shell-view.c: Likewise.
	* evolution-storage-set-view.c: Likewise.
	* evolution-wizard.c: Likewise.

2002-11-03  Ettore Perazzoli  <ettore@ximian.com>

	* e-component-info.c: Updated for libxml2.
	* e-shortcuts.c: Likewise.
	* e-folder-list.c: Likewise.
	* e-local-folder.c: Likewise.

2002-11-03  Ettore Perazzoli  <ettore@ximian.com>

	* GNOME_Evolution_Shell.server.in: Renamed from
	GNOME_Evolution_Shell.oaf.in.

	* Makefile.am: Port from OAF to bonobo-activation.
	(INCLUDES): Define SYSCONFDIR, DATADIR, LIBDIR.

	* main.c (main): Use gnome_program_init().

	* e-corba-storage-registry.c (e_corba_storage_registry_new):
	g_object_new(), not gtk_type_new().
	(impl_finalize): New, ported over from destroy.
	(destroy): Removed.
	(class_init): Install finalize handler, not destroy handler, since
	we are not a GtkObject anymore.

	* e-corba-storage.c (e_corba_storage_new): g_object_new(), not
	gtk_type_new().

	* e-shell.c (class_init): Override finalize, not destroy.
	(impl_finalize): Finalize implementation, basically the old
	destroy renamed.
	(e_shell_new): g_object_new(), not gtk_type_new().
	(class_init): Use e_shell_marshal_NONE__INT for
	line_status_changed instead of using an ENUM.
	(e_shell_construct): Use g_signal_connect_object() instead of
	gtk_signal_connect_while_alive().

	* e-setup.c (e_setup): Do not unref local_folder if NULL.

	* e-folder.c (init): Make not floating.
	(e_folder_construct): No need to make it floating here anymore.

	* e-shell.c (impl_Shell_selectUserFolder): For now don't set
	dialog parent from xid.

	* main.c (no_views_left_cb): Add missing GTK_SIGNAL_FUNC() cast.
	(new_view_created_callback): Likewise.
	(warning_dialog_clicked_callback): Update to use the
	EConfigListener from the shell instead of bonobo-conf.
	(show_development_warning): Likewise.
	(upgrade_from_1_0_if_needed): BONOBO_EX_ID -> BONOBO_EX_REPOID.
	(idle_cb): Use bonobo-activation and BONOBO_EX_REPOID().
	(main): Cleaned up the various things that are unneeded in GNOME
	2.
	(upgrade_from_1_0_if_needed): Use EConfigListener.

	* evolution-storage-set-view.h, evolution-storage-set-view.c:
	BonoboXObjectified.

	* e-storage.c (class_init): GLIB2-ified and made to use
	e-shell-marshal.h.
	(ES_CLASS): Use GTK_OBJECT_GET_CLASS().
	(e_storage_new_folder): Added missing GTK_SIGNAL_FUNC() prototype.

	* e-storage-set.c (class_init): GLIB2-ified and made to use
	e-shell-marshal.h.

	* e-storage-set-view.c (popup_folder_menu): For now, do not add
	the pop-up since we lack bonobo_ui_container_get_win() and I am
	not sure how to work around it.
	(popup_folder_menu): Pass self as the for_widget arg to
	gnome_popup_menu_do_popup_modal().
	(class_init): GLIB2-ified, and got to use e-shell-marshal.h.
	(marshal_NONE__GDKDRAGCONTEXT_STRING_STRING_STRING): Removed.
	(impl_tree_drag_data_get): Don't set the selection for now -- we
	have to fix the CORBA target stuff to match GTK 2.
	(e_storage_set_view_construct): Pass NULL as the opt_ev arg to
	bonobo_ui_component_set_container().

	* e-splash.c: #include <libgnomecanvas/gnome-canvas-pixbuf.h>
	instead of <gdk-pixbuf/gnome-canvas-pixbuf.h>.
	(e_splash_new): Pass NULL as the error arg to
	gdk_pixbuf_new_from_file().

	* e-shortcuts.c (class_init): GLIB2-ified.  Also use the
	e-shell-marshal marshallers.
	(e_shortcuts_new_view): Add missing GTK_SIGNAL_FUNC() cast.

	* e-shortcuts-view.c: Use GTK_STOCK_* stuff instead of
	GNOME_STOCK_* stuff.
	(pop_up_right_click_menu_for_group): Pass self as the for_widget
	arg to gnome_popup_menu_do_popup_modal().
	(pop_up_right_click_menu_for_shortcut): Likewise.
	(class_init): GLIB2-ified.

	* e-shell.c: Do not #include <gal/util/e-unicode-i18n.h> or
	#include <libgnome/gnome-defs.h>.
	(set_interactive): Use BONOBO_EX_REPOID().
	(setup_local_storage): Use _() not U_().
	(destroy): Use gtk_widget_destroy() instead of
	gtk_object_destroy() on priv->settings_dialog.
	(class_init): GLIB2-ized.
	(init): Initialize config_listener member.
	(get_icon_path_for_component_info): Port to bonobo-activation from
	OAF.
	(setup_components): Likewise.
	(destroy): Likewise.
	(e_shell_construct): Use e_setup_check_config(), not
	e_setup_check_db ().  Use the e_config_listener instead of
	bonobo-conf.
	(save_settings_for_views): Likewise.
	(save_misc_settings): Likewise.
	(e_shell_restore_from_settings): Likewise.
	(parse_default_uri): Likewise.
	(e_shell_component_maybe_crashed): Pass NULL for opt_ev arg to
	bonobo_unkown_ping()
	(e_shell_component_maybe_crashed): Use
	bonobo_engine_deregister_dead_components() instead of
	bonobo_window_deregister_component_by_ref() which is no more.
	(e_shell_send_receive): BONOBO_EX_REPOID() instead of
	BONOBO_EX_ID().
	(e_shell_get_config_listener): Return the config_listener.

	* e-shell-view.c (find_inbox_in_storage): Use _() instead of U_().
	(load_images): Pass NULL as the error arg to
	gdk_pixbuf_new_from_file().
	(load_images): Likewise.
	(find_inbox_in_storage): Work around the lack of
	g_utf8_strcasecmp() in glib-2.0.
	(class_init): GLIB2-ified.  Also, use the marshallers in
	e-shell-marshal.h.
	(pop_up_folder_bar): Use gtk_window_move()/gtk_widget_show()
	instead gtk_widget_popup().
	(unmerge_on_error): Work around the death of
	bonobo_ui_component_get_win() and
	bonobo_window_deregister_component_by_ref().
	(e_shell_view_construct): Pass NULL as the uic arg to
	bonobo_window_construct().  Add missing GTK_SIGNAL_FUNC() cast.
	Match the new BonoboWindow behavior wrt the UIContainer and the
	new opt_ev args.
	(display_uri): Use bonobo_ui_engine_freeze() and
	bonobo_ui_engine_thaw() since bonobo_window_freeze() and
	bonobo_window_thaw() got axed [sigh].
	(e_shell_view_save_settings): Use EConfigListener.
	(e_shell_view_load_settings): Likewise.
	(get_view_for_uri): Use bonobo_widget_new_control_from_objref()
	instead of e_bonobo_widget_new_control_from_objref().

	* e-shell-view-menu.c (command_help_faq): Pass NULL for the error
	arg to gnome_url_show().
	(command_about_box): Use GtkDialog instead of a GtkWindow of a
	type GTK_WINDOW_DIALOG [which does not exist anymore].
	(command_xml_dump): Removed.
	(menu_do_misc): Do not add the corresponding verb.

	* e-shell-user-creatable-items-handler.c (execute_verb): Use
	BONOBO_EX_REPOID().

	* e-shell-startup-wizard.c: Remove id member from SWData.  Replace
	member db with config_listener.
	(e_shell_startup_wizard_create): Initialize config_listener.
	(make_mail_dialog_pages): Do not set the listener id here.
	(druid_event_notify_cb): Pass FALSE as the help_sensitive arg to
	gnome_druid_set_buttons_sensitive().
	(e_shell_startup_wizard_create): Likewise.
	(make_mail_dialog_pages): Use bonobo-activation instead of OAF.
	(get_intelligent_importers): Likewise.
	(prepare_importer_page): Likewise.
	(start_importers): Do nothing here for now.
	(finish_func): Constify local variable displayname.
	(finish_func): Updated to use the config_listener instead of the
	bono-conf db.
	(prepare_importer_page): Do not actually run the importer yet.
	(e_shell_startup_wizard_create): Pass NULL as the domain arg to
	glade_xml_new().  Use the config_listener.

	* e-shell-shared-folder-picker-dialog.c (user_clicked):
	BONOBO_EX_REPOID() instead of BONOBO_EX_ID().
	(setup_name_selector): Likewise.
	(setup_name_selector): Use bonobo-activation.
	(show_dialog): Pass NULL as the domain arg to glade_xml_new().
	(setup_name_selector): Add a missing GTK_SIGNAL_FUNC() cast.

	* e-shell-settings-dialog.c: #include
	<bonobo-activation/bonobo-activation.h>.  Use
	Bonobo_ActivationProperty instead of OAF_Property.
	(set_dialog_size): Use gtk_style_get_font() to get the font from
	the widget->style.
	(load_pages): Converted to use bonobo-activation instead of OAF.
	Pass NULL as the error arg to gdk_pixbuf_new_from_file().

	* e-shell-offline-sync.c (sync_folder): BONOBO_EX_REPOID(), not
	BONOBO_EX_ID().
	(e_shell_offline_sync_all_folders): For now, avoid doing anything
	[see changes to e-shell-config-offline.c below].
	(setup_progress_listener): #if 0 for now.
	(setup_dialog): Likewise.
	(sync_folder): Likewise.
	(cleanup): Likewise.
	(progress_listener_servant_free): Likewise.
	(progress_listener_servant_new): Likewise.
	(impl_SyncFolderProgressListener_updateProgress): Likewise.
	(impl_SyncFolderProgressListener_reportSuccess): Likewise.
	(impl_SyncFolderProgressListener_reportFailure): Likewise.
	(progress_dialog_close_callback): Likewise.
	(progress_dialog_clicked_callback): Likewise.

	* e-shell-offline-handler.c (prepare_for_offline): Use
	BONOBO_EX_REPOID().
	(pop_up_confirmation_dialog): Pass NULL as the domain arg to
	glade_xml_new().
	(class_init): GLIB2-ified.

	* Makefile.am: Do not compile e-shell-importer.c,
	e-shell-importer.h for now.

	* e-shell-folder-title-bar.c (get_max_clipped_label_width): Use
	gtk_style_get_font() to retrieve the font.
	(class_init): GLIB2-ified.
	(e_shell_folder_title_bar_construct): Get {x,y}thickness from
	widget->style, not from widget->style->klass.

	* e-shell-folder-selection-dialog.c: #include <string.h>,
	<gtk/gtklabel.h> and <gtk/gtksignal.h>.
	(class_init): GLIB2-ified.

	* e-shell-folder-creation-dialog.c: No <libgnome/gnome-defs.h>,
	add some GTK includes.
	(e_shell_show_folder_creation_dialog): Pass NULL as the domain arg
	to glade_xml_new().  Added missing GTK_SIGNAL_FUNC() cast.

	* e-shell-folder-commands.c: Do not #include
	<libgnomeui/gnome-stock.h> and #include
	<bonobo-conf/Bonobo_Config.h>.

	* e-shell-config-default-folders.c: Replace member db in
	EvolutionDefaultFolderConfig with config_listener.
	(e_shell_config_default_folders_create_widget): Init here.
	(config_control_destroy_cb): Unref here.
	(config_control_apply_cb): Use EConfigListener instead of
	BonoboConf.
	(setup_folder_selector): Likewise.
	(e_shell_config_default_folders_create_widget): Pass NULL as the
	domain arg to glade_xml_new().

	* e-shell-config-offline.c (config_control_apply_callback): For
	now, do not change the configuration.  [Needs to be ported to
	EConfigListener or something, but we were storing a sequence using
	typecodes here and there is no trivial way to do that right now.]
	(init_storage_set_view_status_from_config): Likewise, do not
	retrieve the configuration here.

	* e-shell-marshal.list: Removed duplicates, added a bunch new
	marshallers.

2002-11-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-config-autocompletion.c: No bonobo-conf; removed member
	db in struct EvolutionAutocompletionConfig and replaced with a
	config_listener arg.
	(e_shell_config_autocompletion_create_widget): Init it here.
	(config_control_destroy_callback): Unref it here.
	(config_control_apply_callback): Updated to use the
	config_listener.

	* e-shell-config.c (e_shell_config_factory_register): Use
	bonobo_generic_factory_new() instead of
	bonobo_generic_factory_new_multi().

	* e-shell-about-box.c (impl_realize): Pass NULL as the error arg
	to gdk_pixbuf_new_from_file().
	(timeout_callback): Use gtk_style_get_font() to retrieve the
	style's font instead of style->font.
	(impl_draw): Removed.
	(impl_expose_event): Do the drawing of the pixmap here.

	* e-setup.c (e_setup_check_db): Removed.
	(e_setup_check_config): New, version using EConfigListener instead
	of bonobo-conf.

	* e-setup.h: #include "e-util/e-config-listener.h" instead of
	<bonobo-conf/bonobo-config-database.h>.

	* e-local-storage.c (construct): Use _() instead of U_().
	(setup_stock_folders): Likewise.

	* e-icon-factory.c (load_icon): Pass NULL as the error arg to
	gdk_pixbuf_new_from_file().

	* e-folder-type-registry.c (folder_type_new): Pass NULL as the
	error arg to gdk_pixbuf_new_from_file().

	* e-folder-dnd-bridge.c (find_matching_target_for_drag_context):
	GdkAtom is not an integer anymore; update accordingly.

	* e-corba-storage.c (async_folder_cb): Constified args
	appropriately to match BonoboListenerCallbackFn.
	(async_folder_discovery_cb): Likewise.
	(cancel_discover_shared_folder): BONOBO_EX_ID() ->
	BONOBO_EX_REPOID().
	(e_corba_storage_show_folder_properties): Likewise.

	* e-corba-storage-registry.h, e-corba-storage-registry.c:
	BonoboXObjectified.

	* e-corba-config-page.c: Removed member listener_id in struct
	ECorbaConfigPagePrivate.
	(init): Don't init.
	(setup_listener): Bonobo_EventSource_addListener doesn't return an
	ID anymore.
	(impl_destroy): Just pass the listener to
	Bonobo_EventSource_removeListener.
	(setup_listener): BONOBO_EX_REPOID() instead of BONOBO_EX_ID().
	(impl_apply): Likewise.
	(listener_event_callback): Constified args appropriately to match
	BonoboListenerCallbackFn.
	(e_corba_config_page_construct): Likewise.

	* e-component-registry.c (wait_for_corba_object_to_die): Pass NULL
	for the exception arg to bonobo_unknown_ping().

	* e-shell-view.h: <bonobo/bonobo-window.h>, not
	<bonobo/bonobo-win.h>.

	* e-shell.c: Replace member db in EShellPrivate with an
	EConfigListener config_listener.
	(destroy): Do not call e_shell_disconnect_db().  Unref
	EConfigListener.  Destroy settings_dialog if not NULL.  Pass
	config_listener to e_setup_check_db().
	(e_shell_get_config_db): Removed.
	(e_shell_get_config_listener): New.
	(e_shell_construct): Set up the config_listener, instead of the
	Bonobo_ConfigDatabase.

	* e-shell.h: #include <bonobo-activation/bonobo-activation.h>
	instead of <liboaf/oaf.h>.  No
	<bonobo-conf/bonobo-config-database.h>.

	* e-component-registry.c: #include
	<bonobo-activation/bonobo-activation.h> instead of <liboaf/oaf.h>.

	* e-activity-handler.c (task_widget_button_press_event_callback):
	Use BONOBO_EX() and BONOBO_EX_REPOID().
	(impl_operationStarted): Don't use GTK_OBJECT_DESTROYED() [needs
	to be fixed later].
	(impl_operationProgressing): Likewise.
	(impl_operationFinished): Likewise.
	(impl_requestDialog): Likewise.

	* evolution-wizard.c (evolution_wizard_class_init): GLIB2-ified.

	* evolution-wizard.h: Remove BEGIN_GNOME_DECLS/END_GNOME_DECLS.

	* evolution-storage.c: Chagned to use generated marshallers
	instead of custom ones or GAL's.

	* eshell-marshal.list: New.
	* Makefile.am: Added rule to build eshell-marshal.[ch] and link
	them in.

	* evolution-storage.h, evolution-storage.c: BonoboXObjectified.

	* evolution-storage-set-view-listener.c (class_init): GLIB2-ified.

	* evolution-storage-listener.c (class_init): GLIB2-ified.

	* evolution-shell-view.h, evolution-shell-view.c:
	BonoboXObjectified.

	* evolution-shell-component-utils.c: #include
	<bonobo-activation/bonobo-activation.h>.
	(e_pixmaps_update): Pass NULL as the error arg to
	gdk_pixbuf_new_from_file().
	(e_activation_failure_dialog): Bonobo_GeneralError instead of
	OAF_GeneralError.
	(e_get_activation_failure_msg): Likewise.

	* evolution-shell-component-dnd.h, evolution-shell-component-dnd.c:
	BonoboXObjectified.

	* evolution-shell-component.c: #include <unistd.h>.
	(owner_ping_callback): Pass NULL for the opt_ev arg to
	bonobo_unknown_ping().
	(impl_populateFolderContextMenu): Pass NULL for the opt_ev arg to
	bonobo_ui_component_set_container().
	(class_init): GLIB2-ified.

	* e-component-registry.c (component_free): Use g_object_unref() on
	the EvolutionShellComponentClient instead of
	bonobo_object_unref().
	(register_component): Likewise.
	(component_new): Likewise, use g_object_ref() instead of
	bonobo_object_ref().

	* evolution-shell-component-client.c: New member corba_objref in
	EvolutionShellComponentClientPrivate.
	(init): Init to CORBA_OBJECT_NIL.
	(impl_destroy): Unref.  Also CORBA_OBJECT_NILify all the pointers
	to unreffed objects.
	(corba_exception_to_result): Use BONOBO_EX_REPOID(ev) instead of
	ev->_repo_id.
	(evolution_shell_component_client_construct): Set the corba_objref
	pointer, do not call bonobo_object_client_construct().
	(evolution_shell_component_client_new): Use
	bonobo_activation_activate_from_id() here instead of
	oaf_activate_from_id().

	* evolution-shell-component-client.h,
	evolution-shell-component-client.c: Derive from GObject instead of
	BonoboObjectClient.

	* evolution-shell-client.c
	(evolution_shell_client_create_storage_set_view): Use
	BONOBO_EX_REPOID() instead of BONOBO_EX_ID().

	* evolution-folder-selector-button.c (destroy): g_object_unref the
	EvolutionShellClient instead of bonobo_object_unref().
	(evolution_folder_selector_button_construct): Likewise.

	* e-folder-list.c (e_folder_list_destroy): g_object_unref the
	EvolutionShellClient instead of bonobo_object_unref().
	(e_folder_list_construct): g_object_ref the EvolutionShellClient
	instead of bonobo_object_ref().

	* evolution-shell-client.c: New member corba_objref in
	EvolutionShellClientPrivate.
	(init): Init to CORBA_OBJECT_NIL.
	(destroy): Unref/release.
	(query_shell_interface): Use BONOBO_EX() and BONOBO_EX_REPOID()
	instead of ._major and ._repo_id.
	(destroy): Likewise.
	(evolution_shell_client_get_local_storage): Likewise.

	* evolution-shell-client.h: Derive from GObject instead of
	BonoboObjectClient.

	* evolution-session.c (corba_class_init): Get klass arg.
	(class_init): Pass klass arg.  GLIB2-ified.
	(evolution_session_construct): Removed.
	(evolution_session_new): Just return what gtk_type_new() returns.

	* evolution-session.h, evolution-session.c: Derive from
	BonoboXObject.

	* evolution-folder-selector-button.c (init): Make icon a GtkImage
	instead of a BonoboUIToolbarIcon.
	(set_folder, class_init): GLIB2-ified.

	* evolution-config-control.c (class_init): GLIB2-ified.

	* evolution-activity-client.c (corba_update_progress): Use
	BONOBO_EX_REPOID() instead of ._major and ._repo_id.
	(evolution_activity_client_request_dialog): Likewise.
	(impl_destroy): Likewise.
	(class_init): GLIB2-ified.

	* e-folder-list.c: #include <gtk/gtframe.h> and #include
	<string.h>.
	(e_folder_list_destroy): bonobo_object_unref(), not
	bonobo_object_client_unref().
	(e_folder_list_init): Pass NULL as the domain to glade_xml_new().

	* e-folder-list.h: #include <gtk/gtkvbox.h>.

	* e-folder.c (impl_remove): Renamed from remove().
	(impl_get_physical_uri): Renamed from get_physical_uri().
	(impl_load_info): Renamed from load_info().
	(impl_save_info): Renamed from save_info().
	(class_init): GLIB2-ified.

	* Evolution-Session.idl: #include <Bonobo.idl>, not <Bonobo.h>.
	* Evolution-Offline.idl: Likewise.
	* Evolution-ShellComponent.idl: Likewise.
	* Evolution-ShellComponentDnd.idl: Likewise.
	* Evolution-Storage.idl: Likewise.

	* Makefile.am: Do not compile the importer directory for now.

	* evolution-wizard.c (evolution_wizard_set_buttons_sensitive):
	ORBit2-ize type names.
	(evolution_wizard_set_show_finish): Likewise.
	(evolution_wizard_set_page): Likewise.

2002-10-28  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-settings-dialog.c (set_dialog_size): Increase the width
	slightly.

	* e-shell-view-menu.c: Set "settings.png" as the icon for
	/menu/Tools/Settings.

2002-10-25  Ettore Perazzoli  <ettore@ximian.com>

	[#31303]

	* e-shell-view (storage_set_view_box_button_release_event_cb): Pop
	down the popup folder bar if it's a toplevel node.
	(folder_bar_popup_map_callback): Connect to the "folder_opened"
	signal on the storage_set_view.

2002-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder-list.c (create_display_string): Don't turn the string
	from UTF-8 to GTK.  [#32032]

2002-10-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (setup_local_storage): Set the is_stock flag to TRUE
	for the summary folder.

	* e-shell-view.c (setup_verb_sensitivity_for_folder): Don't allow
	folder operations on pseudo-folders that have a NULL physical_uri.

	* e-corba-storage.c (async_remove_folder): Make sure the folder
	has a physical URI.  [#30950]

2002-10-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-shared-folder-picker-dialog.c
	(setup_server_option_menu): Use
	e_utf8_gtk_menu_item_new_with_label() to create the option menu
	items from the storage's UTF-8 name.  [#31564]

2002-10-21  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component-utils.c
	(e_get_activation_failure_msg): If the exception_id is NULL,
	return NULL instead of crashing.  [#25891]

2002-10-17  Ettore Perazzoli  <ettore@ximian.com>

	[Implement the Cancel button in the "Open other user's folder"
	dialog, as per #27735.]

	* e-corba-storage.c (cancel_discover_shared_folder): New,
	implementation for the cancel_discover_shared_folder virtual
	method.
	(class_init): Install.

	* evolution-test-component.c
	(storage_discover_shared_folder_callback): Instead of passing the
	listener to the timeout function, just pass the storage.  Put the
	listener and the timeout ID on the storage object by using
	gtk_object_set_data().
	(shared_folder_discovery_timeout_callback): Updated accordingly.
	(storage_cancel_discover_shared_folder_callback): New, callback
	for the cancel_discover_shared_folder signal.
	(setup_custom_storage): Connect.

	* e-shell-shared-folder-picker-dialog.c: New member storage in
	struct DiscoveryData.  While I am at it, rename member user to
	user_email_address.
	(discover_folder): Set the storage member.
	(cleanup_discovery): Unref storage member.
	(progress_dialog_clicked_callback): New, callback for the
	"clicked" signal on the dialog.
	(discover_folder): Connect.

	* evolution-storage.c (class_init): Install signal
	"cancel_discover_shared_folder".
	(impl_Storage_cancelDiscoverSharedFolder): New, implementation for
	the cancelDiscoverSharedFolder CORBA method; emit
	"cancel_discover_shared_folder".
	(evolution_storage_get_epv): Install CORBA method implementation.

	* evolution-storage.h: Add signal cancel_discover_shared_folder.

	* e-storage.c (e_storage_cancel_discover_shared_folder): New.

	* e-storage.h: New virtual method cancel_discover_shared_folder.

	* Evolution-Storage.idl (cancelDiscoverSharedFolder): New.

2002-10-07  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-importer.c (choose_importer_from_list): Change the
	selection mode to GTK_SELECTION_BROWSE so there is always a
	selection.  The code here doesn't handle a NULL selection.
	[#31690]

	* e-shell-importer.c (import_cb): Only delay half a second
	(instead of 5 seconds) when getting EVOLUTION_IMPORTER_NOT_READY
	or EVOLUTION_IMPORTER_BUSY.

	* importer/evolution-importer-listener.c
	(impl_GNOME_Evolution_ImporterListener_notifyResult): Removed
	debugging message.

2002-10-04  Chris Toshok  <toshok@ximian.com>

	* e-shell-folder-selection-dialog.c (delete_event_cb): new
	function, emit cancelled so the folder selector button will
	sensitize the parent window again.
	(e_shell_folder_selection_dialog_construct): connect the
	delete_event signal.

2002-09-30  Aaron Weber  <aaron@ximian.com>

	* importer/import.glade: Import Assistant vs. Importer assistant.

	* glade/evolution-startup-wizard.glade: setup/set up confusion in 15.

2002-09-30  Dan Winship  <danw@ximian.com>

	* e-shell-view-menu.c (command_remove_other_users_folder): Calls
	e_shell_command_remove_shared_folder.
	(file_verbs): Set up command_remove_other_users_folder.

	* e-shell-folder-commands.c
	(e_shell_command_remove_shared_folder): New. Calls
	e_storage_set_async_remove_shared_folder with a callback to pop up
	an error dialog if it fails.

	* e-storage-set.c (e_storage_set_async_remove_shared_folder):
	Implement. Mostly like async_remove_folder.

	* e-storage.c (e_storage_supports_shared_folders,
	e_storage_async_discover_shared_folder,
	e_storage_async_remove_shared_folder): New methods. Default
	implementations return FALSE, NOTIMPLEMENTED, and NOTIMPLEMENTED.

	* e-corba-storage.c (supports_shared_folders,
	async_discover_shared_folder, async_remove_shared_folder):
	Implement using CORBA.

	* Evolution-Storage.idl: add Storage_asyncRemoveSharedFolder

	* e-shell-shared-folder-picker-dialog.c: Remove all the CORBA
	stuff from here and use the new EStorage methods.
	(setup_server_option_menu): Use e_storage_supports_shared_folders.
	(discover_folder): Use e_storage_async_discover_shared_folder.

	* evolution-storage.c (impl_Storage_asyncRemoveSharedFolder):
	Implement this by emitting a REMOVE_SHARED_FOLDER signal.
	(impl_Storage_asyncDiscoverSharedFolder): Make the
	DISCOVER_SHARED_FOLDER signal put the Bonobo_Listener first like
	all the other signals do.
	(class_init): Set up REMOVE_SHARED_FOLDER signal.

2002-09-30  Dan Winship  <danw@ximian.com>

	* evolution-folder-selector-button.c (clicked): If we return from
	evolution_shell_client_user_select_folder to find that our parent
	window has been destroyed, unref it and bail out, since that means
	we've been destroyed (and probably finalized) too. #31360

2002-09-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (load_folder): Always return TRUE, even in the
	unknown-type case.

2002-09-25  Rodrigo Moya <rodrigo@ximian.com>

	* e-shell-importer.c (importer_file_page_new): set history_id on
	GnomeFileEntry, to actually get the history.

2002-09-25  Dan Winship  <danw@ximian.com>

	* e-shell-folder-selection-dialog.c (check_folder_type_valid):
	If one of the allowed types is "type/*", allow anything starting
	with "type/". 
	(impl_clicked): If the first allowed type is "type/*", pass "type"
	to e_shell_show_folder_creation_dialog.

	* evolution-folder-selector-button.c
	(evolution_folder_selector_button_set_uri): Handle "type/*" as an
	allowed type.

	* e-shell-settings-dialog.c (e_shell_settings_dialog_show_type):
	If there are no pages for the current folder type, try the parent
	type (eg, "mail" for "mail/public").

	* e-shell-config-autocompletion.c
	(e_shell_config_autocompletion_create_widget): Use "contacts/*" as
	the allowed folder type.

2002-09-25  Ettore Perazzoli  <ettore@ximian.com>

	[Finish fixing #11645.]

	* e-shell-folder-commands.c (xfer_result_callback): Don't update
	the shortcuts here anymore since now the shell takes care of it.

	* e-shell.c (storage_set_moved_folder_callback): New callback for
	EStorageSetView::folder_moved; update the shortcuts.
	(e_shell_construct): Connect.

	* e-storage-set.c: Renamed StorageConverterCallbackData to
	StorageCallbackData.  New members destination_folder,
	source_folder, operation in it.
	(class_init): Install "moved_folder" signal.
	(storage_callback_data_new): Renamed from
	storage_converter_callback_data_new.
	(storage_callback_data_free): New.
	(storage_callback): Renamed from storage_callback_converter.  Use
	storage_callback_data_free().
	(e_storage_set_async_create_folder): Updated to use the
	storage_callback and storage_callback_data_new().
	(e_storage_set_async_remove_folder): Likewise.
	(e_storage_set_async_xfer_folder): Likewise.

	* e-storage-set.h: New signal "moved_folder".

2002-09-24  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #11645 for menu-based folder move operations.  Still requires
	fixage for the DnD case.]

	* e-shell-view-menu.c (launch_pilot_settings): Placate compiler.

	* e-shell-folder-commands.c (xfer_result_callback): When
	FOLDER_COMMAND_MOVE, update the shortcuts by using
	e_shortcuts_update_shortcuts_for_changed_uri().

	* e-shortcuts.c (e_shortcuts_update_shortcuts_for_changed_uri):
	New.

2002-09-24  Dan Winship  <danw@ximian.com>

	* e-shell.c (folder_selection_dialog_folder_selected_cb): Don't
	destroy the dialog. It does that itself whenever it emits
	folder_selected.

	* e-shell-folder-selection-dialog.c (double_click_cb): Don't close
	the dialog if the user double-clicks a bad folder. Just ignore it
	(like we do when they click OK on a bad folder).

2002-09-24  Ettore Perazzoli  <ettore@ximian.com>

	[#14019]

	* e-shell-view-menu.c: Add PilotConduitSettings verb.
	(command_pilot_conduit_settings): Implementation for the verb.
	(launch_pilot_settings): Helper function.

2002-09-24  Mike Kestner  <mkestner@ximian.com>

	* e-storage-set-view.c (e_storage_set_enable_search): Use the new
	e_tree_set_search_column function instead of my lameass sort hack.

2002-09-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_construct): Oops, no @shell argument to
	e_shell_startup_wizard_create().

2002-09-23  Ettore Perazzoli  <ettore@ximian.com>

	[#28317]

	* e-shell-view-menu.c (command_close): Use
	e_shell_request_close_view().

	* e-shell.c (e_shell_request_close_view): New, code moved out of
	view_delete_event_cb().
	(view_delete_event_cb): Use it.

2002-09-23  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #16556.]

	* e-shell.c (e_shell_construct): Pass self to
	e_shell_startup_wizard_create.

	* e-shell-startup-wizard.c (e_shell_startup_wizard_create): Get a
	shell argument.  Set the shell interactive when doing the start-up
	wizard thing.

	* e-shell.c (e_shell_set_interactive): New.

2002-09-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-creation-dialog.c (get_type_from_parent_path):
	Return "mail" instead of NULL when we don't have a parent folder.
	[#28232]

2002-09-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c: Added some missing names.

	* main.c (main): Declare --force-upgrade correctly so it works.

2002-09-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (class_init): Use PARENT_TYPE instead of
	e_tree_get_type().

2002-09-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c: Removed member sort_idle_id in
	EStorageSetViewPrivate.
	(resort): Removed.
	(sort_traverse_callback): Removed.
	(sort_idle_callback): Removed.
	(queue_resort): Removed.
	(impl_destroy): Removed.
	(folder_name_changed_cb): Sort now instead of queueing a resort.

2002-09-19  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #28495 with a lame hack that works around Bonobo sizing
	brokenness]

	* e-shell-settings-dialog.c (set_dialog_size): New.
	(impl_realize): Override for GtkWidget::realize; invoke
	set_dialog_size() to set a minimum size.
	(class_init): Install.

2002-09-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-creation-dialog.c (async_create_cb): Don't set
	the current folder for E_STORAGE_EXISTS.  [#30533]

2002-09-19  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage.c (evolution_storage_update_folder): Do not
	stop propagating the notification to the listeners if
	::notifyFolderUpdate() fails.  [#27662 (?)]

2002-09-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (resort): New.
	(sort_idle_callback): Use it.
	(insert_storages): Use resort() instead of queue_resort() so we
	sort immediately.

2002-09-18  Mike Kestner  <mkestner@ximian.com>

	* e-storage-set-view.c (etree_value_at): bandaid for 30248.

2002-09-18  Not Zed  <NotZed@Ximian.com>

	* evolution-wizard.c (impl_GNOME_Evolution_Wizard_notifyAction):
	Allow 'back' to run if we're on the finish page.  For #29293.

2002-09-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage.c (e_storage_result_to_string): Add description for
	E_STORAGE_NOTONLINE.

	* e-corba-storage.c
	(e_corba_storage_corba_result_to_storage_result): Support
	GNOME_Evolution_Storage_NOT_ONLINE (E_STORAGE_NOTONLINE).

	* Evolution-Storage.idl: Add NOT_ONLINE to enum Result.

	* e-storage.h: Add E_STORAGE_NOTONLINE to EStorageResult enum.

2002-09-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (sort_idle_callback): Remove unused
	variable.

	* e-shell-view.c (shell_line_status_changed_cb): Make Send/Receive
	insensitive when in offline mode.  [#27855]

2002-09-17  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #28451.]

	* e-storage-set-view.c: New member sort_idle_id in
	EStorageSetViewPrivate.
	(init): Init to zero.
	(impl_destroy): Remove the idle source if not zero.
	(queue_resort): New.
	(sort_idle_callback): Idle function to sort.
	(setup_folder_changed_callback): New.
	(new_folder_cb): Call it on the new folder so we get the callback
	for new folders too.
	(popup_folder_menu): Ref the folder before popping up the menu,
	unref it after popping it down [the folder might be unreffed in
	gnome_popup_menu_do_popup_modal() because of a folder action].
	(new_storage_cb): Just queue_resort() instead of sorting.
	(new_folder_cb): Likewise.
	(insert_folders): Likewise.
	(insert_storages): Likewise.
	(folder_changed_cb): Queue a resort here too.

	* e-folder.c (class_init): Set up "name_changed" signal.
	(e_folder_set_name): Emit "name_changed".

	* e-folder.h: New signal "name_changed".

2002-09-17  Kjartan Maraas  <kmaraas@gnome.org>

	* e-shell-settings-dialog.c (page_new): Invoke gettext on 
	strings coming from the .oaf files.
	
2002-09-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c: Remove some leftover junk.

2002-09-17  Kjartan Maraas  <kmaraas@gnome.org>

	* e-folder-list.c (create_display_string): Mark a string for
	translation.

	* evolution-folder-selection-button.c (set_folder): Same here.
	
2002-09-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage.c (e_storage_removed_folder): When a highlighted
	folder gets removed, update the parent to not have a highlight.
	[#24062]

2002-09-16  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-nognome.in: New script to run Evolution under a
	non-GNOME session when using a non-default GNOME prefix and a
	non-default Evolution prefix.

2002-09-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-setup.c (setup_bonobo_conf_private_directory): g_free() not
	free(), since we allocate with glib functions.  [#19899]

2002-09-05  Mike Kestner  <mkestner@ximian.com>

	* Makefile.am : no longer distribute the etstate files.
	* e-shell-folder-selection-dialog.c : enable_search on the view.
	* e-storage-set-view.c : add search_enabled flag handling.
	(e_storage_set_view_set_show_checkboxes): manipulate the existing state
	instead of loading a state file from disk.
	(e_storage_set_view_enable_search): new. set a column in the sort_info
	on the etree to allow keystroke jumping in the etree.
	
2002-09-05  Anna Marie Dirks  <anna@ximian.com>

	* GNOME_Evolution_Shell.oaf.in : Changed the description
	of the folders page in the settings dialog to be more specific.

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (INCLUDES): Add a -DPREFIX.

	* main.c (main): New command-line option "force-upgrade".
	(show_development_warning): Suggest 1.0.8, not 1.0.5.
	(upgrade_from_1_0_if_needed): New.
	(idle_cb): Call it.

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (new_folder_cb): Pass FALSE as @queue to
	e_shell_view_display_uri() here.

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_get_current_component_id): If the
	current_folder_type is NULL, just return NULL instead of passing
	it to e_folder_type_registry_get_handler_for_type() [and generate
	a warning].  [#21122]

2002-09-04  Dan Winship  <danw@ximian.com>

	* glade/e-shell-shared-folder-picker-dialog.glade: Remove the
	"blah blah" text for now and change "Server" to "Account".

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (create_view): Pass TRUE as @queue to
	e_shell_view_display_uri().

	* e-shell-view-menu.c (command_activate_view): Pass TRUE as @queue
	to e_shell_view_display_uri().
	(goto_folder_dialog_folder_selected_cb): Likewise.

	* e-shell-shared-folder-picker-dialog.c
	(shared_folder_discovery_listener_callback): Pass TRUE as @queue
	to e_shell_view_display_uri().

	* e-shell-view.c
	(display_uri): New arg @queue.  If true, it allows the
	delayed_selection mechanism to happen transparently (returning
	TRUE, while before it used to return FALSE).  Otherwise, refuse to
	queue the URI and return FALSE.
	(e_shell_view_display_uri): New arg @queue; pass it to
	display_uri().
	(handle_current_folder_removed): Pass TRUE as @queue to
	e_shell_view_display_uri().
	(set_folder_timeout): Likewise.
	(switch_on_folder_tree_click): Likewise.
	(activate_shortcut_cb): Likewise.
	(corba_interface_change_current_view_cb): Likewise.
	(socket_destroy_cb): Likewise.
	(socket_destroy_cb): Likewise.
	(e_shell_view_load_settings): Here, try displaying the old URI
	with @queue set to FALSE; if this fails, display the default URI
	and then invoke display again using @queue = TRUE so it gets
	queued up.  This should fix #27721.

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (idle_cb): Pass FALSE as @restore_all_views to
	e_shell_restore_from_settings() so we only restore the first view.

	* e-shell.c (e_shell_restore_from_settings): New arg
	@restore_all_views.

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (popup_folder_menu): Remove the context
	menu items using
	evolution_shell_component_client_unpopulate_folder_context_menu()
	instead of doing it ourself, since BonoboUI sucks.

	* evolution-shell-component-client.c
	(evolution_shell_component_client_unpopulate_folder_context_menu):
	New.

	* evolution-test-component.c (register_component): Pass NULL as
	@unpopulate_folder_context_menu_fn to
	evolution_shell_component_new().

	* evolution-shell-component.c: New member
	unpopulate_folder_context_menu_fn in
	EvolutionShellComponentPrivate.  New member uic in
	EvolutionShellComponentPrivate.
	(init): Init new members to NULL.
	(destroy): bonobo_object_unref() priv->uic if not NULL.
	(evolution_shell_component_new): New arg
	@unpopulate_folder_context_menu_fn.
	(evolution_shell_component_construct): Likewise.
	(impl_populateFolderContextMenu): Set priv->uic to the newly
	created UIComponent.
	(impl_unpopulateFolderContextMenu): New, implementation for the
	::unpopulateFolderContextMenu CORBA method.
	(class_init): Install.

	* Evolution-ShellComponent.idl (unpopulateFolderContextMenu): New
	method.
	(AlreadyPopulated): New exception.
	(populateFolderContextMenu): Can raise it.
	(NotPopulated): New exception.

2002-09-03  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (popup_folder_menu): Create an Items
	placeholder under ComponentPlaceholder, and then
	bonobo_ui_component_rm() it after we are done with the menu.  This
	-should- fix #29782, but it doesn't.  I am not sure why.

	* evolution-shell-component.h
	(EVOLUTION_SHELL_COMPONENT_POPUP_PLACEHOLDER): Append a "/Items"
	part.

2002-09-03  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-importer.c (show_import_wizard): Make the WM close
	button in the dialog hide instead of destroying, using
	gnome_dialog_close_hides().  [#15572]

2002-08-28  Dan Winship  <danw@ximian.com>

	* e-shell.c (setup_components): Pass a selection_order to
	oaf_query so we get the components back in a consistent order.
	Hack fix for #28490 for 1.2 by ensuring that Connector gets
	started before evolution-mail.
	(get_icon_path_for_component_info): Rename the oaf icon name
	property to use underscores to match the launch order property
	(which needs to use underscores because dashes are interpreted as
	subtraction in the selection_order context).

2002-08-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view.c (get_shortcut_info): Make sure
	*custom_icon_name_return is at least set to NULL on return [it
	used to leave it uninitialized if the URI was not prefixed with
	E_SHELL_URI_PREFIX].  Also use e_shell_parse_uri() to parse the
	URI so we handle the default shortcuts properly, too.

2002-08-19  Dan Winship  <danw@ximian.com>

	* e-shell-shared-folder-picker-dialog.c (show_dialog): Get the
	"addresses" property of the select names control rather than
	"text", so we get the email address too. #28953

	* e-folder-type-registry.c
	(e_folder_type_registry_type_registered,
	e_folder_type_registry_unregister_type): Fix the names of these
	functions. (They previously used "register" instead of
	"registry".)

	* e-component-registry.c (register_type): Update for renaming

	* e-local-storage.c (load_folder): Likewise

2002-08-16  Dan Winship  <danw@ximian.com>

	* evolution-folder-selector-button.c
	(evolution_folder_selector_button_set_uri): If the selected URI is
	of an invalid type, don't accept it.
	(evolution_folder_selector_button_get_folder): Returns the
	selected folder.
	(various): updates to support get_folder, and to simplify.

2002-08-09  Dan Winship  <danw@ximian.com>

	* e-shell-shared-folder-picker-dialog.c (create_progress_dialog):
	Remove both timeouts when the dialog is destroyed, not just one of
	them.
	(shared_folder_discovery_listener_callback): Don't try to access
	fields of discovery_data after destroying it. Interpret the result
	argument correctly, and put up an error dialog (using
	e_corba_storage_corba_result_to_storage_result and
	e_storage_result_to_string) if something went wrong.

	* e-corba-storage.c
	(e_corba_storage_corba_result_to_storage_result): convert a
	GNOME_Evolution_Storage_Result to an EStorageResult.
	(async_folder_cb): Use that.

2002-08-06  Dan Winship  <danw@ximian.com>

	* e-storage-set-view.c (folder_property_item_verb_callback): Don't
	include the storage name in the path passed to
	e_corba_storage_show_folder_properties, for consistency with the
	other EStorage methods.

2002-08-06  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c
	(storage_show_folder_properties_callback): New callback for the
	show_folder_properties signal.
	(setup_custom_storage): Add two property items, and connect the
	callback to the signal.

	* e-storage-set-view.c: Renamed private member container into
	ui_container; new member ui_component.
	(init): Initialize ui_component to NULL.
	(impl_destroy): Unref if not NULL.
	(e_storage_set_view_construct): If @ui_container is not NULL,
	weakref it and create a new ui_component that uses it as its
	container.
	(ui_container_destroy_notify): New, weakref destroy callback for
	priv->ui_container.
	(remove_property_items): New helper function.
	(setup_folder_properties_items_if_corba_storage_clicked): New
	helper function.
	(folder_property_item_verb_callback): New callback for the verbs
	associated to the folder property items.
	(popup_folder_menu): Set up the per-storage folder property items
	using setup_folder_properties_items_if_corba_storage_clicked() and
	remove them with remove_property_items() after the menu has been
	popped down.  Don't invoke populate_folder_context_menu if there
	is no handler for this node [this avoids a spurious warning].

	* e-corba-storage.c (e_corba_storage_show_folder_properties): New.
	(e_corba_storage_get_folder_property_items): New.
	(e_corba_storage_free_property_items_list): New.

	* evolution-storage.c: New private member folder_property_items.
	(init): Init to NULL.
	(destroy): Free.
	(impl_showFolderProperties): New, implementation for the
	Storage::showFolderProperties CORBA method.
	(class_init): Set up the "show_folder_properties" signal here.
	(impl_Storage__get_propertyItems): New, getter for the
	Storage::propertyItems property.
	(corba_class_init): Install the new methods.
	(evolution_storage_add_property_item): New function to add
	property items to the storage.

	* evolution-storage.h: New signal show_folder_properties.

	* e-storage-set.c (e_storage_set_create_new_view): Renamed from
	e_storage_set_new_view().

	* Evolution-Storage.idl: Added attribute folderPropertyItems and
	method ::showFolderProperties.

2002-08-01  Ettore Perazzoli  <ettore@ximian.com>

	* e-gray-bar.c (endarken_style): Set the color for
	GTK_STATE_INSENSITIVE too so it doesn't look ugly when we quit.

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view.c (create_default_shortcuts_cb): New, implement
	a right-click -> "Add Default Shortcuts" menu item.
	(rename_group_cb): Remove double casts.  *lol*

	* e-shortcuts.c (e_shortcuts_add_default_shortcuts): New.
	(e_shortcuts_add_default_group): Use
	e_shortcuts_add_default_shortcuts().

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-user-creatable-items-handler.c (ensure_menu_items):
	Don't sort the menu_items here.
	(create_menu_xml): Instead, sort here, and only sort the
	non-default section of the menu.
	(get_default_action_for_view): Just get the first item that is
	default; since we don't sort anymore, this works.
	(find_menu_item_for_verb): Removed since it is not used anymore.

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c (register_component): Pass NULL for
	@folder_type to
	evolution_shell_component_add_user_creatable_item().

	* e-shell-user-creatable-items-handler.c: New member folder_type
	in struct MenuItem.
	(ensure_menu_items): Initialize ->folder_type.
	(item_is_default): New helper function.
	(create_menu_xml): New arg @folder_type.  Put the items on the top
	using item_is_default().
	(shell_view_view_changed_callback): Pass the folder type to
	create_menu_xml().

	* evolution-shell-component.c: New member folder_type in
	UserCreatableItemType.
	(user_creatable_item_type_new): New arg @folder_type.
	(user_creatable_item_type_free): Free ->folder_type.
	(evolution_shell_component_add_user_creatable_item): New arg
	@folder_type.
	(impl__get_userCreatableItemTypes): Set ->folderType in the
	returned CORBA structs.

	* Evolution-ShellComponent.idl: New member folderType in struct
	UserCreatableItemType.

	* e-shell-user-creatable-items-handler.c: New member component_id
	in struct MenuItem.  Removed member menu_xml from
	EShellUserCreatableItemsHandlerPrivate.
	(init): No need to initialize menu_xml here anymore.
	(impl_destroy): ...And no need to free here, either.
	(setup_menu_xml): New, derived from ensure_menu_xml().  This
	orders the menu so that the items for the current component go at
	the top.
	(create_menu_xml): Removed.
	(e_shell_user_creatable_items_handler_attach_menus): Set up
	properly for the current component ID, using setup_menu_xml().

2002-07-29  Jeffrey Stedfast  <fejj@ximian.com>

	* evolution-folder-selector-button.c
	(evolution_folder_selector_button_set_uri): New function to set
	the uri programatically on a EvolutionFolderSelectorButton dingus.

2002-07-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (command_new_shortcut): Capitalize the title
	of the dialog for consistency.

	* e-shell-folder-creation-dialog.c (setup_dialog): Don't prepend
	the window's title with "Evolution -" since we don't do that
	anywhere else.  Also capitalize properly.

2002-07-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-user-creatable-items-handler.c (ensure_menu_xml): Put in
	the ComponentItems placeholder, instead of NewItems.

2002-07-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (load_all_folders): Don't return FALSE if any
	of the folders fails to load; otherwise, if the user has played
	with ~/evolution, he might end up not seeing any folders at all.

2002-07-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (command_work_online): Remove debugging
	message.
	(command_work_offline): Likewise.

2002-07-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-selection-dialog.c (double_click_cb): Renamed
	from `dbl_click_cb'.
	(check_folder_type): Don't pop up an error dialog anymore.
	(check_folder_type_valid): Renamed from check_folder_type().
	(folder_selected_cb): Make the OK button sensitive only if the
	type of the selected folder is in the list of valid types;
	otherwise, make it insensitive.  [#848]

2002-07-18  Rodrigo Moya <rodrigo@ximian.com>

	* e-shell-importer.c (start_import): removed check for local folders,
	so that we can import into non-local ones.

2002-07-18  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage-set-view.c
	(impl_StorageSetView__set_checkedFolders): Removed unused
	variable.

	* e-shell-folder-title-bar.c (e_shell_folder_title_bar_construct):
	Removed unused variable.

	Mass-replaced G_DIR_SEPARATOR and G_DIR_SEPARATOR_S with
	E_PATH_SEPARATOR and E_PATH_SEPARATOR_S:

		* e-storage.c
			(e_storage_path_is_absolute)
			(e_storage_path_is_relative)
			(e_storage_async_xfer_folder)
		* e-storage-set.c
			(make_full_path)
			(get_storage_for_path) 
			(signal_new_folder_for_all_folders_under_paths) 
			(signal_new_folder_for_all_folders_in_storage) 
			(e_storage_set_get_path_for_physical_uri)
		* e-storage-set-view.c
			(storage_sort_callback)
			(new_storage_cb) 
			(removed_storage_cb)
			(new_folder_cb)
		* e-shortcuts-view.c
			(get_shortcut_info)
		* e-shell-view.c
			(handle_current_folder_removed) 
		* e-shell-utils.c
			(e_shell_folder_name_is_valid)
		* e-local-storage.c
			(construct)
		* e-folder-tree.c
			(get_parent_path)
			(get_parent_path)
			(e_folder_tree_destroy)
			(e_folder_tree_add)
			(e_folder_tree_foreach)
		* e-folder-dnd-bridge.c
			(handle_data_received_path)
		* evolution-storage.c
			(make_full_uri)

	* e-shell-constants.h: New #defines E_PATH_SEPARATOR and
	E_PATH_SEPARATOR_S.

	* e-local-storage.c (load_folder): Don't add the folder if its
	type isn't registered.

2002-07-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view-model.c (get_icon_for_item): Get the
	EStorageSet from the shortcut's shell since there is no
	e_shortcuts_get_storage_set() anymore.
	* e-shortcuts-view.c (get_shortcut_info): Likewise.
	(impl_shortcut_drag_motion): Likewise.
	(impl_shortcut_drag_data_received): Likewise.

	* e-shell.c (e_shell_construct): e_shortcuts_new_from_file(), not
	e_shortcuts_new() here.

	* e-shortcuts.c: Removed members storage_set and
	folder_type_registy in EShortcutsPrivate.  New member shell.
	(init): Init to NULL.
	(e_shortcuts_construct): Removed arg @storage_set and
	@folder_type_registry, new arg @shell.
	(e_shortcuts_new): Removed.
	(e_shortcuts_new_from_file): New.
	(impl_destroy): Renamed from destroy().
	(e_shortcuts_get_storage_set): Removed.
	(e_shortcuts_get_shell): New.
	(load_shortcuts): Accept any URI that can be parsed (by
	e_shell_parse_uri).

	* e-shell.c (e_shell_parse_uri): New.

	* e-shell-view.c (evolution_uri_for_default_uri): New.
	(display_uri): Use it to determine the evolution: uri given a
	default: uri.

	* e-shell.c (impl_Shell_handleURI): Pass it over to
	e_shell_create_view_from_uri_and_settings() even if it's an
	E_SHELL_DEFAULTURI_PREFIX.
	(handle_default_uri): Removed.

2002-07-12  Peter Williams  <peterw@ximian.com>

	* Makefile.am (INCLUDES): Add -I$(builddir)/libical/src/libical
	for the generated ical.h (some headers rely on this because
	they too get installed.)
 
2002-07-14  Rodrigo Moya <rodrigo@ximian.com>

	* evolution-storage.c (impl_Storage_getFolderAtPath): no need to
	convert the value returned by e_folder_tree_get_folder to a
	GNOME_Evolution_Folder, since it already is, and duplicate it before
	returning.

2002-07-14  Chris Toshok  <toshok@ximian.com>

	* e-shell.c (folder_selection_dialog_folder_selected_cb): set
	corba_folder.customIconName so we don't crash.
	(impl_Shell_selectUserFolder): remove the default_type parameter
	to fix a compiler warning.

2002-07-12  Dan Winship  <danw@ximian.com>

	* evolution-storage.c (impl_Storage_asyncDiscoverSharedFolder):
	dup the listener, for consistency with the other signals

2002-07-12  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-folder-selector-button.c (clicked): Ref the
	parent_window and then unref after you are done using it.
	[#27673]

2002-07-12  Peter Williams  <peterw@ximian.com>

	* Makefile.am (eshellinclude_HEADERS): Install some headers
	that weren't getting installed.

2002-07-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-title-bar.c (e_shell_folder_title_bar_set_icon):
	Allow a NULL icon [remove the precondition].

	* e-shell-view.c (update_folder_title_bar): Only unref the
	folder_icon if not NULL.

2002-07-11  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage-set-view.c
	(impl_StorageSetView__set_checkedFolders): Handle
	Folder.evolutionUri as a URI, not as a path.  Also use
	e_free_string_list().

2002-07-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (update_folder_title_bar): Ref the folder_icon
	that we get from e_folder_type_registry_get_icon_for_type().

2002-07-11  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage.c (get_folder_list_foreach): Copy
	customIconName and sortingPriority in the new_corba_folder.
	[#27670]

2002-07-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-title-bar.c: Remove some `#if 0'ed broken code.
	New members title_icon and title_button_icon in struct
	EShellFolderTitleBarPrivate.  Remove member icon_widget.  New
	static global variable empty_pixbuf.
	(init): Initialize these new members to NULL.  Don't initialize
	icon_widget anymore since it's gone.
	(e_shell_folder_title_bar_construct): Create the title_button_icon
	and pack it into the title_button_hbox.  Also, create the
	title_icon and pack that one as well.  Retouched some of the
	hardcoded padding values.
	(size_allocate_icon): Rewritten to use the title_icon and return
	the allocated space like size_allocate_navigation_buttons.
	(e_shell_folder_title_bar_set_icon): Remove bogus const from the
	@icon arg.  Ref the pixbuf, and update the two pixmap widgets from
	it.  If @icon is NULL, use the empty_pixbuf.
	(impl_destroy): Renamed from destroy().
	(realize): Removed.
	(unrealize): Removed.
	(impl_size_allocate): Renamed from size_allocate().
	(class_init): Call it.
	(add_icon_widget): Removed.
	(new_empty_pixbuf): New.
	(new_empty_pixmap_widget): New.
	(size_allocate_navigation_buttons_and_title_icon): Renamed from
	size_allocate_navigation_buttons; set up the title_icon too.

	* e-shell-view.c (update_folder_title_bar): Unref the folder_icon
	after using it.

	* e-icon-factory.c (e_icon_factory_get_icon): Ref the returned pixbuf.

2002-07-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (update_folder_title_bar): Get a @folder arg
	instead of a @type arg.  Use the custom icon if the folder has
	one.
	(update_for_current_uri): Updated accordingly.

2002-07-10  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c (setup_custom_storage): Pass
	@sorting_priority to evolution_storage_new_folder() so we test it.
	Also make /FirstFolder have an "inbox" custom icon.

	* e-local-storage.c (new_folder): Pass zero as @sorting_priority
	to evolution_storage_new_folder().

	* evolution-storage.c (evolution_storage_new_folder): New arg
	@sorting_priority; put it in the CORBA folder struct.

	* evolution-shell-client.c
	(impl_FolderSelectionListener_selected): Copy the sortingPriority
	as well.

	* e-folder.c (e_folder_to_corba): Set sortingPriority.

	* e-corba-storage-registry.c
	(impl_StorageRegistry_getFolderByUri): Set sortingPriority in the
	new CORBA Folder struct.

	* e-corba-storage.c (impl_StorageListener_notifyFolderCreated):
	Set the custom_icon if folder->customIconName is not an empty
	string.  Likewise, set the sorting_priority

	* Evolution-common.idl: New member sortingPriority in struct
	Folder.

	* e-storage-set-view.c (folder_sort_callback): Sort according to
	the sorting_priorities.

	* e-folder.c: New member sorting_priority in EFolderPrivate.
	(init): Init to zero.
	(e_folder_set_custom_icon): Emit "changed" if required.
	(e_folder_set_sorting_priority): New.

2002-07-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-icon-factory.c (load_icon): Ooops.  Swapped the large/small
	pixbufs here.  Also, plug a leak.

2002-07-09  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c (setup_custom_storage): Pass NULL for
	@custom_icon_name to evolution_storage_new_folder().

	* e-local-storage.c (new_folder): Pass the custom_icon_name here
	to evolution_storage_new_folder().

	* evolution-shell-client.c
	(impl_FolderSelectionListener_selected): Set customIconName here
	too.

	* e-folder.c (e_folder_to_corba): Set customIconName too.

	* e-corba-storage-registry.c
	(impl_StorageRegistry_getFolderByUri): Set customIconName.  Also,
	use e_safe_corba_string() to clean up the code a bit.

	* evolution-storage.c (evolution_storage_new_folder): New arg
	@custom_icon_name.

	* Evolution-common.idl: New member customIconName in struct
	Folder.

2002-07-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view-model.c (get_icon_for_item): If the
	custom_icon_name is not NULL, return the pixbuf for it.

	* e-storage-set-view.c: #include "e-icon-factory.h".

	* e-shortcuts-view.c (impl_shortcut_dropped): Pass the
	custom_icon_name.
	(get_shortcut_info): New arg @custom_icon_name_return.
	(rename_shortcut_cb): Pass the custom_icon_name here.

	* e-shell-view-menu.c (new_shortcut_dialog_folder_selected_cb):
	Pass the custom_icon_name for the folder's shortcut.

	* e-shell-folder-commands.c (e_shell_command_add_to_shortcut_bar):
	Pass the custom_icon_name for the folder's shortcut.

	* e-corba-shortcuts.c (impl_add): Use the customIconName member in
	struct ::Shortcuts::Shortcut.
	(shorcut_list_to_corba): Set the customIconName member on the
	returned shortcuts.
	(impl_get): Likewise.

	* Evolution-Shortcuts.idl: New member customIconName in struct
	Shortcut.

	* e-shortcuts.c (shortcut_item_new): New arg @custom_icon_name;
	initialize the member in EShortcutItem from it.
	(shortcut_item_update): New arg @custom_icon_name; set the
	custom_icon_name from it.  Also remove some braindeadness from
	this code.
	(update_shortcut_and_emit_signal): New arg @custom_icon_name.
	(load_shortcuts): Load the custom icon name from the XML
	[eg. <item name="foo" type="mail" icon="inbox">].
	(save_shortcuts): Save the custom icon name in the XML.
	(e_shortcuts_add_shortcut): New arg @custom_icon_name.
	(update_shortcuts_by_path): Pass the custom_icon_name to
	update_shortcut_and_emit_signal().
	(e_shortcuts_update_shortcut): New arg @custom_icon_name; pass it
	to update_shortcut_and_emit_signal().
	(e_shortcuts_add_default_group): Pass "inbox" as the
	custom_icon_name for the inbox shortcut, and NULL for the other
	shortcuts.

	* e-shortcuts.h: New member custom_icon_name in EShortcutItem.

2002-07-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view.c (impl_shortcut_drag_motion): Remove debugging
	message.
	(impl_shortcut_drag_motion): Likewise.

	* e-local-storage.c (remove_folder_step): Remove debugging message.

	* e-folder-dnd-bridge.c (e_folder_dnd_bridge_data_received):
	Remove debugging message.

2002-07-09  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (main): Call e_icon_factory_init().

	* e-local-storage.c (setup_folder_as_stock): New arg @icon_name;
	if not NULL, set up a custom icon for the folder.
	(setup_stock_folders): Set up custom icons for inbox and outbox.

	* e-storage-set-view.c (get_pixbuf_for_folder): If the folder has
	a custom icon, return the custom icon.

	* e-folder.c: New member custom_icon_name.
	(init): Initialize to NULL.
	(destroy): Free.
	(e_folder_get_custom_icon): New.
	(e_folder_set_custom_icon): New.

	* e-icon-cache.c: New.
	* e-icon-cache.h: New.

2002-07-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (remove_folder): Remove unused variable.

2002-07-08  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view.c (toggle_large_icons_cb): Change the group
	icon size using e_shortcuts_set_group_uses_small_icons() instead
	of changing it on the widget directly.
	(toggle_small_icons_cb): Likewise.
	(group_change_icon_size_callback): New, callback for the
	"group_change_icon_size" signal on the EShortcuts object.
	(e_shortcuts_view_construct): Connect.  Also, initialize the icon
	sizes in the icon bars from the EShortcuts object.

	* e-shell-view.c (e_shell_view_load_settings): Don't set the
	shortcut group icon modes here anymore.

	* e-shortcuts.c: New member use_small_icons in struct
	ShortcutGroup.
	(shortcut_group_new): Init to FALSE.
	(e_shortcuts_set_group_uses_small_icons): New.
	(e_shortcuts_get_group_uses_small_icons): New.
	(class_init): Install "group_change_icon_size" signal.
	(save_shortcuts): Save the icon size per-group
	here, i.e. <group title="foo" icon_size="small">.
	(load_shortcuts): Set the icon size from the group's definition
	here.

	* e-shortcuts.h: New signal "group_change_icon_size" in
	EShortcutsClass.

2002-07-08  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder.c (safe_corba_string_dup): New helper function.
	(e_folder_to_corba): Use it here.

	* Makefile.am (libeshell_la_SOURCES): Move e-folder.c here, from
	evolution_SOURCES.
	(eshellinclude_HEADERS): Likewise, move e-folder.h here.

	* evolution-storage.c (impl_Storage_getFolderAtPath): New,
	implementation for Evoluiton::Storage::getFolderAtPath.
	(evolution_storage_get_epv): Install CORBA method here.

	* Evolution-Storage.idl (getFolderAtPath): New method in
	Evolution::Storage.

2002-07-05  Ettore Perazzoli  <ettore@ximian.com>

 	[Fix #22047, Crash after running the start-up wizard.  The patch
	was applied a while ago to the evolution-1-0-branch but not on
	the trunk.]
 
	* e-shell-startup-wizard.c (startup_wizard_cancel): Unref the
	ETimezoneDialog.
	(finish_func): Likewise.

2002-07-03  Ettore Perazzoli  <ettore@ximian.com>

	[Fixes #27354.]

	* e-storage-set-view.c (impl_tree_drag_drop): Invoke
	e_folder_dnd_bridge_drop().

	* e-folder-dnd-bridge.c (find_matching_target_for_drag_context):
	New arg @atom_return.  Return the GdkAtom associated with the type
	through it.
	(e_folder_dnd_bridge_drop): New.

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_show_settings): Don't set up the settings
	dialog as a transient.  [#25776]

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (bonobo_interface_remove_folder_cb): Add
	parameter @listener to match the signal's signature.  [#24413]

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-user-creatable-items-handler.c: New member tooltip in
	struct MenuItem.
	(ensure_menu_items): Initialize the tooltip member.
	(shell_view_view_changed_callback): Set the tooltip for the "New"
	button.
	(ensure_menu_xml): Set up the tooltip here as well.

	* evolution-shell-component.c: Add tooltip member to struct
	UserCreatableItemType.
	(user_creatable_item_type_new): New arg @tooltip.
	(evolution_shell_component_add_user_creatable_item): New arg
	@tooltip.
	(impl__get_userCreatableItemTypes): Put the tooltip in the struct
	as well.

	* e-shell-user-creatable-items-handler.c (setup_toolbar_button):
	Create a GtkTooltips object and attach it to the combo_button
	using gtk_object_set_data().
	(shell_view_view_changed_callback): Set up a tooltip for the
	button, according to the default.

	* Evolution-ShellComponent.idl: Add a tooltip member to struct
	UserCreatableItemType.

2002-07-01  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_prepare_for_quit): Remove debugging message.

	* e-shell-view.c (setup_verb_sensitivity_for_folder): Set
	sensitivity of /commands/AddFolderToShortcutBar,
	/commands/OpenFolder and /commands/OpenFolderInNewWindow too,
	depending on whether the node that was right-clicked can be opened
	as a folder.

	* e-storage-set-view.c (popup_folder_menu): Pop up the right-click
	menu even if we are not clicking on a folder with a proper
	handler.

2002-07-01  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c: New member preparing_to_quit in EShellPrivate.
	(init): Initialize to FALSE.
	(e_shell_prepare_for_quit): Set preparing_to_quit to TRUE on
	entering, and set it to FALSE on return.
	(view_delete_event_cb): Don't call e_shell_prepare_for_quit() if
	preparing_for_quit is TRUE.

2002-06-28  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage.c (impl_Storage_updateFolder): Don't stop
	notifying the listeners if ::notifyFolderUpdated() fails.  Should
	fix #25598.

2002-06-28  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #10681, Incorrect behavior when deleting a hierarchy of local
	folders.]

	* e-local-storage.c: Change the ASyncRemoveFolderCallbackData
	struct to have only storage and next_paths_to_delete members.
	(remove_folder_step): New.
	(component_async_remove_folder_callback): Start deletion for the
	next path in next_paths_to_delete, so we handle recursion
	properly.
	(create_subfolder_list): New.
	(remove_folder): Create the list with create_subfolder_list,
	initialize the ASyncRemoveFolderCallbackData with the
	next_paths_to_delete list and do the first deletion.  This way we
	handle recursion properly.

2002-06-26  Iain <iain@ximian.com>

	* e-shell-importer.c (show_import_wizard): Only let the dialog be
	opened once.

2002-06-26  Iain <iain@ximian.com>

	* Evolution-StorageSetView.idl: Add a notifyFolderToggled method,
	allow checkedFolders to be writable.

	* e-shell-importer.c (free_iid_list): Free the list of iid infos.
	(get_name_from_component_info): Move this function from futher down
	the file to here because it's useful.
	(choose_importer_from_list): Present the user with a list of importer
	names to select the one they want to use.
	(get_iid_for_filetype): Store the name of the importer as well as the
	iid in the list. If there are multiple matches, show the user a list.

	* evolution-storage-set-view-listener.[ch]: Add a folder toggled signal.
	(impl_GNOME_Evolution_StorageSetViewListener_notifyFolderToggled):
	Notify listeners that a folder has been toggled.
	(corba_class_init): Hook up the new method.
	(class_init): Create the new signal.

	* evolution-storage-set-view.c
	(storage_set_view_widget_folder_toggled_cb): Call the CORBA method for 
	each listener.
	(impl_StorageSetView__set_checkedFolders): Set the checked folders
	from the list.
	(impl_StorageSetView__get_checkedFolders): Don't include blanks in the
	list.
	
2002-06-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (remove_folder): Removed arg @physical_uri.

	* e-shell-folder-selection-dialog.c (impl_clicked): Pass
	default_type to e_shell_show_folder_creation_dialog() properly.
	[Patch by Christian Kreibich <christian@whoop.org>.]

2002-06-19  Kjartan Maraas  <kmaraas@gnome.org>

	* e-corba-config-page.h: Remove #include <config.h>
	* e-shell-about-box.h: Same
	* e-history.h: Same
	* e-shell-importer.c: gtk_widget_show() all items in the optionmenu
	before showing it.
	* e-shell-offline-handler.h: Remove #include <config.h>
	* e-shell-settings-dialog.h: Same.
	
2002-05-31  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage-set-view.c
	(impl_StorageSetView__get_checkedFolders): Set release for the
	CORBA path sequence to TRUE.

	* evolution-shell-component.c
	(fill_corba_sequence_from_null_terminated_string_array): Set
	release for the CORBA sequence to TRUE so it gets freed properly.
	(impl__get_externalUriSchemas): Likewise for the returned
	uri_chema_list.

	* e-shell-offline-handler.c (duplicate_connection_list): Set
	release for the connection sequence to TRUE.

	* e-shell-config-offline.c (config_control_apply_callback): Set
	release for the path sequence to TRUE.

	* e-corba-storage-registry.c
	(impl_StorageRegistry_getStorageList): Set release for the storage
	sequence to TRUE.

	* evolution-storage.c (impl_Storage__get_folderList): Set release
	for the folder sequence to TRUE.

2002-05-30  Ettore Perazzoli  <ettore@ximian.com>

	[This fixes #25361.]

	* e-folder-list.c (e_folder_list_construct): Use
	bonobo_object_ref() instead of bonobo_object_client_ref() as the
	former only refs the CORBA object [Sigh].

	* e-shell-config-autocompletion.c
	(e_shell_config_autocompletion_create_widget): Don't unref the
	shell_client here, as we need it.  :-)

2002-05-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (command_about_box): Connect
	about_box_event_callback() to the "key_press_event" signal as
	well.  This way the about box is closed when you press a key too.
	[#25349]

2002-05-28  Chris Toshok  <toshok@ximian.com>

	* e-folder-list.c (e_folder_list_set_items): skip folders that
	aren't valid uri's.
	(e_folder_list_get_items): didn't update this to track the change
	in model columns.  bad toshok.

2002-05-24  Chris Toshok  <toshok@ximian.com>

	[ fixes 90% of #25047 ]
	* e-folder-list.c (get_folder_for_uri): shamelessly lifted from
	evolution-folder-selector-button.c.
	(create_display_string): modeled again after
	evolution-folder-selector-button.c, so we can give a little more
	context (and make the table look like the folder selector
	buttons.)
	(SPEC): add a pixbuf column, also remove the sorting behavior.
	(columns): add a pixbuf column and another string column (for the
	display string).
	(add_clicked): create the display string and get the proper
	pixbuf, and insert both.
	(edit_clicked): removed.
	(update_buttons): remove edit button handling from here.
	(e_folder_list_init): remove the hooking up of button-edit's
	"clicked" signal.
	(e_folder_list_construct): get a reference to the storage registry
	so we can look up folders.
	(e_folder_list_set_items): analogous change to add_clicked - get
	the display string and pixbuf and insert them.

	* glade/e-folder-list.glade: remove the edit button.

	* glade/e-shell-config-default-folders.glade: remove the
	frame/vbox,  since we embed it in a notebook and the tab has the
	title already.

	* e-shell-config.c (config_control_factory_cb): the only config
	control we deal with here now is the folder settings control.

	* e-shell-config-default-folders.c
	(e_shell_config_default_folders_create_widget): rename
	e_shell_config_default_folders_create_control to this, return the
	widget, and take the config control to use as an arg.

	* e-shell-config-offline.c (e_shell_config_offline_create_widget):
	make an analogous change here as with
	default_folders_create_widget.

	* e-shell-config-default-folders.h
	(e_shell_config_default_folders_create_widget): track change to
	prototype.

	* e-shell-config-offline.h (e_shell_config_offline_create_widget): same.

	* GNOME_Evolution_Shell.oaf.in: remove the DefaultFolders and
	OfflineFolders controls and add a FolderSettings_Control.

	* Makefile.am (evolution_SOURCES): add
	e-shell-config-folder-settings.[ch] and
	e-shell-config-autocompletion.[ch].

	* e-shell-config-folder-settings.[ch]: new files, embed (after a
	fashion) the default folder, offline, and autocompletion UI's in a
	notebook.

	* e-shell-config-autocompletion.[ch]: Basically copy over and
	shell-ize the addressbook autocompletion config control so it can
	be embedded more easily with the other folder settings.

2002-05-23  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (quit_box_new): Set @allow_shrink and @allow_grow to
	FALSE for the window.  Fixes #17534.

2002-05-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-selection-dialog.c
	(e_shell_folder_selection_dialog_construct): Pass FALSE for
	@allow_shrink.  Fixes #15688.

2002-05-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c (delete_dialog): Make a little bit
	prettier.  Default to "Delete", not "Cancel".

2002-05-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view.c (rename_group_cb): Set the view type from the
	original group, thus preserving the small-icon/large-icon state.
	Fixes #6732.

2002-05-23  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (show_development_warning): Add a toggle to avoid
	displaying the dialog again.  Don't display the dialog at all if
	the /Shell/skip_warning_dialog_1_1 bonobo-conf key is set to
	FALSE.
	(warning_dialog_clicked_callback): Set
	/Shell/skip_warning_dialog_1_1 according to the state of the check
	button.

2002-05-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_Shell_selectUserFolder): No more @default_type
	arg to e_shell_folder_selection_dialog_new().

	* e-shell-view-menu.c (command_goto_folder): No more @default_type
	arg to e_shell_folder_selection_dialog_new().
	(command_new_shortcut): Likewise.

	* e-shell-importer.c (import_druid_finish): No more @default_type
	arg to e_shell_folder_selection_dialog_new().

	* e-shell-folder-commands.c (e_shell_command_move_folder): No more
	@default_type arg to e_shell_folder_selection_dialog_new().
	(e_shell_command_copy_folder): Likewise.

	* e-shell-folder-selection-dialog.c: Removed default_type member
	in EShellFolderSelectionDialogPrivate.
	(e_shell_folder_selection_dialog_new): Removed @default_type arg.
	(e_shell_folder_selection_dialog_construct): Likewise.
	(impl_clicked): Just pass the first of the allowed types to
	e_shell_show_folder_creation_dialog() for the default type.

	* evolution-shell-client.c (user_select_folder): No more
	@default_type arg to the ::userSelectFolder CORBA method.

	* Evolution-Shell.idl (selectUserFolder): Remove arg
	@default_type.

2002-05-22  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (view_map_callback): New callback for when the first
	created view in the shell gets mapped.
	(new_view_created_callback): New callback for when the first view
	of the shell gets created.
	(show_development_warning): New function to display a warning
	about the fact that Evolution is unstable.
	(idle_cb): Call show_development_warning() here unless the
	EVOLVE_ME_HARDER environment variable is set.

	* e-shell.c (class_init): Add the "new_view_created" signal here.
	(create_view): Emit the signal here.

	* e-shell.h: New signal "new_view_created".

2002-05-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-user-creatable-items-handler.c: New member
	default_menu_item in EShellUserCreatableItemsHandlerPrivate.
	(ensure_menu_items): Set ->default_menu_item.
	(get_default_action_for_view): When no default item is specified,
	just return ->default_menu_item.

2002-05-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_prepare_for_quit): Only refuse quitting if
	the result is CANCEL.  This way we allow quitting if one of the
	components has crashed or something else otherwise goes wrong.
	Fixes #25093.

	* evolution-shell-component-client.c
	(result_from_async_corba_result): Handle
	GNOME_Evolution_ShellComponentListener_CANCEL.

2002-05-21  Christopher James Lahey  <clahey@ximian.com>

	* e-corba-storage.c (async_open_folder_idle): Do async_open_folder
	in an idle callback.

	* e-shell-shared-folder-picker-dialog.c (user_clicked),
	glade/e-shell-shared-folder-picker-dialog.glade: Added a select
	names button here.

2002-05-20  Chris Toshok  <toshok@ximian.com>

	* evolution-folder-selector-button.c (clicked): set the parent
	window insensitive before popping up the dialog and sensitive
	after it's popped down, to give us semi-modal behavior.  Also,
	emit a "popped_up" signal when popping up the dialog, and emit
	"canceled" when the return folder is NULL (when the user canceled
	the dialog).
	(class_init): fix typo (?) - parent type isn't
	bonobo_object_get_type(), it's PARENT_TYPE.  Also, initialize the
	POPPED_UP and CANCELED signals.

	* evolution-folder-selector-button.h (struct
	_EvolutionFolderSelectorButtonClass): add popped_up and canceled
	signals.

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-offline-sync.c (sync_folder): Skip the folder if it
	doesn't have the can_sync_offline property set.

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-corba-storage.c (impl_StorageListener_notifyFolderCreated):
	Set the can_sync_offline property on the EFolder based on the
	canSyncOffline value on the CORBA folder.

	* evolution-test-component.c (setup_custom_storage): Pass FALSE
	for @sync_offline to evolution_storage_new_folder().

	* e-local-storage.c (new_folder): Pass FALSE for @sync_offline to
	evolution_storage_new_folder().

	* evolution-storage.h (evolution_storage_new_folder): New arg
	@can_sync_offline.

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* Evolution-Offline.idl (syncFolder): Remove exception.
	(cancelSyncFolder): Remove exception.

	* e-shell-config-offline.c (storage_set_view_has_checkbox_func):
	New.
	(e_shell_config_offline_create_control): Pass it as the
	@has_checkbox_func.

	* e-folder.c: New member can_sync_offline in EFolderPrivate.
	(init): Init to FALSE.
	(e_folder_get_can_sync_offline): New.
	(e_folder_to_corba): Set canSyncOffline in the returned CORBA
	folder.
	(e_folder_set_physical_uri): Protect from when @physical_uri and
	->physical_uri are the same thing.
	(e_folder_set_description): Same here with description.
	(e_folder_set_type_string): And type.

	* Evolution-common.idl: New member canSyncOffline in struct
	Folder.

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-config-offline.c
	(e_shell_config_offline_create_control): Pass NULL for
	@has_checkbox_func and @has_checkbox_func_data.

	* evolution-storage-set-view.c
	(impl_StorageSetView__set_showCheckboxes): Pass NULL for
	@has_checkbox_func and @has_checkbox_func_data.

	* e-storage-set-view.c: New member has_checkbox_func and
	has_checkbox_func_data in EStorageSetViewPrivate.
	(init): Init to NULL.
	(e_storage_set_view_set_show_checkboxes): New args
	@has_checkbox_func and @func_data.
	(has_checkbox): Always return FALSE for the toplevels.  For the
	other ones return TRUE unless ->has_checkbox_func is not-NULL; in
	which case, we use that function to determine whether the folder
	is actually checkable.

	* Evolution-ShellComponent.idl (requestQuit): Remove exception.

2002-05-16  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (view_delete_event_cb): Ask e_shell_prepare_for_quit()
	before destroying the view if it's the last one.

	* e-shell-view-menu.c (command_close): Synthesize a delete_event
	on the view instead of directly destroying it.

2002-05-15  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (command_quit): Check with
	e_shell_prepare_for_quit() before quitting.

	* e-shell.c (e_shell_prepare_for_quit): New.

	* evolution-test-component.c (request_quit_fn): New function
	asking for confirmation to quit.

	* evolution-shell-component.c (evolution_shell_component_new): New
	arg @request_quit_fn.
	(impl_requestQuit): New, implementation for
	EvolutionShellComponent::requestQuit.
	(evolution_shell_component_result_to_string): Handle
	EVOLUTION_SHELL_COMPONENT_CANCEL.
	(evolution_shell_component_client_request_quit): New.

	* Evolution-ShellComponent.idl (requestQuit): New.

2002-05-15  Iain <iain@ximian.com>

	* e-corba-storage-registry.c (impl_StorageRegistry_addStorage): Remove
	debuggin spew

2002-05-15  Iain <iain@ximian.com>

	* e-corba-storage-registry.c (impl_StorageRegistry_addStorage): Apply
	patch from Peter Williams to notify listeners when a new storage is
	created.

2002-05-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-offline-handler.c
	(e_shell_offline_handler_put_components_offline): Call
	e_shell_offline_sync_all_folders() if no connection is reported
	here.
	(dialog_handle_ok): Sync all the folders here through
	e_shell_offline_sync_all_folders().

	* e-shell-offline-sync.c: New.
	* e-shell-offline-sync.h: New.

	* Evolution-Offline.idl (syncFolder): Make oneway.
	(cancelSyncFolder): Likewise.
	(SyncFolderProgressListener::reportSuccess): New method.

2002-05-14  Christopher James Lahey  <clahey@ximian.com>

	* Makefile.am: Added check-empty.xpm, check-filled.xpm, and
	check-missing.xpm.

	* check-empty.xpm, check-filled.xpm, check-missing.xpm: New xpms.
	Copied from gal.  check-missing.xpm is simply a transparent xpm of
	the correct size.

	* e-storage-set-view.c (etree_value_at): When getting, check if
	the path doesn't have a check box and return 2 in that case.
	(etree_set_value_at): Check if the path doesn't have a check box
	and don't change it in that case.  Also, just invert the value
	here instead of paying attention to the set value passed in.
	(class_init): Initialize the checks GdkPixbufs.
	(e_storage_set_view_construct): Create the "optional_checkbox"
	cell.

	* e-storage-set-view.etspec: Changed the cell for the checkbox
	column to "optional_checkbox".

2002-05-14  Christopher James Lahey  <clahey@ximian.com>

	* evolution-storage.c (evolution_storage_new_folder): Compute the
	evolutionUri here and pass it in.

2002-05-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-config-offline.c
	(init_storage_set_view_status_from_config): Add a missing
	CORBA_free in the case in which the typecode of the
	/OfflineFolders/Paths key in the ConfigDatabase doesn't match the
	expected type.

2002-05-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_go_offline): Pass self to
	e_shell_offline_handler_new() instead of the component registry.

	* e-shell-offline-handler.c: Replace member `component_registry'
	in EShellOfflineHandlerPrivate with a `shell' member.  Updated all
	the code to retrieve the component registry from the shell instead
	of directly.
	(e_shell_offline_handler_construct): Get a @shell instead of a
	@component_registry.

2002-05-13  Christopher James Lahey  <clahey@ximian.com>

	* e-storage-set-view.c (e_storage_set_view_get_checkboxes_list):
	Changed this to just walk the hash table to get the list of
	checked checkboxes instead of walking the tree.  (Makes it so that
	checked paths will remain checked, even if they're not shown in
	the tree when the list is gotten.)

2002-05-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-config.c: Handle the e-shell-config-offline and
	e-shell-config-default-folders pages.

	* e-shell-config-offline.h: New.
	* e-shell-config-offline.c: New.

	* e-shell-config-default-folders.h: New.
	* e-shell-config-default-folders.c: New.  Moved default folder
	page configuration in from e-shell-config.c.

	* GNOME_Evolution_Shell.oaf.in: Add
	GNOME_Evolution_Shell_Config_OfflineFolders_Control.

2002-05-13  Christopher James Lahey  <clahey@ximian.com>

	* e-storage-set-view.c (etree_set_value_at): Added a signal when
	the value of the checkboxes changes.

2002-05-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-shared-folder-picker-dialog.c: Add members `parent' and
	`shell' in DiscoveryData.
	(shell_view_destroy_callback): Callback for destruction of
	->parent; set ->parent to NULL.
	(shell_destroy_callback): Callback for the desctruction of the
	shell; clean up everything.
	(discover_folder): Initialize ->parent and shell, and add the
	corresponding destruction handlers.
	(shared_folder_discovery_listener_callback): Open the discovered
	folder.
	(setup_progress_dialog): Renamed from `show_progress_dialog'.  Set
	up a timeout for displaying the dialog instead of displaying it
	right away.
	(progress_dialog_show_timeout_callback): Callback for showing the
	dialog after the callback.

2002-05-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-shared-folder-picker-dialog.c
	(shared_folder_discovery_listener_callback): Updated for
	FolderResult instead of DiscoverSharedFolderResult.

	* Evolution-Storage.idl: Remove struct DiscoverSharedFolderResult;
	we want to just use FolderResult for asyncDiscoverSharedFolder.

2002-05-10  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c: Added some tests for the custom
	storage.

	* evolution-storage.c: New signal DISCOVER_SHARED_FOLDER.
	(impl_Storage_asyncXferFolder): Renamed from
	impl_Storage_async_xfer_folder.
	(impl_Storage_asyncRemoveFolder): Renamed from
	impl_Storage_async_remove_folder.
	(impl_Storage_asyncCreateFolder): Renamed from
	impl_Storage_async_create_folder.
	(impl_Storage_asyncOpenFolder): Renamed from
	impl_storage_async_open_folder.
	(impl_Storage_addListener): Renamed from
	impl_Storage_add_listener.
	(impl_Storage_removeListener): Renamed from
	impl_Storage_remove_listener.
	(impl_Storage_asyncDiscoverSharedFolder): New, implementation for
	::asyncDiscoverSharedFolder.
	(evolution_storage_get_epv): Install the CORBA method here.
	(class_init): Set up the "discover_shared_folder" signal here.
	(e_marshal_NONE__POINTER_POINTER): Yet Another Marshaller.  Die
	die die.

	* Evolution-Storage.idl (Storage::asyncDiscoverSharedFolder): New
	method.
	(StorageListener::notifySharedFolderDiscovered): New method.

	* e-shell-shared-folder-picker-dialog.c: New.
	* e-shell-shared-folder-picker-dialog.h: New.

	* e-shell-view-menu.c (command_open_other_users_folder): New,
	implementation for the FileOpenOtherUsersFolder verb.

	* Makefile.am: Generate stubs and skels for
	Evolution::Addressbook::SelectNames as well.

	* glade/e-shell-shared-folder-picker-dialog.glade: New.

2002-05-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (construct): Pass %FALSE as
	@has_shared_folders to evolution_storage_new().

	* evolution-storage.c: New member has_shared_folders in
	EvolutionStoragePrivate.
	(init): Initialize to FALSE.
	(evolution_storage_new): New arg @has_shared_folders.
	(evolution_storage_construct): Likewise.
	(impl_Storage__get_folderList): Renamed from
	impl_Storage__get_folder_list.
	(impl_Storage__get_hasSharedFolders): New, implementation for
	::hasSharedFolders.
	(evolution_storage_get_epv): Install the CORBA method
	implementation.

	* Evolution-Storage.idl: Make Storage::name a readonly attribute.  New attribute Storage::

2002-05-09  Ettore Perazzoli  <ettore@ximian.com>

	* Evolution-Offline.idl: Rename NotPrepared to notPrepared and
	NotSyncing to notSyncing.

	* evolution-storage.c (impl_Storage__get_folder_list): Renamed
	from impl_Storage_get_folder_list().

	* Evolution-Storage.idl: Don't typedef FolderList here.  Replace
	`getFolderList' method with a readonly attribute.

2002-05-07  Ettore Perazzoli  <ettore@ximian.com>

	* Evolution-Offline.idl: New interface SyncFolderProgressListener.
	(Offline::cancelSyncFolder): New.
	(Offline::syncFolder): New.

2002-05-07  JP Rosevear  <jpr@ximian.com>

	* evolution-storage.c (get_folder_list_foreach): add every folder
	to the sequence except the root folder
	(impl_Storage_get_folder_list): implement corba method
	(evolution_storage_get_epv): set new method implementation

	* evolution-folder-selector-button.h: fix signal prototype

	* e-folder-tree.h: new proto

	* e-folder-tree.c (e_folder_tree_get_count): count nodes
	(count_nodes): bump count foreach path

	* e-corba-storage-registry.c
	(impl_StorageRegistry_getStorageList): implement idl method
	(corba_class_init): set epv method

	* Evolution-Storage.idl: add getStorageList and getFolderList
	methods

2002-05-07  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c (create_new_folder_selector): Use the
	new evolution_shell_client_create_storage_set_view() call.

	* evolution-shell-client.c
	(evolution_shell_client_create_storage_set_view): New.

2002-05-07  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage-set-view-factory.c
	(evolution_storage_set_view_factory_new_view): Put the
	EStorageSetView in an EScrollFrame.

	* e-shell.c (impl_Shell_createStorageSetView):
	CORBA_Object_duplicate the object before returning.

	* evolution-test-component.c
	(create_new_folder_selector): New function to create a simple test
	environment for the new checkbox-enabled StorageSetView.
	(register_component): Add user-creatable type FolderSelector.
	(user_create_new_item_callback): Handle FolderSelector.
	(dialog_clicked_callback): Print out the checked items in the
	folder selector.
	(main): Print out a message before going into bonobo_main().

	* evolution-storage-set-view.c
	(impl_StorageSetView__get_showFolders): Renamed from
	impl_StorageSetView__get_show_folders.
	(impl_StorageSetView__set_showFolders): Renamed from
	impl_StorageSetView__set_show_folders.
	(impl_StorageSetView__set_showCheckboxes): New, write the
	showCheckboxes CORBA attribute.
	(impl_StorageSetView__get_showCheckboxes): New, read the
	showCheckboxes CORBA attribute.
	(impl_StorageSetView__get_checkedFolders): New, read the
	checkedFolders CORBA attribute.
	(corba_class_init): Install the new CORBA methods methods.

	* e-storage-set-view.c (essv_add_to_list): strdup() the path.
	(e_storage_set_view_get_storage_set): New.

	* e-folder.c (e_folder_to_corba): New.

	* Evolution-StorageSetView.idl: Add showCheckboxes and
	checkedFolders attributes.

	* Evolution-common.idl: Add typedef for FolderList.

2002-05-03  Christopher James Lahey  <clahey@ximian.com>

	* e-folder-list.c: Use bonobo_object_client_(un)?ref instead of
	gtk_object_(un)?ref.
	(add_clicked): Don't pass NULL to
	evolution_shell_client_user_select_folder.

	* glade/Makefile.am: Added e-folder-list.glade

	* glade/e-folder-list.glade: The glade file for e-folder-list.

2002-05-03  Christopher James Lahey  <clahey@ximian.com>

	* Makefile.am (eshellinclude_HEADERS): Added e-folder-list.h.
	(libeshell_la_SOURCES): Added e-folder-list.c.

	* e-folder-list.c, e-folder-list.h: New widget for editing a list
	of folder uris.

2002-04-29  Christopher James Lahey  <clahey@ximian.com>

	* e-storage-set-view.c (e_storage_set_view_set_checkboxes_list,
	e_storage_set_view_get_checkboxes_list): Added these functions.
	Implemented checkboxes in the ETreeModel here.

2002-04-19  Anna Marie Dirks  <anna@ximian.com>

	* glade/e-shell-config-default-folders.glade: Minor label tweaks;
	changed "Default folders" to "Default Folders", and added
	accelerators.

2002-04-18  JP Rosevear  <jpr@ximian.com>

	* evolution-shell-view.c (impl_ShellView_show_settings): emit
	show_settings signal
	(corba_class_init): assign epv method
	(class_init): add signal

	* evolution-shell-view.h: new signal

	* e-shell.c (init): init settings_dialog private member
	(settings_dialog_destroy_cb): reset dialog pointer
	(e_shell_show_settings): show the settings dialog, bring it to the
	front if one already exists for this shell

	* e-shell.h: new proto

	* e-shell-view.c (corba_interface_show_settings): implement
	showSettings method
	(setup_corba_interface): listen for show_settings signal
	(e_shell_view_show_settings): show the settings dialog

	* e-shell-view.h: new proto

	* e-shell-view-menu.c (command_settings): call
	e_shell_view_show_settings instead

	* Evolution-ShellView.idl: add showSettings method

2002-04-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view.c (impl_shortcut_drag_motion): New, override
	for EShortcutBar::shortcut_drag_motion.
	(impl_shortcut_drag_data_received): New, override for
	EShortcutBar::shortcut_drag_data_received.
	(class_init): Install the method overrides.

2002-04-17  Christopher James Lahey  <clahey@ximian.com>

	* e-activity-handler.c: Updated this to match the new EPopupMenu.

2002-04-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (handle_evolution_path_drag_motion):
	Removed.
	(impl_tree_drag_motion): Rewritten to use
	`e_folder_dnd_bridge_motion()'.
	(impl_tree_drag_data_received): Rewritten to use
	`e_folder_dnd_bridge_data_received()'.
	(convert_gdk_drag_action_to_corba): Removed.
	(convert_corba_drag_action_to_gdk): Removed.
	(find_matching_target_for_drag_context): Removed.

	* e-folder-dnd-bridge.c: New.
	* e-folder-dnd-bridge.h: New.

2002-04-10  Dan Winship  <danw@ximian.com>

	* e-shell-config.c: Shell config page routines. Right now
	handles the default folders page.

	* glade/e-shell-config-default-folders.glade: New.

	* GNOME_Evolution_Shell.oaf.in: Add info for the default folders
	config page.

	* main.c (idle_cb): If we successfully registered the shell,
	register the config factory.

	* evolution-shell-client.c (evolution_shell_client_new): Note the
	fact that it frees the corba_shell when it is destroyed.

	* evolution-folder-selector-button.c
	(evolution_folder_selector_button_construct, destroy): Use
	bonobo_object_ref/unref on the shell client, not gtk.

	* e-shell.c (e_shell_construct): Pass local_directory to
	e_setup_check_db.
	(handle_default_uri): Fix the config db paths here to match the
	other routines.

	* e-setup.c (e_setup_check_db): Make this take the evolution
	directory path as well so we can properly set up file: URIs for
	the default folders.

2002-04-09  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (idle_cb): Change the logic for displaying a default
	window, so we don't end up with two windows all the time.

2002-04-09  Ettore Perazzoli  <ettore@ximian.com>

	[Patch from Max Horn <max@quendi.de>.]

	* e-local-storage.c: Move <dirent.h> down the #include list so it
	compiles on Darwin.

2002-04-09  Dan Winship  <danw@ximian.com>

	* e-setup.c (e_setup_check_db): New. Check that things that need
	to be in the config db are. Right now it sets up the default
	folders.

	* e-shell.c (e_shell_construct): Call e_setup_check_db after
	getting the config db.
	(impl_Shell_handleURI): Handle "default:" URIs by looking up the
	default folders in the config db.
	
	* main.c (idle_cb): Check for "default:" URIs and treat them the
	same way as "evolution:" URIs. If the shell fails to display all
	of the requested URIs, fall back to the default URI (Summary).

	* e-shell-constants.h: Add E_SUMMARY_URI, E_LOCAL_INBOX_URI, etc.

	* e-shortcuts.c (e_shortcuts_add_default_group): Use
	E_LOCAL_INBOX_URI, etc.

	* e-shell-view.c: #define FALLBACK_URI to E_SUMMARY_URI

2002-04-09  Dan Winship  <danw@ximian.com>

	* Evolution-ShellComponent.idl (createView): Add a "view_info"
	argument.

	* e-shell-view.c (get_view_for_uri): if the URI contains a '#',
	split it into a URI and a "view_info" at that point. (Otherwise,
	pass "" for the view_info to ShellComponent_createView.) This can
	be used for things like specifying day/month/week view to the
	calendar.

	* e-shell.c (create_view): Ignore e_shell_view_display_uri's
	return code: it's possible/likely that the requested URL is remote
	and hasn't been filled in yet.
	(impl_Shell_handleURI): Don't use Shell_createNewView directly,
	call e_shell_create_view_from_uri_and_settings. (For the above fix
	and some others.)

	* evolution-shell-component.c (impl_createView): Add view_info.

	* evolution-shell-component-client.c
	(evolution_shell_component_client_create_view): Add view_info.

	* evolution-test-component.c (create_view_fn): add view_data.

	* e-corba-storage-registry.c
	(impl_StorageRegistry_getFolderByUri): kill a warning

2002-04-08  Dan Winship  <danw@ximian.com>

	Fix "evolution evolution:/path/to/folder" to use default view
	prefs.
	
	* e-shell.c (impl_Shell_createNewView): Use
	e_shell_create_view_from_uri_and_settings to create the new view
	based on saved view 0 instead of always using the initial
	evolution defaults.
	(e_shell_create_view_from_uri_and_settings): Renamed and
	simplified; the template_view argument was useless and
	settings_found would always be set to TRUE in the context it was
	being used it.
	(e_shell_restore_from_settings): Simplify for
	e_shell_create_view_from_uri_and_settings changes.

	* e-shell-view.c (e_shell_view_load_settings): Only load the
	DisplayedURI if the view isn't already displaying a URI. Also,
	pass an &ev to the first bonobo_config_get_long so we can tell if
	it failed and bail out.

	* e-shell-view.h: Remove a prototype for a non-existent function
	(e_shell_view_remove_control_for_uri).

	* main.c (idle_cb): Add some comments here and remove some dead
	code.

2002-04-06  JP Rosevear  <jpr@ximian.com>

	* e-shell-settings-dialog.c (page_new): set type
	(load_pages): get the oaf property for type and track the page
	number of the highest priority for each type
	(destroy_type_entry): destroy hash func
	(impl_destroy): destroy the hash table
	(init): create private struct and hash table
	(e_shell_settings_dialog_show_type): show the page of the given
	type

	* e-shell-view-menu.c (command_settings): show the page for the
	current folder type by default

	* e-shell-settings-dialog.h: new proto

2002-04-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-settings-dialog.c (init): Set the title of the dialog.

2002-04-04  Dan Winship  <danw@ximian.com>

	* evolution-shell-client.c
	(evolution_shell_client_get_pixbuf_for_type): Fix a memory mixup.

2002-04-04  Dan Winship  <danw@ximian.com>

	* evolution-folder-selector-button.c: New widget for a button that
	displays a folder selection in a standard form, and when clicked
	lets the user select a new folder.

	* Evolution-Shell.idl (FolderSelectionListener:notifySelected):
	Make this take an Evolution:Folder instead of a pair of uris.
	(Shell:getIconByType): New method to get the icon for a type from
	the folder type registry.
	
	* Evolution-common.idl (Folder): add "evolutionUri" to the folder
	structure.

	* Evolution-Storage.idl (StorageRegistry:getFolderByUri): get an
	Evolution:Folder for a given uri.

	* evolution-shell-client.c
	(evolution_shell_client_user_select_folder): Update this to
	reflect the IDL change: return a GNOME_Evolution_Folder instead of
	a pair of URIs. Make sure it always sets *@folder_return to %NULL
	if it fails (even if it's a g_return_if_fail).
	(evolution_shell_client_get_storage_registry_interface): New.
	(evolution_shell_client_get_pixbuf_for_type): New. Uses
	Shell_getIconByType, but caches results.

	* e-shell.c (folder_selection_dialog_folder_selected_cb): Update
	for API change. (Return a GNOME_Evolution_Folder.)
	(impl_Shell_getIconByType): Implement.

	* e-corba-storage-registry.c
	(impl_StorageRegistry_getFolderByUri): Implement.

	* evolution-storage.c (evolution_storage_new_folder): Add a
	(dummy) evolutionUri to the folder.

	* Makefile.am (libeshell_la_SOURCES): add
	evolution-folder-selector-button.c
	(eshellinclude_HEADERS): and .h

2002-04-04  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c: Change type of parent_class to
	BonoboXObjectClass.

	* e-shell.c (pop_up_activation_error_dialog): New helper function
	to pop up a dialog if one of the components couldn't be activated,
	getting the description for the error from
	e_get_activation_failure_msg().
	(setup_components): Use this function in case of activation error.
	(set_owner_on_components): Likewise, when the component gets
	restarted.  Also get a @splash arg so we can set the parent for
	this dialog correctly.

	* e-component-registry.c (register_component): New arg @ev.
	(e_component_registry_register_component): Likewise.
	(e_component_registry_restart_component): Likewise.  Also, remove
	some bogus code that was #if'ed out.

	* evolution-shell-component-client.c
	(evolution_shell_component_client_new): New arg @ev.

	* evolution-shell-component-utils.c
	(e_get_activation_failure_msg): New.

2002-04-03  Dan Winship  <danw@ximian.com>

	* e-storage.c (get_path_for_physical_uri_foreach): Deal with
	folders with no physical_uri.

2002-04-02  Christopher James Lahey  <clahey@ximian.com>

	* e-storage-set-view.c (e_storage_set_view_set_show_checkboxes):
	Set the show_checkboxes field here instead of the show_folders
	field.

2002-04-02  Christopher James Lahey  <clahey@ximian.com>

	* e-storage-set-view.c (etree_value_at): If folder is NULL, return
	the correct type of data.

2002-04-02  Christopher James Lahey  <clahey@ximian.com>

	* Makefile.am (etspec_DATA): Added
	e-storage-set-view-checkboxes.etstate and
	e-storage-set-view-no-checkboxes.etstate here.

	* e-storage-set-view-checkboxes.etstate,
	e-storage-set-view-no-checkboxes.etstate: The two possible states
	of the EStorageSetView.

	* e-storage-set-view.c, e-storage-set-view.h
	(e_storage_set_view_set_show_checkboxes,
	e_storage_set_view_get_show_checkboxes): Added this functionality.
	Added a model column to the underlying table for the checkbox
	data.

	* e-storage-set-view.etspec: Added a view column for the
	checkboxes.

2002-03-29  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-settings-dialog.c: Add type "Page".
	(page_new): New helper function.
	(page_free): New helper function.
	(compare_page_func): Callback for sorting a GList of pages.
	(sort_page_list): New helper function.
	(load_pages): Create the pages, sort them, add them sorted.  Now
	we have a priority field that overrides alphabetical sorting.

2002-03-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-component-info.c: New.
	* e-component-info.h: New.

2002-03-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-settings-dialog.c (load_pages): g_warning if the control
	cannot be activated.

2002-03-25  Dan Winship  <danw@ximian.com>

	* e-shell.c (e_shell_construct): Register a "working" folder type
	with the hourglass icon. (Would eventually like an animated gif,
	when ETable supports that.)

	* e-storage.c (e_storage_has_subfolders): Use "working" rather
	than "noselect" as the folder type.

	* e-shell-view.c (get_view_for_uri): Simplify a bit.

2002-03-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-settings-dialog.c (get_language_list): Removed.
	(load_pages): Use e_get_language_list() here instead.  Also, free
	using e_free_language_list().

2002-03-22  Dan Winship  <danw@ximian.com>

	* evolution-storage.c (evolution_storage_update_folder): Fix a
	"how can this ever have worked" bug to make unread message counts
	start working again. (#22293 etc)
	(evolution_storage_removed_folder): Oops. Fix here too.
	(evolution_storage_has_subfolders): And here. When cut and paste
	goes bad...

	* e-shell-folder-commands.c (e_shell_command_rename_folder): Use
	e_folder_get_name. Don't assume it's the same as the last path
	element.

2002-03-21  Dan Winship  <danw@ximian.com>

	* e-splash.c (e_splash_construct): Set the wmclass to
	"evolution-splash" so sawfish knows it's not the same kind of
	window as the main window.

2002-03-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c: Make all the verb/menu arrays appropriately
	static.

2002-03-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (command_send_receive): New, implementation
	for the "SendReceive" verb.

	* e-shell.c (e_shell_send_receive): New.

	* evolution-shell-component.c (impl_sendReceive): Implementation
	of ShellComponent::sendReceive.
	(class_init): Add the "send_receive" signal.

	* evolution-shell-component.h: Added `send_receive' signal.

	* Evolution-ShellComponent.idl: Added ShellComponent::sendReceive.

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.etspec: Add `search="string"' for the
	keyboard navigability search thingy.

2002-03-15  Jeffrey Stedfast  <fejj@ximian.com>

	* e-activity-handler.c (show_cancellation_popup): Updated to use
	new EPopupMenu API.

2002-03-14  Dan Winship  <danw@ximian.com>

	Support for delayed filling-in of storages/folders.

	* Evolution-Storage.idl (StorageListener): add
	notifyHasSubfolders, to announce that a folder has currently-
	unknown subfolders.
	(Storage): add asyncOpenFolder, to request that previously-
	announced subfolders be filled in.

	* evolution-storage.c (impl_Storage_async_open_folder): emit
	OPEN_FOLDER.
	(evolution_storage_has_subfolders): Implement by calling
	notifyHasSubfolders on all of its listeners.

	* evolution-storage-listener.c
	(impl_GNOME_Evolution_StorageListener_notifyHasSubfolders): emit
	HAS_SUBFOLDERS.

	* e-corba-storage.c (impl_StorageListener_notifyHasSubfolders):
	Implement by calling e_storage_has_subfolders.
	(async_open_folder): Implement by calling asyncOpenFolder on the
	CORBA storage.

	* e-storage.c (EStoragePrivate, init, destroy): Keep a list of
	pseudofolders representing un-filled-in subtrees.
	(impl_async_open_folder): No-op default implementation
	(e_storage_async_open_folder): New function to request that
	un-filled-in subtrees be filled in.
	(e_storage_new_folder): If the new folder's parent has an
	"un-filled-in children" pseudofolder, remove it.
	(e_storage_has_subfolders): New function to note that a folder has
	unknown children. If the folder previously was marked as having
	real children, remove them, and emit CLOSE_FOLDER to reset it back
	to an a "unknown subfolders" state.

	* e-storage-set.c (make_full_path): Make this deal with path being
	"/", since that case gets used from storage_close_folder_cb
	sometimes.
	(storage_close_folder_cb): Proxy EStorage's CLOSE_FOLDER signal.
	(storage_set_view_folder_opened): Handle EStorageSetView's
	FOLDER_OPENED signal by calling e_storage_async_open_folder.

	* e-storage-set-view.c (etree_fill_in_children): If the given node
	is its parent's first child, emit FOLDER_OPENED for the parent.
	(close_folder_cb): Handler for EStorageSet's CLOSE_FOLDER signal.
	Ask the model to close that node.
	(e_storage_set_view_construct): Set the default expanded state for
	the tree to FALSE rather than TRUE, to prevent unwanted expansion
	of delayed nodes. (This only affects the very first time the tree
	is displayed anyway: after that its state is loaded off disk.)

	* e-shell.c (e_shell_construct): Register the "noselect" type with
	the folder type registry, so icon lookups on placeholder folders
	will work.

2002-03-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-settings-dialog.c (load_pages): Use
	`evolution:config_item:icon_name' instead of
	`evolution:config_item:icon_path'.  If it's not an absolute path,
	load from the IMAGESDIR.  Also, no need to specify the language
	list for this one, as the icon name shouldn't be translated.

2002-03-12  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c (create_configuration_page): Update
	to create an EvolutionConfigControl instead of just a
	BonoboControl.

	* e-corba-config-page.c (e_corba_config_page_construct): Get a
	GNOME_Evolution_ConfigControl instead of a CORBA_Object.  Retrieve
	the control from it using ::_get_control instead of just assuming
	it's a control.  Also return a boolen indicating success or
	failure.
	(e_corba_config_page_new): Likewise, get a
	GNOME_Evolution_ConfigControl.
	(setup_listener): Renamed from `setup_config_control_interface'.
	Get a ::ConfigControl instead of a CORBA::Object.  Thus, no need
	to queryInterface here anymore.

	* evolution-config-control.c, evolution-config-control.h: New,
	implementation for the Evolution::ConfigControl interface.

	* Evolution-ConfigControl.idl: New attribute `control'.

2002-03-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c (e_shell_command_rename_folder): Make
	old_name_locale non-const to placate a compiler warning.
	(get_corba_null_value): Likewise.

	* e-activity-handler.c (report_task_event): `#if 0' out.

2002-03-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-settings-dialog.c (load_pages): Use ECorbaConfigPages.

	* e-corba-config-page.c: New.
	* e-corba-config-page.h: New.

	* Evolution.idl: #include <Evolution-ConfigControl.idl>.

	* Evolution-ConfigControl.idl: New IDL for configuration Controls
	that will be displayed in the global config dialog.

2002-03-08  Dan Winship  <danw@ximian.com>

	* e-storage-set-view.[ch]: Note that e_storage_set_view_new
	shouldn't be used directly.

	* e-shell-view.c (setup_storage_set_subwindow): Use
	e_storage_set_new_view instead of e_storage_set_view_new.

	* evolution-storage-set-view-factory.c
	(evolution_storage_set_view_factory_new_view): Likewise.

2002-03-07  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c (create_configuration_page): New
	function to create a test configuration page for the test
	component.
	(configuration_control_factory_fn): Factory function for the
	configuration controls.
	(register_configuration_control_factory): New function to register
	the factory.
	(main): Call it.

	* e-shell-view-menu.c: Add verb "Settings".
	(command_settings): Implementation for the "Settings" verb.

	* GNOME_Evolution_TestComponent.oaf: Add a configuration control.

	* e-shell-settings-dialog.c: New.
	* e-shell-settings-dialog.h: New.	

2002-03-07  Dan Winship  <danw@ximian.com>

	Addendum to previous commit: Remove "storage_selected" vs
	"folder_selected" distinction.

	* evolution-storage-set-view.c
	(storage_set_view_widget_storage_selected_cb): Removed.

	* evolution-storage-set-view-listener.c
	(impl_GNOME_Evolution_StorageSetViewListener_notifyStorageSelected):
	Removed.
	(class_init): Remove STORAGE_SELECTED signal.

	* e-storage-set-view.c (impl_cursor_activated): Always emit
	FOLDER_SELECTED, never STORAGE_SELECTED.
	(class_init): Remove STORAGE_SELECTED signal.

	* e-shell-view.c (storage_selected_cb): Removed.

	* e-shell-folder-creation-dialog.c
	(storage_set_view_storage_selected_cb): Removed.

	* Evolution-StorageSetView.idl (StorageSetViewListener): Remove
	notifyStorageSelected.

2002-03-07  Dan Winship  <danw@ximian.com>

	Make storages-with-toplevel-views less of a hack.

	* e-folder-tree.c (e_folder_tree_add): Allow the caller to "add" a
	root folder, if the existing root folder has no children.
	(e_folder_tree_new): Use e_folder_tree_add to create the root
	folder, since it can do that now.

	* e-storage.c: (e_storage_construct): Replace toplevel_node_uri
	and toplevel_node_type args with root_folder.
	(e_storage_new): Likewise.
	(*): Remove toplevel uri/type stuff everywhere. Also remove
	display_name since now we will use the name of the root folder for
	that.

	* evolution-storage.c: Remove toplevel uri/type stuff everywhere.

	* e-local-storage.c (construct): Pass root_folder to
	e_storage_construct instead of toplevel uri/type.
	Also, evolution_storage_new no longer takes toplevel uri/type.

	* e-corba-storage.c (e_corba_storage_construct): Out with toplevel
	uri/type, in with root_folder.
	(e_corba_storage_new): Remove toplevel uri/type.

	* e-shell.c (setup_local_storage): Create a top-level folder of
	type "summary" for the Summary storage.

	* e-storage-set-view.c (set_e_shortcut_selection): Remove
	special-case for storages.
	(etree_icon_at): Remove special case for figuring out storage
	icons (but leave the code for storages without icons).
	(etree_value_at): Remove special case for storage names. (But
	still make storages always bold.) Remove unused special-case code
	for Summary.

	* e-shortcuts.c (load_shortcuts): Remove special case for
	storages, reorganize a bit.

	* e-shortcuts-view.c (get_shortcut_info): Remove special case for
	storages.

	* e-shell-view.c (update_for_current_uri): Remove special case for
	storages.
	(socket_destroy_cb): Likewise.
	(get_type_for_storage): No longer needed.
	(get_view_for_uri): No longer needs to special-case storages (but
	add a special case for folders of type "noselect", to make them
	unselectable like storages-without-toplevel-views used to be).

	* e-storage-set.c (get_storage_for_path): If passed "/foo", return
	"/" as subpath_return so e_storage_set_get_folder will DTRT in the
	NWO.

	* Evolution-Storage.idl (addStorage): Remove the toplevel_node_uri
	and toplevel_node_type arguments.

	* e-corba-storage-registry.c (impl_StorageRegistry_addStorage):
	Likewise.

2002-03-06  Dan Winship  <danw@ximian.com>

	* e-storage.c: Keep the storage name and display_name in
	EStoragePriv.
	(impl_get_name, impl_get_display_name): Return them.
	(e_storage_construct): Set them here.
	(e_storage_new): And here.

	* e-local-storage.c: (impl_get_name, impl_get_display_name):
	Removed.
	(construct): Pass E_LOCAL_STORAGE_NAME and U_("Local Folders") to
	e_storage_construct.

	* e-corba-storage.c: Remove priv->name.
	(get_name, get_display_name): Removed.
	(e_corba_storage_construct): Pass name to e_storage_construct().

	* e-summary-storage.[ch]: Gone. This didn't override anything in
	EStorage but get_name/get_display_name, and the defaults for those
	DTRT now.
	
	* e-shell-constants.h: Move E_SUMMARY_STORAGE_NAME here from
	e-summary-storage.h, and move E_LOCAL_STORAGE_NAME too for
	consistency.

	* e-storage-set-view.c: Fix up #includes.

	* e-shell-importer.c: Likewise

	* e-shell.c: Likewise. Create summary_storage as a plain EStorage
	since ESummaryStorage is gone now.

	* Makefile.am (evolution_SOURCES): Remove e-summary-storage.[ch]

2002-03-06  Dan Winship  <danw@ximian.com>

	* e-corba-storage-registry.c
	(impl_StorageRegistry_removeListener): Fix up GList/GSList
	confusion.

	* e-shell-user-creatable-items-handler.c
	(get_default_action_for_view): Don't look into the types list if
	it's empty.

2002-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c: Reduce width of the copyright message so it
	looks prettier with the new Rupert artwork.

2002-03-04  Iain Holmes  <iain@ximian.com>

	* Evolution-Storage.idl: Add some methods to the StorageRegistry 
	interface to get a storage, and add or remove listeners. Also add a
	new exception and some structs and enums for messages.

	* e-corba_storage-registry.c: Add a GSList to the private stuct for
	recording the listeners.
	(listener_notify): Send a message to the listeners.
	(impl_StorageRegistry_getStorageByName): Implementation of the
	getStorageByName method. Returns the associated storage interface
	(storage_set_foreach): Loop through all the storages in the storageset
	and notify the listeners about them.
	(find_listener): Find a listener in the list of them.
	(impl_StorageRegistry_addListener): Add a new listener to the
	registry.
	(impl_StorageRegistry_removeListener): Remove a listener.
	(corba_class_init): Add the new methods to the EPV.
	(init): NULL the listeners list.

	* e-corba-storage.[ch] (e_corba_storage_get_corba_objref): Get the CORBA
	interface from the GtkObject.
	
2002-03-04  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #20234, Deleting Folder gratuitiously causes /local to open.]

	* e-shell-view.c (find_inbox_in_storage): New helper function to
	heuristically find an Inbox folder.
	(handle_current_folder_removed): New function to handle the
	removal of the currently displayed folder in a slightly smarter
	way than before.  It tries to display the parent folder of the
	folder that got deleted and, if not possible, the Inbox in the
	same storage.  If neither of this is possible, it displays the
	default local Inbox.  [It still doesn't handle the case where you
	have no Inbox gracefully, but that can come later.]
	(storage_set_removed_folder_callback): Call
	`handle_current_folder_removed'.

2002-03-04  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #20237, Shell silently drops xfer_folder errors.]

	* e-shell-folder-commands.c (xfer_result_callback): Display an
	error message if the operation failed.

2002-02-26  Ettore Perazzoli  <ettore@ximian.com>

	[This gets rid of some spurious "could not find handler" messages
	on exit.  What happened is that the signal would be disconnected
	twice, once by cleanup_delayed_selection() and once by the
	while_alive handler.]

	* e-shell-view.c (destroy): Call cleanup_delayed_selection() here.
	(e_shell_view_display_uri): Use gtk_signal_connect_full(), not
	e_gtk_signal_connect_full_while_alive().

2002-02-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c: Add year 2002 to the copyright.

2002-02-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (impl_destroy): Renamed from `destroy'.
	(impl_right_click): Renamed from `right_click'.
	(impl_cursor_activated): Renamed from `cursor_activated'.
	(impl_tree_start_drag): Renamed from `tree_start_drag'.
	(impl_tree_drag_begin): Renamed from `tree_drag_begin'.
	(impl_tree_drag_end): Renamed from `tree_drag_end'.
	(impl_tree_drag_data_get): Renamed from `tree_drag_data_get'.
	(impl_tree_drag_data_delete): Renamed from
	`tree_drag_data_delete'.
	(impl_tree_drag_motion): Renamed from `tree_drag_motion'.
	(impl_tree_drag_leave): Renamed from `tree_drag_leave'.
	(impl_tree_drag_drop): Renamed from `tree_drag_drop'.
	(impl_tree_drag_data_received): Renamed from
	`tree_drag_data_received'.

2002-02-22  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #3029, Offline mode should be preserved across sessions.]

	* main.c (idle_cb): Use the e_shell_new() API below so that we use
	the saved offline settings at the next start-up if neither
	--offline nor --online has been specified.

	* e-shell.c (save_misc_settings): New function.  For now, just
	save `/Shell/StartOffline' indicating whether the shell should
	start in offline mode or not.
	(e_shell_construct): Replace @start_online with
	@startup_line_mode.
	(e_shell_new): Likewise.

	* e-shell.h: New enum EShellStartupLineMode.

2002-02-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (remove_uri_from_history): New helper function to
	remove all the matching URIs from the history.
	(history_uri_matching_func): Compare function for using
	e_history_remove_matching.
	(storage_set_removed_folder_callback): Call
	`remove_uri_from_history()'.

	* e-history.c (e_history_remove_matching): New.

2002-02-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (update_navigation_buttons): New.
	(display_uri): Call it before returning so the navigation buttons
	always have the right sensitivity.

	* e-shell-folder-title-bar.c
	(e_shell_folder_title_bar_update_navigation_buttons): New.
	(add_navigation_buttons): Remove the "Back" label.

2002-02-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c: New member `history' in `EShellViewPrivate'.
	(init): Initialize.
	(destroy): Unref.
	(e_shell_view_display_uri): Make it a no-op if the URI is the same
	as the current one.  Also, moved code into `display_uri' and use
	it.
	(back_clicked_callback): New, callback for the back button on the
	folder title bar.
	(forward_clicked_callback): Likewise for the forward button.

	* e-history.c: New.
	* e-history.h: New.

2002-02-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_show_folder_bar):
	`e_shell_folder_title_bar_set_title_clickable()', not
	`e_shell_folder_title_bar_set_clickable()'.

	* e-shell-folder-title-bar.c: Rename `button', `button_label' and
	`button_arrow' to `title_button', `title_button_label' and
	`title_button_arrow'.  Renamed `label' to `title_label'.  Renamed
	`arrow_xpm' to `down_arrow_xpm'.  Added `left_arrow.xpm' and
	`right_arrow.xpm'.
	(class_init): Add the "back_clicked" and "forward_clicked"
	signals.
	(add_navigation_buttons): New function to add the navigation
	buttons to the title bar.
	(back_button_clicked_callback): Callback for the back button,
	emits "back_clicked".
	(forward_button_clicked_callback): Callback for the forward
	button, emits "forward_clicked".
	(e_shell_folder_title_bar_construct): Call
	`add_navigation_buttons()'.
	(forward_button_clicked_callback):
	(create_arrow_pixmap): Removed.
	(create_pixmap_widget_from_xpm): New.
	(title_button_box_realize_cb): Removed.
	(e_shell_folder_title_bar_construct): Don't connect.  Just add the
	icon normally using the new `create_pixmap_widget_from_xpm()'.
	(e_shell_folder_title_bar_set_title_clickable): Renamed from
	`e_shell_folder_title_bar_set_clickable'.
	(size_allocate_navigation_buttons): New.
	(size_allocate_title_button): Get an @offset.
	(size_allocate_label): Get an @offset.
	(size_allocate): Allocate the navigation buttons and offset
	everything else accordingly.

	* e-shell-folder-title-bar.h: New signals "back_clicked",
	"forward_clicked".

2002-02-21  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-user-creatable-items-handler.c
	(get_default_action_for_view): Return NULL if there is no
	component ID for the current view.
	
2002-02-21  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-user-creatable-items-handler.c (ensure_menu_items): Set
	the icons for all the "New..." menu items from the specified one
	in the type definitions.

	* e-activity-handler.c (create_gdk_pixbuf_from_corba_icon):
	Removed.
	(impl_operationStarted): Just use
	`e_new_gdk_pixbuf_from_corba_icon()'.

	* e-shell-corba-icon-utils.c (e_new_gdk_pixbuf_from_corba_icon):
	New.

2002-02-20  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #20311, new window from Shortcuts should not show the folder
	bar and the shortcut bar.  Also do the same for right-click on the
	folder bar.]

	* e-shell-view-menu.c (command_open_folder_in_new_window): Don't
	show the folder bar and the shortcut bar in the new window.

	* e-shell-view.c (activate_shortcut_cb): Don't show the folder bar
	and the shortcut bar in the new window.

	* e-shell-view.c (e_shell_create_view): Don't flush the GTK events
	here.

2002-02-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_construct): New arg @start_online.  If true,
	invoke `e_shell_go_online()' before returning.
	(e_shell_new): New arg @start_online.  Pass it to
	e_shell_construct().
	(init): Default ->line_status to E_SHELL_LINE_STATUS_OFFLINE.

	* main.c (main): Add "--offline" and "--online" options.

2002-01-30  Not Zed  <NotZed@Ximian.com>

	* e-storage-set-view.c (popup_folder_menu): Use
	right_click_row_path rather than selected_row_path, so clients get
	the uri that was actually clicked on.

2002-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Use SHELL_CFLAGS and SHELL_LIBS.
	* importer/Makefile.am: Likewise.

2002-01-24  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Just use BONOBO_HTML_GNOME_CFLAGS and
	BONOBO_HTML_GNOME_LIBS for compiling/linking; we don't need the
	other ones.

2002-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-user-creatable-items-handler.c: New member `id' in
	struct `Component'.  New member `icon' in struct `MenuItem'.
	(component_free): Free ->id.
	(component_new): Renamed from `component_new_from_client'.  Get an
	@id arg and set ->id accordingly.
	(e_shell_user_creatable_items_handler_add_component): New arg @id.
	Pass it to `component_new'.
	(e_shell_user_creatable_items_handler_setup_menus): New arg
	@current_component_id.
	(e_shell_user_creatable_items_handler_update_menus): New.
	(set_current_component): New helper function.
	(get_component_by_id): New helper function.
	(add_verbs): Renamed from `add_verbs_to_ui_component()'.  Get a
	@shell_view instead of a @ui_component.  Set the SHELL_VIEW_KEY on
	the ui_component of the shell_view to point to the shell_view
	itself.
	(ensure_menu_items): Set item->icon to NULL.
	(free_menu_items): Unref item->icon.
	(ensure_menu_xml): Set the icon as well.
	(get_default_action_for_view): New helper function.
	(find_menu_item_for_verb): New helper function.
	(shell_view_view_changed_callback): New callback, set up the label
	on the "New" button depending on the current component.
	(e_shell_user_creatable_items_handler_attach_menus): New.  For
	now, do not display the toolbar button yet.
	(execute_verb): New helper function, splitting out code from
	`verb_fn'.
	(verb_fn): Use `execute_verb'.
	(combo_button_activate_default_callback): Callback for the
	"activate_default" signal on the EComboButton.
	(setup_toolbar_button): Connect.

	* evolution-shell-component.c: New member `icon' in
	`UserCreatableItemType'.
	(impl__get_userCreatableItemTypes): Put the ->icon in the
	corba_type as well.
	(user_creatable_item_type_new): Get a new @icon argument.
	(evolution_shell_component_add_user_creatable_item): New arg
	@icon.

	* Evolution-ShellComponent.idl: New member `icon' in struct
	`UserCreatableItemType'.

	* evolution-test-component.c (register_component): Pass a NULL
	@icon to `evolution_shell_component_add_user_creatable_item()'.

	* e-shell-view.c (class_init): Add the signal to the class.
	(e_shell_view_display_uri): Emit "view_changed".
	(e_shell_view_get_current_component_id): New.

	* evolution-shell-component-client.c: New member `id' in
	EvolutionShellComponentClientPrivate.
	(init): Init to NULL.
	(impl_destroy): Free.
	(evolution_shell_component_client_new_for_objref): Removed.
	(evolution_shell_component_client_construct): New arg @id.
	Initialize ->id from it.
	(evolution_shell_component_client_get_id): New.

	* e-shell-view.h: New signal "view_changed".

	* evolution-activity-client.c (create_icon_from_pixbuf): Removed.
	(create_corba_animated_icon_from_pixbuf_array): Removed.
	(evolution_activity_client_construct): Use
	`e_new_corba_animated_icon_from_pixbuf_array()' instead.

	* e-shell-icon-utils.h: New.
	* e-shell-icon-utils.c: New.

2002-01-23  Ettore Perazzoli  <ettore@ximian.com>

	[Patch by Michael Meeks <michael@ximian.com>.]

	* e-splash.c (e_splash_set_icon_highlight): g_return if there is
	no num-th icon.

2002-01-15  Iain Holmes  <iain@ximian.com>

	* e-shell-importer.c (show_import_wizard): Set the importer druid
	as a transient window of the parent shell.

2002-01-15  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #17441, Crash trying to import Multiple VCard file into LDAP
	folder.]

	* e-shell-importer.c (show_error): Add a NULL in the call to
	`gnome_message_box_new()'.

2001-12-14  Michael Meeks  <michael@ximian.com>

	* e-shell-view.c (set_current_notebook_page): re-order
	activate / de-activate to minimise flicker switching between
	identical components.

2002-01-11  Damon Chaplin  <damon@ximian.com>

	* e-shell-startup-wizard.c (finish_func): handle translated timezone
	names.

	* Makefile.am (INCLUDES): added -I$(top_srcdir)/libical/src/libical.

2001-12-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c: Add Michael MacDonald.

2001-12-17  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #17377, Evolution doesn't work on multi-depth displays.]

	* main.c (main): Push GdkRGB visual and colormap.

2001-12-17  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #16693.  What happens there is that the user closed the
	dialog before the async operation was completed, so when the
	notification was received the shell crashed.]

	* e-shell-folder-creation-dialog.c: New member
	`creation_in_progress' in `DialogData'.
	(e_shell_show_folder_creation_dialog): Init to %FALSE.
	(async_create_cb): Set to %FALSE.  Also, if the
	dialog_data->dialog is %NULL, free the dialog_data before
	returning.
	(dialog_clicked_cb): Set to %TRUE.
	(dialog_destroy_cb): If a creation is in progress, just set the
	widget pointers in the DialogData struct to %NULL instead of
	freeing the whole struct.
	(async_create_cb): Make the OK and Cancel buttons sensitive.
	(dialog_clicked_cb): Make them insensitive here.

2001-12-12  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #17258, shell displays splash even if Evolution is already
	running.]

	* e-shell.c (e_shell_construct): Display the splash screen only if
	the registration succeeds.

2001-12-10  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #14838, saving passwords doesn't work.  It is actually a
	workaround for some obscure Bonobo-conf bug.]

	* e-setup.c (setup_bonobo_conf_private_directory): New helper
	function to create the `~/evolution/private' directory.
	(e_setup): Call it.

2001-12-07  Iain Holmes  <iain@ximian.com>

	[Trying to fix #14701, importing locks up Evolution.]

	* e-shell-importer.c (show_error): Show an error message, but not
	modally.
	(start_import): Use above function so none of the errors are modal.
	(folder_selected): Hide the folder dialog.
	
2001-12-04  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #7827, Switching desktops leaves the folder bar popped up.]

	* e-shell-view.c (folder_bar_popup_map_callback): And grab the
	keyboard as well.
	(popdown_transient_folder_bar): Ungrab the keyboard as well.
	(switch_on_folder_tree_click): Likewise.

	[Fix #16507, Right Click -> View does nothing.]

	* e-shell-view-menu.c: New verb "ActivateView".
	(command_activate_view): New, callback for the "ActivateView"
	verb.

2001-11-15  Zbigniew Chyla  <cyba@gnome.pl>

	* e-shell-folder-commands.c (e_shell_command_rename_folder): Convert
	folder name to locale's encoding before using it as part of the prompt.

2001-11-28  Federico Mena Quintero  <federico@ximian.com>

	Fixes bug #3290.

	* e-shell-folder-selection-dialog.c
	(e_shell_folder_selection_dialog_construct): Use our own filename
	for the collapsation state of the tree, instead of sharing the one
	of shell view number 0.
	(save_expanded_state): New function, saves the collapsation state
	of the tree.
	(impl_destroy): Call save_expanded_state().

2001-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c: Add more contributors to the box.

2001-11-14  Damon Chaplin  <damon@ximian.com>

	* e-shell-startup-wizard.c (finish_func): make timezone default to
	"UTC" rather than "".

2001-11-12  Iain Holmes  <iain@ximian.com>

	* e-shell-startup-wizard.c (make_identity_page): Check for exception.
	(make_receive_page): Check for exception.
	(make_extra_page): Check for exception.
	(make_transport_page): Check for exception.
	(make_management_page): Check for exception.

2001-11-06  Iain Holmes  <iain@ximian.com>

	* e-shell-startup-wizard.c (make_timezone_page): Move the call to
	e_timezone_dialog_new out of the the GTK_OBJECT macro to stop it
	being called 4 times, and leaking 3.

2001-11-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (set_e_shortcut_selection): Get the storage
	name if we are dragging a storage instead of a folder.

2001-11-01  Anna Marie Dirks  <anna@ximian.com>

	* e-shell-importer.c (prepare_intelligent_page): Fixed spacing and
	alignment probelms. (See bug #14281)

	* e-shell-startup-wizard.c (prepare_importer_page): Fixed
	spacing and alignment problems. (See bug #14281) 

2001-11-05  Dan Winship  <danw@ximian.com>

	* e-storage-set-view.c (set_e_shortcut_selection): Set the
	shortcut name to be the folder name, not just the last component
	of its path, which may be different.

2001-11-01  Ettore Perazzoli  <ettore@ximian.com>

	* glade/evolution-startup-wizard.glade: `timezone-48.png', not
	`timezone.png'.

2001-11-01  Anna Marie Dirks  <anna@ximian.com>

	* glade/evolution-startup-wizard.glade: Changed the welcome
	message and the finishing message to be more descriptive. Also
	changed the window title to be "Evolution Setup Assistant". Finally,
	fixed a misnamed icon (replaced timezone.png with timezone-48.png).
	Partially fixes bug #14281 and totally fixes #14286. 

2001-10-31  Christopher James Lahey  <clahey@ximian.com>

	* e-storage-set-view.c (cursor_activated): Don't do operations on
	a NULL path.
	(updated_folder_cb, folder_changed_cb): Send pre_change signal
	here.

2001-10-31  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (handle_evolution_path_drag_motion): If the
	source folder is stock and the operation is GDK_ACTION_MOVE,
	always return %FALSE as we don't want that to be allowed ever.

2001-10-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (bonobo_widget_is_dead): Removed.
	(show_existing_view): Don't call it.

2001-10-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-component-registry.c (sleep_with_g_main_loop): New utility
	function.
	(sleep_with_g_main_loop_timeout_callback): Callback function for
	`sleep_with_g_main_loop()'.
	(wait_for_corba_object_to_die): Use `sleep_with_g_main_loop()'
	instead of `sleep()'.

2001-10-30  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (development_warning): Removed.
	(idle_cb): Don't call it.
	(warning_dialog_clicked_callback): Removed.

2001-10-30  Iain Holmes  <iain@ximian.com>

	* e-shell-view.c (e_shell_view_load_settings): If the display uri is
	NULL, set the view to the default.

2001-10-30  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c (owner_ping_callback): Duplicate the
	owner before pinging it.  Fixes #13802.

2001-10-30  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c (impl_owner_unset): New.
	(class_init): Install it.
	(impl_unsetOwner): Just emit the "owner_unset" signal as the
	default implementation for that signal does all the work now.
	(impl_owner_died): Set the owner_client to %NULL before unreffing
	it.
	(destroy): Likewise.
	(impl_owner_unset): Likewise.

2001-10-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_construct): Connect to the
	"removed_folder" signal with gtk_signal_connect_while_alive() so
	we don't crash if the view gets destroyed.  Fixes #13285.

2001-10-29  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-startup-wizard.c (next_func): If we're not at the end of
	the druid list, tell the druid we're going to change the page.
	(back_func): Same for going back a page.  This way we can properly
	synchronise with the druid object and not race with the wizard
	object to set the right page.  Part of fix for #12127.

2001-10-29  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c (owner_ping_callback): Slightly
	change the debugigng message for when the shell has disappeared.

2001-10-29  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c (owner_ping_callback): Remove
	ping debugging messages.

2001-10-29  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (set_interactive): Remove debugging message.

2001-10-29  Damon Chaplin  <damon@ximian.com>

	* Makefile.am (evolution_LDADD): use libical-evolution.la

2001-10-29  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_construct): Ref the shell.
	(destroy): Unref the shell.
	(destroy): Free the delayed_selection.  No need to call
	`cleanup_delayed_selection()' as the signal handler will have
	already be disconnected at this point [as we are using
	connect_while_alive()'].

2001-10-28  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (destroy): Call `cleanup_delayed_selection()' as
	there is a slight chance that the callback gets invoked during the
	cleanup phase.
	(e_shell_view_display_uri): For extra safety, make sure we don't
	get invoked on a dead object by connecting the "new_folder" signal
	with `e_gtk_signal_connect_full_while_alive()' instead of using
	plain `gtk_signal_connect_after()'.

2001-10-28  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (new_folder_cb): Don't do the
	`gtk_signal_disconnect_by_func()' as it's already done in
	`cleanup_delayed_selection()'.
	(e_shell_view_construct): Set the ->shell member as the first
	thing.
	(set_current_notebook_page): Add a cast to make the compiler
	happy.
	(new_folder_cb): Don't set priv->uri before calling
	`e_shell_view_display_uri()', because the latter does it anyways,
	and also if you set it before calling it, the selection in the
	folder tree doesn't get updated properly.

2001-10-29    <NotZed@Ximian.com>

	* evolution-storage.c (class_init): Set the return type of the
	signal handlers to GTK_TYPE_NONE.

2001-10-28  Ettore Perazzoli  <ettore@ximian.com>

	[The following should fix #13802, crash on exit.]

	* evolution-shell-component.c (impl_unsetOwner): Set the ping
	timeout ID to -1 when removing the source.
	(impl_destroy): Likewise.
	(impl_unsetOwner): Remove the timeout before unreffing, not after
	unreffing.

2001-10-28  Jon Trowbridge  <trow@ximian.com>

	* e-shell-about-box.c: Distribute credit equally.

2001-10-27    <NotZed@Ximian.com>

	* evolution-storage.c (impl_Storage_async_xfer_folder): We want
	XFER_FOLDER not REMOVE_FOLDER!

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-offline-handler.c (prepare_for_offline): Remove
	debugging messages.
	(finalize_offline_hash_foreach): Likewise.

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-offline-handler.c: New member `finished' in
	`EShellOfflineHandlerPrivate'.
	(finalize_offline): Ref the handler as we might get destroyed
	while putting every component offline.
	(impl_OfflineProgressListener_updateProgress): Don't emit
	::offline_procedure_finished if ->finished is %TRUE.  Also, set it
	to %TRUE after emitting the signal.
	(cancel_offline): Likewise.
	(finalize_offline): Likewise.
	(update_dialog_clist): Guard against NULL ->dialog_gui.

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-storage.c (impl_Storage_async_xfer_folder): Implement.
	(class_init): Add the signal "xfer_folder" signal.

	* evolution-storage.h: New signal "xfer_folder".

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-corba-storage.c
	(async_xfer_folder): New, implementation for the
	::async_xfer_folder method.
	(class_init): Install it.

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (destroy): Set ->is_initialized to %FALSE.
	(e_shell_unregister_all): Same here.

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-importer.c (prepare_intelligent_page):
	gtk_widget_show_now() the dialog.
	* e-shell-startup-wizard.c (prepare_importer_page): Likewise.

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (quit_box_new): Use gtk_widget_show_now() so the stupid
	dialog hopefully displays all the time.

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (set_current_notebook_page): Clear the folder bar
	label to be empty.  [#12553]

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c (timeout_callback): Draw one more line.

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (command_about_box): Set the GtkWindow
	policy so that @allow_shrink, @allow_grow and @auto_shrink are all
	%FALSE.

2001-10-26  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c (e_shell_command_rename_folder): Don't
	allow invalid folder names.  [#12027]

	* e-shell-folder-creation-dialog.c (entry_name_is_valid): Removed.
	(dialog_clicked_cb): Use `e_shell_folder_name_is_valid()' instead.

	* e-shell-utils.c (e_shell_folder_name_is_valid): New.  Sorry I18N
	people, it breaks the string freeze slighty.

	* e-component-registry.c (component_free): Add a cast.
	(e_component_registry_restart_component): Argh, use the
	corba_objref properly in calling `wait_for_corba_object_to_die()'.

2001-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (update_offline_menu_item): Add accelerators
	for "Work Offline" and "Work Online".

2001-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (update_for_current_uri): Don't allow translators
	to translate "Ximian Evolution".

2001-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-component-registry.c (wait_for_corba_object_to_die): New
	helper function.
	(e_component_registry_restart_component): Use it.
	(component_free): Call it to wait for the unowned object to die.

2001-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_Shell_selectUserFolder): Handle failure from
	XGetClassHint properly.  Also, free res_name and res_class in case
	of success.  Fixes #13554.

2001-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (etree_icon_at): Don't display an icon for
	storages that have subfolders.

2001-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-importer.c: #include "e-util/e-gtk-utils.h".

	* e-shell-folder-creation-dialog.c
	(e_shell_show_folder_creation_dialog): Constify a local variable
	to placate a warning.

	* e-activity-handler.c (task_widget_cancel_callback): #if 0'ed
	out.

	* evolution-shell-component-client.c
	(evolution_shell_component_client_new): Remove unused variable
	`ior'.

2001-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-activity-handler.c (impl_destroy): Set ->priv to NULL.
	(impl_operationStarted): Check for priv not being NULL.
	(impl_operationProgressing): Likewise.
	(impl_operationFinished): Likewise.
	(impl_requestDialog): Likewise.

2001-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-startup-wizard.c (make_mail_dialog_pages): Set the
	->mailer to be CORBA_OBJECT_NIL in case of an exception, otherwise
	the caller will not realize about the problem.

2001-10-25  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-wizard.c (evolution_wizard_set_buttons_sensitive):
	Don't use __FUNCTION__.
	(evolution_wizard_set_show_finish): Likewise.
	(evolution_wizard_set_page): Likewise.

	* e-shell-startup-wizard.c (make_mail_dialog_pages): Do not use
	__FUNCTION__ and __LINE__.  This breaks the string freeze, but the
	old way made Evolution non-compilable with non-GNU compilers.

2001-10-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-about-box.c: Add a few names to the box.

2001-10-24  Dan Winship  <danw@ximian.com>

	* evolution-storage.c (evolution_storage_new_folder):
	g_return_if_fail if the display_name is NULL. "Fixes" 11182
	although there may be a few more cases lying around that pass
	NULLs in.

2001-10-24  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (quit_box_new): Set the WMClass of the quit dialog to be
	different from the default one in an attempt to fix #13441.

2001-10-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (storage_result_from_component_result): New.
	(async_xfer_folder_callback): Use it so we get the right error
	message.
	(async_xfer_folder_complete): New arg @success.  Don't remove the
	directory and the metadata if @success is %FALSE.

2001-10-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c (rename_callback_data_new): Get the
	path and the shell view instead.
	(rename_callback_data_free): Updated accordingly.
	(rename_cb): Set the name on the folder based on the path, not the
	actual object [as the old object gets unreffed -- of course].

2001-10-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c (rename_callback_data_new): New.
	(rename_callback_data_free): New.
	(rename_cb): Rename the folder here.
	(e_shell_command_rename_folder): Don't rename the EFolder here.

2001-10-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (async_xfer_folder_callback): Handle the
	return codes properly, and invoke the result callback too.

2001-10-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-activity-handler.c (show_cancellation_popup): #if 0'ed for
	now, per #7427.

2001-10-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (storage_set_removed_folder_callback): Explicitly
	deactivate the control frame, and display the default URI before
	destroying the dead one.

	* e-shell.c (e_shell_component_maybe_crashed): If the URI is of a
	folder that doesn't exist anymore, don't assume that the
	corresponding component has crashed.  Also, try pinging the
	component first; if the component responds, don't pop up the
	dialog.

2001-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (command_open_folder_in_new_window): No need
	to gtk_widget_show() the view anymore.

	* e-shell-view.c (activate_shortcut_cb): No need to
	gtk_widget_show() the view anymore.

	* e-shell.c (impl_Shell_createNewView): Don't explicitly show the
	new view.
	(e_shell_create_view): gtk_widget_show() the new view and flush
	the GTK+ event loop before sending the ::interactive notification.
	(create_view): New helper function.
	(e_shell_create_view): Use it.
	(e_shell_create_view_from_settings): New.
	(e_shell_restore_from_settings): Use
	`e_shell_create_view_from_settings()'.

2001-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (command_open_folder_in_new_window): Don't
	explicitly show the new view.

2001-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c (impl_unsetOwner): Remove the ping
	timeout.

2001-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_Shell_selectUserFolder): Don't die if the parent
	window has no WMHints.

2001-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (show_existing_view): If the view is dead, just
	return FALSE.  Prevents crash #12483.

2001-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c: New member `is_interactive' in `EShellPrivate'.
	(init): Init to %FALSE.
 	(set_interactive): New.
	(e_shell_create_view): Make interactive.
	(view_destroy_cb): If no views are left, make non-interactive.

	* evolution-shell-component.c (class_init): Set up the
	"interactive" signal.
	(impl_interactive): New implementation for the ::interactive
	method.
	(class_init): Install.

	* evolution-shell-component.h: New signal `interactive'.

	* Evolution-ShellComponent.idl: New method ::interactive.

2001-10-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (tree_drag_data_received): Pass the
	@folder_type to ::handleDrop.

	* evolution-shell-component-dnd.c
	(impl_GNOME_Evolution_ShellComponentDnd_DestinationFolder_handleMotion):
	New arg @folder_type.
	(impl_GNOME_Evolution_ShellComponentDnd_DestinationFolder_handleDrop):
	Likewise.

	* evolution-shell-component-dnd.h: Add @folder_type to
	`DndDestinationFolderHandleDropFn' and
	`DndDestinationFolderHandleMotionFn'.

	* e-storage-set-view.c (tree_drag_motion): Pass the folder type to
	`::handleMotion'.

	* Evolution-ShellComponentDnd.idl: Pass @folder_type in
	::handleDrop and ::handleMotion.

2001-10-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (command_about_box): Use EShellAboutBox.
	(zero_pointer): Removed.

	* e-shell-about-box.h: New.
	* e-shell-about-box.c: New.

2001-10-18  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (evolution_SOURCES): Ooops.  Remove stale files
	`e-shell-about-box.[ch]'.

2001-10-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_Shell_selectUserFolder): Set the parent
	according to the XID we get.

	* Evolution-Shell.idl: New arg @parent_xid in `::selectUserFolder'.

	* evolution-shell-client.c
	(evolution_shell_client_user_select_folder): New arg @parent.
	(user_select_folder): Likewise.  Pass it to the CORBA method.

2001-10-17  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (idle_cb): Urgh.  Remove stale line that caused
	`display_default' to be set to TRUE for all the non-NULL shell
	cases.

2001-10-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (set_owner_on_components): Re-set the owner on the
	component that raised OldOwnerHasDied.

2001-10-15  Iain Holmes  <iain@ximian.com>

	* e-shell-startup-wizard.c (prepare_importer_page): Stop the prepare
	running twice.

2001-10-14  Dan Winship  <danw@ximian.com>

	* e-corba-storage.c (async_folder_cb): 
	* e-storage.c (e_storage_result_to_string): Add two missing codes.

2001-10-13  Dan Winship  <danw@ximian.com>

	* evolution-shell-component-utils.c (e_activation_failure_dialog):
	New function to try to activate a component when you know it's
	going to fail, and then pop up a dialog explaining why it failed.

2001-10-12  Iain Holmes  <iain@ximian.com>

	* e-shell-importer.c (prepare_intelligent_page): Flush the gdk 
	functions so that the window will be shown.

	* e-shell-startup-wizard.c (make_mail_dialog_pages): Fix some
	strings.
	(prepare_importer_page): Flush GDK functions so that the window 
	is shown.

2001-10-12  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #7643, Starting new view doesn't honor "view" settings.]

	* e-shell-view-menu.c (command_open_folder_in_new_window): Pass
	the parent @shell_view as the @template_view arg to
	`e_shell_create_view()'

	* e-shell-view.c (activate_shortcut_cb): Pass the _view as the
	@template_view arg to `e_shell_create_view()'.

	* e-shell-folder-commands.c
	(e_shell_command_open_folder_in_other_window): Pass the parent
	@shell_view as the @template_view arg to `e_shell_create_view()'.

	* e-shell.c (e_shell_create_view): New arg @template_view.
	(impl_Shell_createNewView): Pass %NULL as @template_view when
	calling it.
	(e_shell_restore_from_settings): Likewise.

2001-10-12  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (quit_box_new): Also flush GDK after flushing GTK.
	Otherwise GTK might queue draw requests to X that don't get
	executed.

2001-10-12  Ettore Perazzoli  <ettore@ximian.com>

	[Hopefully really fix #8615 and friends.]

	* main.c (no_views_left_cb): Invoke `e_shell_disconnect_db()'
	before unreffing the shell.

	* e-shell.c (e_shell_disconnect_db): New.
	(destroy): Call it instead of unreffing the db manually here.

2001-10-12  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c
	(folder_selection_dialog_folder_selected_callback): Don't free the
	folder_command_data here.  It is supposed to be freed in the async
	callback.  The leak that Dan supposedly fixed was probably only
	due to the fact that the component that was supposed to perform
	the xfer didn't report a result.  Now that xfer actually works, it
	was triggering the crash instead.  [Fixes #9769.]

2001-10-12  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-offline-handler.c (prepare_for_offline): Only invoke
	`progress_listener_servant_free()', no need to also do `__fini()'
	on it as `__fini()' is also called by the former.  [Fixes #12329.]
	Also, print out the CORBA exception that gets raised so we have
	some more clues about what is wrong.

2001-10-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c
	(reparent_storage_set_view_box_and_destroy_popup): Don't die if
	the folder_bar_popup is %NULL.  Fixes #10922.

2001-10-11  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (idle_cb): Display the default view only if we are
	starting our own shell, or if the command-line has no arguments
	and we are talking to an already existing shell.

	* e-uri-schema-registry.c
	(e_uri_schema_registry_set_handler_for_schema): Do not return a
	value.

2001-10-11  Dan Winship  <danw@ximian.com>

	* Evolution-Storage.idl: Remove "display_name" arg from update
	methods. It was only there to do the "Inbox (5)" hack, which is
	supported directly now.

	* evolution-storage.c (impl_Storage_updateFolder): no longer takes
	display_name.
	(evolution_storage_update_folder,
	evolution_storage_update_folder_by_uri): Likewise.
	(class_init): Update signal signature.

	* evolution-storage-listener.c
	(impl_GNOME_Evolution_StorageListener_notifyFolderUpdated): No
	longer takes display_name, but make it pass the unread_count along
	in the signal it emits.
	(class_init): Update signal signature.

	* e-local-storage.c (bonobo_interface_update_folder_cb): 
	* e-corba-storage.c (impl_StorageListener_notifyFolderUpdated): No
	longer take display_name.

2001-10-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (handle_evolution_path_drag_motion): Ooops,
	remove debugging message.

2001-10-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage.c (e_storage_async_xfer_folder): Make this a no-op if
	the source and the destination path are the same.

	* e-local-storage.c (impl_async_xfer_folder): return after
	returning `E_STORAGE_CANTCHANGESTOCKFOLDER' to the callback.

	* e-storage-set-view.c (handle_evolution_path_drag_motion): Make
	the check for dragging a folder over itself a little bit more
	accurate.

2001-10-05  Jon Trowbridge  <trow@ximian.com>

	* e-shell-view-menu.c (command_work_offline): This is a message,
	not a warning!
	(command_work_online): This is also a message, not a warning!
	(I'm feeling very anal today.)

2001-10-05  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (idle_cb): Do not invoke
	`e_shell_restore_from_settings()' if `shell' is NULL.

2001-10-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_save_settings): Get the right
	hpaned positions for when the shortcut bar and/or the folder bar
	are visible.

2001-10-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_Shell_handleURI): Handle the return value from
	`evolution_shell_component_client_handle_external_uri()' as an
	EvolutionShellComponentClientResult instead of treating it as a
	boolean.  This prevents the incorrect NotFound exceptions we were
	getting for `mailto:' invocations.

2001-10-05  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (quit_box_new): Also `gdk_flush()'.
	(idle_cb): If the user doesn't specify at least one `evolution:'
	URI, restore from the settings.  [Fixes #6093.]

2001-10-05  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c: New member `ping_timeout_id' in
	`EvolutionShellComponentPrivate'.
	(setup_owner_pinging): New helper function.
	(impl_owner_died): Unref the owner and set ->owner_client to
	%NULL.
	(impl_setOwner): Don't unref here.
	(destroy): Remove the source for ->ping_timeout_id if not -1.

2001-10-05  Ettore Perazzoli  <ettore@ximian.com>

	* main.c: #include "e-util/e-gtk-utils.h".
	(quit_box_new): Queue a draw on the window; otherwise it seems to
	fail to redraw in some cases for some reason [see #11412].

2001-10-05  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-component.c (impl_setOwner): If the owner is
	dead, emit "owner_died" instead of "owner_unset".
	(impl_owner_died): New, default implementation for "owner_died".
	(class_init): Install it.

	* evolution-shell-component.h: New signal "owner_died".

2001-10-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (set_owner_on_components): If setting the owner fails,
	print the a warning message out.  Then restart the component.

	* e-component-registry.c (component_free): Return a boolean value.
	%FALSE if ::unsetOwner raises an exception.
	(register_type): New arg @override_duplicate, to avoid complaining
	if a component gets re-registered.
	(register_component): Likewise.
	(e_component_registry_restart_component): New.

	* e-uri-schema-registry.c
	(e_uri_schema_registry_set_handler_for_schema): Changed return
	type to `void'.  Just remove the old handler and set up the new
	one.

	* evolution-shell-component-client.c (corba_exception_to_result):
	Translate ::OldOwnerHasDied into
	EVOLUTION_SHELL_COMPONENT_OLDOWNERHASDIED.

	* evolution-shell-component.h: New enum value
	`EVOLUTION_SHELL_COMPONENT_OLDOWNERHASDIED'.

	* evolution-shell-component.c (impl_setOwner): If the old owner is
	not alive anymore [use CORBA_Object_non_existent() to figure this
	out], emit OWNER_UNSET and raise `OldOwnerHasDied'.
	(evolution_shell_component_result_to_string): New.

	* Evolution-ShellComponent.idl: New exception `OldOwnerHasDied'.
	(ShellComponent::setOwner): Can raise it.

	* e-folder-type-registry.c
	(e_folder_type_register_type_registered): New.
	(e_folder_type_register_unregister_type): New.

2001-10-04  Rodrigo Moya <rodrigo@ximian.com>

	* importer/Makefile.am: added BONOBO_GNOME_CFLAGS to make it compile
	with latest Bonobo

2001-10-02  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #11326, The folder list can become detached from its parent
	window.]

	* e-shell-view.c (folder_context_menu_popped_down_cb): Pop down
	the folder bar if it's popped up.

2001-10-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_component_maybe_crashed): Make the crash
	message less dorky.  [#10264]

2001-10-02  Ettore Perazzoli  <ettore@ximian.com>

	[Don't allow dragging from a folder to one of its descendants or
	onto itself, when the operation is GDK_DRAG_MOVE.  This fixes bugs
	like #8737.]

	* e-storage-set-view.c (handle_evolution_path_drag_motion): Don't
	highlight if the user is attempting to move a folder to one of its
	descendants.

2001-10-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_construct): Use
	`bonobo_ui_component_new_default()', not
	`bonobo_ui_component_new()'.

2001-10-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (storage_set_removed_folder_callback): New,
	callback for the ::removed_folder signal on the shell's
	EStorageSet.
	(e_shell_view_construct): Connect.
	(e_shell_view_remove_control_for_uri): Removed.

	* e-shell-folder-commands.c
	(folder_selection_dialog_folder_selected_callback): Don't call
	`e_shell_view_remove_control_for_uri()'.
	(e_shell_command_delete_folder): Not here either.  And don't
	display the default URI either.

2001-09-28  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #8053, `GNOME_Evolution_Shortcuts' doesn't seem to work.]

	* e-shell.c (e_shell_construct): Don't create the EShortcuts
	object a second time.

2001-09-28  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #8434, Shortcut bar not shown properly.]

	* e-shell-view.c (e_shell_view_show_shortcut_bar): Set the
	hpaned_position from the EPaned *before* hiding it -- otherwise,
	the position will of course always be zero.
	(e_shell_view_save_settings): Save from ->hpaned_position and
	->view_hpaned_position.

2001-09-28  Iain Holmes  <iain@ximian.com>

	* importer/import.glade: Add new pages.

	* e-shell-importer.c (show_import_wizard): Set up new pages.
	(import_druid_finish): Check which type of importer to run.

2001-09-26  Iain Holmes  <iain@ximian.com>

	* Evolution-Shell.idl: Added a default_type parameter for setting the
	default folder creation type.

	* e-shell-folder-commands.c (e_shell_command_create_new_folder): Add NULL
	for default type.
	(e_shell_command_move_folder): Add NULL for default type.

	* e-shell-folder-creation-dialog.c (add_folder_types): Check for the
	default_type instead of for mail.
	(get_type_from_parent_path): Get the folder type from the parent folder
	(e_shell_show_folder_creation_dialog): Get the default folder type
	before creating the menu.

	* e-shell-folder-creation-dialog.h: Update headers.

	* e-shell-folder-selection-dialog.c (impl_clicked): Add default type.
	(e_shell_folder_selection_dialog_construct): Add default type.
	(e_shell_folder_selection_dialog_new): Add default type.

	* e-shell-folder-selection-dialog.h: Update headers.

	* e-shell-importer.c (import_druid_finish): Add NULL for default type.

	* e-shell-view-menu.c (command_new_folder): Set NULL for default type.
	(command_goto_folder): Set NULL for default type.

	* e-shell.c (impl_Shell_selectUserFolder): Update for the new default
	type.

	* evolution-shell-client.c (user_select_folder): Add "" for default type

2001-09-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (DEFINE_UNIMPLEMENTED): Remove.
	(command_new_mail_message): Removed.
	(command_pilot_settings): New.
	(e_shell_view_menu_setup): Add tools verbs.

2001-09-26  Ettore Perazzoli  <ettore@ximian.com>
	* e-shell-view.c (setup_verb_sensitivity_for_folder): New helper
	function.
	(folder_selected_cb): Call it.
	(folder_context_menu_popping_up_cb): New callback for the
	"folder_context_menu_popping_up" signal on the folder bar's
	EStorageSetView; set the sensitivities of the verbs according to
	the right-clicked folder.
	(folder_context_menu_popped_down_cb): New, callback for the
	"folder_context_menu_popped_down" signal on the folder bar's
	EStorageSetView; set the sensitivities of the verbs according to
	the currently displayed folder.
	(e_shell_view_get_folder_bar_right_click_path): Add a cast to
	placate a warning.

	* e-storage-set-view.c (class_init): Set up the
	"folder_context_menu_popping_up" and
	"folder_context_menu_popped_down" signals.
	(right_click): Emit "folder_context_menu_popping_up" before
	popping up the menu, "folder_context_menu_popped_down" after the
	menu is gone.

	* e-storage-set-view.h: New signals
	"folder_context_menu_popping_up" and
	"folder_context_menu_popped_down".

2001-09-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c (e_shell_command_rename_folder):
	Change the name on the EFolder object too.

2001-09-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage.c (e_storage_async_xfer_folder): Ooops.  Make the
	check for CANTMOVETODESCENDANT really work.

	* e-storage-set-view.c (tree_drag_data_received): Pass the
	EStorageSetView as the data for the async_xfer function.
	(folder_xfer_callback): Display an error dialog if something goes
	wrong.

	* e-shell-view-menu.c (command_rename_folder): Enable again.

	* e-shell-folder-commands.c (e_shell_command_rename_folder):
	Re-implemented.
	(delete_dialog): Use double quotes instead of single quotes around
	the folder name, for consistency with the other dialogs.

2001-09-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view-menu.c (get_path_for_folder_op): New helper
	function.
	(command_move_folder): Pass the @folder_path argument to
	`e_shell_command_move_folder' by using it.
	(command_copy_folder): Pass the @folder_path argument to
	`e_shell_command_copy_folder' by using it.
	(command_delete_folder): Pass the @folder_path argument to
	`e_shell_command_delete_folder()' by using it.
	(command_add_folder_to_shortcut_bar): Pass the @folder_path
	argument to `e_shell_command_add_to_shortcut_bar()' by using it.
	(command_create_folder): Pass the @parent_folder_path argument to
	`e_shell_command_create_new_folder()' by using it.
	(command_new_folder): Use `get_path_for_folder_op()'.

	* e-shell-folder-commands.c (e_shell_command_add_to_shortcut_bar):
	New arg @folder_path.
	(e_shell_command_copy_folder): New arg @folder_path.
	(e_shell_command_move_folder): New arg @folder_path.
	(e_shell_command_open_folder_in_other_window): New arg @folder_path.
	(e_shell_command_create_new_folder): New arg @parent_folder_path.
	(e_shell_command_delete_folder): New arg @folder_path.

	* e-shell-view.c (e_shell_view_get_folder_bar_right_click_path): New.

	* e-storage-set-view.c: New member `right_click_row_path'.
	(init): Init to NULL.
	(destroy): Free.
	(right_click): Set.
	(popup_folder_menu): Use `gnome_popup_menu_do_popup_modal()' so we
	are stuck in here until the menu disappears.  After that, destroy
	the menu and  call `e_tree_right_click_up()'.
	(e_storage_set_view_get_right_click_path): New.

2001-09-21  Iain Holmes  <iain@ximian.com>

	* e-shell-importer.c (folder_selected): Use GNOME functions to get
	full expanded path from file entry.

2001-09-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (tree_drag_motion): Check for a component
	for the given row *after* trying to handle
	EVOLUTION_PATH_TARGET_TYPE.  Otherwise, we always fail in the case
	of dnd between a folder and the toplevel node of its storage.
	(find_matching_target_for_drag_context): If not on a folder,
	always return EVOLUTION_PATH_TARGET_TYPE.

2001-09-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (storage_set_view_box_event_cb): Removed.
	(folder_bar_popup_map_callback): Don't connect.
	(reparent_storage_set_view_box_and_destroy_popup): Don't ungrab
	here.
	(popdown_transient_folder_bar): Ungrab here.
	(popdown_transient_folder_bar_idle): New.
	(switch_on_folder_tree_click): Invoke it in the idle loop.  Also,
	ungrab.

2001-09-20  Iain Holmes  <iain@ximian.com>

	* e-shell-startup-wizard.c (e_shell_startup_wizard_create): Check
	the number of mail accounts that exist and display the dialog it this
	is 0.

2001-09-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-task-widget.c: New member `tooltips' in `ETaskWidgetPrivate'.
	(init): Init to NULL.
	(e_task_widget_construct): Create a GtkTooltips and make
	`tooltips' point to it.
	(e_task_widget_update): Set the tooltip for the label too.

2001-09-19  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c: Removed globals `activity_client',
	`progress'.
	(timeout_callback_3): Get the activity client from @data.
	(timeout_callback_2): Likewise here.  Pass the activity client as
	the user data pointer for `gtk_timeout_add()'.  Put the progress
	count in a "my_progress" GtkObject data key.
	(timeout_callback_1): Pass the newly created EActivityClient as
	the user data pointer for `gtk_timeout_add()'.  Also, dispatch
	itself again with a random timeout delay, for a maximum of
	NUM_ACTIVITES times.  Initialize the "my_progress" GtkObject data
	to be -1.

	[Lame hack to reduce the number of parallel operations reported by
	the same component displayed in the task bar.]

	* e-activity-handler.c: New member `component_id' in
	`ActivityInfo'.
	(activity_info_new): New arg @component_id.  Init the
	`component_id' member accordingly.
	(activity_info_free): Free the `component_id' member.
	(impl_operationStarted): Pass the component_id to
	`activity_info_new()'.
	(task_widget_new_from_activity_info): Pass the component_id to the
	activity_info.

	* e-task-widget.c: New member `component_id' in
	`ETaskWidgetPrivate'.
	(impl_destroy): Free it.
	(init): Init to NULL.  Also init all the other members to NULL as
	well.
	(e_task_widget_construct): New arg @component_id.  Assign
	->component_id to match it.
	(e_task_widget_new): New arg @component_id here as well.  Pass it
	over to `e_task_widget_construct()'.
	(e_task_widget_get_component_id): New.

2001-09-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (handle_evolution_path_drag_motion): New
	arg @row.  Highlight that row.
	(tree_drag_motion): Pass @row to
	`handle_evolution_path_drag_motion()'.

2001-09-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-splash.c: #include "e-gtk-utils.h".

2001-09-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-splash.c (e_splash_construct): Make the canvas backing stored.

2001-09-17  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (quit_box_new): Call `e_make_widget_backing_stored()' on
	the widget so it refreshes properly even when we are busy waiting
	on CORBA calls.

2001-09-17  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (quit_box_new): New.
	(quit_box_destroyed_callback): New.
	(no_views_left_cb): Use these two functions to display a warning
	message when Evolution is quitting.

2001-09-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_Shell_getLocalStorage): Only raise NotReady if
	the local storage pointer is actually NULL.  This way it is
	possible for the components to access the local storage during
	initialization even if the shell is not quite finished
	initializing yet.

2001-09-17  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #9060, Shell crash after mailer crash.]

	* e-shell-view.c (hash_foreach_destroy_view): Renamed from
	`hash_forall_destroy_view'.  Don't free `name'.
	(socket_destroy_cb): Use `g_hash_table_lookup()' instead of
	`g_hash_table_lookup_extended()'.  Don't free the URI.
	(e_shell_view_remove_control_for_uri): Likewise.
	(show_existing_view): Use view->uri as the key when inserting the
	view.  Remove the old view from the hash when destroying it.
	(create_new_view_for_uri): Same here.

2001-09-16  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_show_folder_bar): Hide the
	storage_set_view_box *before* getting the child1_size [otherwise,
	the latter will, um, always be zero].

2001-09-16  Christopher James Lahey  <clahey@ximian.com>

	* e-storage-set-view.c (etree_get_node_by_id): Made save_id const
	here.

2001-09-14  Ettore Perazzoli  <ettore@ximian.com>

	[Automake 1.5 fixes pointed out by Richard Boulton
	<richard@tartarus.org>, as per #9258.]

	* importer/Makefile.am (CLEANFILES): Assign directly using `=',
	instead of `+='.
	* Makefile.am (CLEANFILES): Likewise.

2001-09-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_Shell_getLocalStorage): Return a proper value.
	(impl_Shell_createStorageSetView): Likewise.
	(impl_Shell_setLineStatus): Likewise.
	(impl_Shell__get_displayName): Likewise.
	(impl_Shell_getComponentByType): Likewise.
	(impl_Shell_createNewView): Likewise.
	(impl_Shell_handleURI): Likewise.

2001-09-14  Iain Holmes  <iain@ximian.com>

	* e-shell-importer.c (start_import): Only check for local path if the
	folderpath != NULL.

	* e-shell-startup-wizard.c (prepare_importer_page): Remove GTK_CLIST 
	cast.

2001-09-12  Iain Holmes  <iain@ximian.com>

	* evolution-wizard.c: Remove spewage.

2001-09-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-importer.c (start_import): Removed unused variable.

2001-09-14  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #8204 and the other bugs caused by allowing invocations on
	the ::Shell interface to happen before the shell is actually fully
	initialized.  This is a lame hack and not a nice, complete
	solution for the problem, but it should do for now.]

	* e-shell.c: New member `is_initialized' in `EShellPrivate'.
	(init): Initialize to %FALSE.
	(e_shell_construct): Set `is_initialized' to %TRUE after the
	initialization sequence is finished.
	(raise_exception_if_not_ready): New utility function to raise the
	notReady exception if the shell is not ready.
	(impl_Shell__get_displayName): Call it.
	(impl_Shell_getComponentByType): Likewise.
	(impl_Shell_createNewView): Likewise.
	(impl_Shell_handleURI): Likewise.
	(impl_Shell_selectUserFolder): Likewise.
	(impl_Shell_getLocalStorage): Likewise.
	(impl_Shell_createStorageSetView): Likewise.
	(impl_Shell_setLineStatus): Likewise.
	(e_shell_construct): Print out the repo_id of the exception from
	`bonobo_get_object()' if it fails.  Also, register on OAF just
	before displaying the splash.

	* Evolution-Shell.idl: New exception `NotReady'.  All the CORBA
	methods on ::Shell can now raise this exception.

2001-09-13  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #5990, Remembering Evolution window geometry.]

	* e-shell.c (impl_Shell_createNewView): gtk_widget_show() the new
	view returned by `e_shell_create_view()'.
	(e_shell_restore_from_settings): Same here, after loading the
	settings.

	* e-shell-view.c (activate_shortcut_cb): gtk_widget_show() the new
	view returned by `e_shell_create_view()'.

	* e-shell-view-menu.c (command_open_folder_in_new_window):
	gtk_widget_show() the view returned by `e_shell_create_view()'.

	* e-shell-folder-commands.c
	(e_shell_command_open_folder_in_other_window): gtk_widget_show()
	the view returned by `e_shell_create_view()'.

	* e-shell.c (e_shell_create_view): Don't show the view
	automatically anymore.

	* e-shell-view.c (e_shell_view_save_settings): Save the width and
	height of the window.
	(e_shell_view_load_settings): Restore the width and the height and
	gtk_window_set_default_size() based on them.

2001-09-13  Ettore Perazzoli  <ettore@ximian.com>

	[Remove a bunch of debugging messages, as per #7741.]

	* evolution-wizard.c (impl_GNOME_Evolution_Wizard_notifyAction):
	Removed debugging messages.

	* e-storage-set.c (storage_removed_folder_cb): Removed debugging
	message.

	* e-storage-set-view.c (tree_drag_begin): Removed debugging
	message.
	(tree_drag_data_received): Removed debugging messages.

	* e-shortcuts.c (idle_cb): Removed debugging message.

	* e-shortcuts-view-model.c (get_icon_for_item): Removed debugging
	message.

	* e-shell.c (setup_components): Removed debugging message.

	* e-shell-startup-wizard.c (druid_event_notify_cb): Removed
	debugging message.
	(e_shell_startup_wizard_create): Removed debugging message.

	* e-shell-offline-handler.c (finalize_offline_hash_foreach):
	Removed debugging message.

	* e-shell-importer.c (start_import): Removed debugging message.
	(item_selected): Same here.

	* e-local-storage.c (async_xfer_folder_step): Removed debugging
	message.

	* e-corba-storage.c (impl_StorageListener_notifyFolderCreated):
	Changed the error from a g_print() into a g_warning().  Removed
	debugging message.

	* e-corba-storage-registry.c (impl_StorageRegistry_addStorage):
	Removed debugging message.
	(impl_StorageRegistry_removeStorageByName): Likewise.

	* e-component-registry.c (component_free): Removed debugging
	message.
	(register_component): Don't printf() about the registered folder
	type.
	(register_component): Don't printf() about the registered schema
	type.

2001-09-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (pop_up_folder_bar): Disable DnD on the
	EStorageSetView to avoid strange behaviors.
	(reparent_storage_set_view_box_and_destroy_popup): Re-enable DnD
	here.
	(popdown_transient_folder_bar): And here as well.

	* evolution-storage-set-view-factory.c
	(evolution_storage_set_view_factory_new_view): Disable DnD on the
	EStorageSetView.

	* e-shell-folder-selection-dialog.c
	(e_shell_folder_selection_dialog_construct): Disable DnD on the
	EStorageSetView.

	* e-shell-folder-creation-dialog.c (add_storage_set_view): Disable
	DnD on the EStorageSetView.

	* e-storage-set-view.c: New member `allow_dnd' in
	`EStorageSetViewPrivate'.
	(init): Init to `allow_dnd' %TRUE.
	(tree_start_drag): If `allow_dnd' is false, don't start the drag
	and return %FALSE.
	(tree_drag_motion): If `allow_dnd' is false, return %FALSE.
	(e_storage_set_view_get_allow_dnd): New.
	(e_storage_set_view_set_allow_dnd): New.

2001-09-12  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (main): Add SUB_VERSION to the version string passed to
	`gnome_init_with_popt_table()'.

2001-09-12  Chris Toshok  <toshok@ximian.com>

	* e-shell-importer.c (start_import): only allow importing to
	/local folders.

2001-09-12  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #4962, "Highlighting is left after a drag".]

	* e-storage-set-view.c (tree_drag_motion): Only highlight when
	moving over allowed targets.

2001-09-12  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-title-bar.c (unrealize): Only
	gtk_widget_destroy() the icon_widget if it's not NULL.

2001-09-12  Iain Holmes  <iain@ximian.com>

	* importers/evolution-importer-client.c 
	(evolution_importer_client_process_item): Remove spew.

2001-09-10  Dan Winship  <danw@ximian.com>

	* e-shell-view.c (socket_destroy_cb): Oops. Remove duplicate free.

2001-09-09  Dan Winship  <danw@ximian.com>

	Purify run. All small leaks.
	
	* e-shell-folder-commands.c
	(folder_selection_dialog_folder_selected_callback): Free the
	folder_command_data when destroying the dialog.

	* e-local-storage.c (remove_folder): Free physical_uri if we
	allocated it.

	* e-shortcuts-view.c (pop_up_right_click_menu_for_group): Unref
	the popup menu, don't destroy it.
	(destroy_group_cb): Free the question string.
	(rename_group_cb): Free the new_name.

	* e-shell-importer.c (create_plugin_menu): Free the list of
	importers.
	(get_iid_for_filetype): Likewise.
	(import_druid_finish): #ifdef out some g_strdups that are only
	used by other #ifdef'ed-out code.

	* e-shell-view.c: Make sure the keys in the uri_to_view hash get
	freed.

	* e-shell-folder-title-bar.c (set_title_bar_label_style): Unref
	the style after setting it on the widget.

	* e-shell-offline-handler.c (impl_destroy): free priv.

	* e-storage-set-view.c (tree_drag_data_received): Make sure
	target_type always gets freed.

	* e-shell-folder-creation-dialog.c (add_folder_types): Don't leak
	the type names.

2001-09-07  Iain Holmes  <iain@ximian.com>

	* e-shell-startup-wizard.c (prepare_importer_page): New design.
	(make_importer_page): Remove the extra widgets for the new design.

2001-09-07  Christopher James Lahey  <clahey@ximian.com>

	* e-storage-set-view.c (tree_start_drag): Changed this to use the
	new ETable/ETree drag stuff.

2001-09-07  Dan Winship  <danw@ximian.com>

	* evolution-shell-component-client.c
	(evolution_shell_component_client_new): Remove the "see previous
	error messages?" comment from the error message when starting a
	component, since oafd eats the output of the components it
	launches now, so it's just misleading.

2001-09-06  Chris Toshok  <toshok@ximian.com>

	* evolution-storage.c (impl_Storage_async_remove_folder): change
	to match create_folder.
	(e_marshal_NONE__POINTER_POINTER_POINTER): new marshaller for
	remove_folder.
	(class_init): make sure to use the right marshaller for
	create/remove_folder.

	* evolution-storage.h: change the signature of both the
	create_folder and remove_folder signals to be more in line with
	what's in evolution-storage.c.  They both take a Bonobo_Listener
	which the signal func notifies, instead of synchronously returning
	the result.

2001-09-06  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-activity-client.c (evolution_activity_client_update):
	Allow a value of -1.0 for @progress [which means "unknown
	progress"].

2001-09-05  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #958, ShellComponents should not be created by factories, for
	the test component.]

	* GNOME_Evolution_TestComponent.oaf: Remove the factory.

	* evolution-test-component.c (COMPONENT_FACTORY_ID): Removed.
	(component_factory_init): Removed.
	(register_component): Rename from `component_fn'.  No args, no
	return value.  Register the thing on OAF by yourself instead of
	using a factory.

2001-09-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view.c (get_shortcut_info): New.
	(get_efolder_from_shortcut): Removed.
	(impl_shortcut_dropped): Use `get_shortcut_info()' instead.

2001-09-05  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (development_warning): s/Evolution/Ximian Evolution/.
	(idle_cb): Likewise.

	* e-splash.c (e_splash_construct): s/Evolution/Ximian Evolution/.

	* e-shell-view.c (e_shell_view_construct): s/Evolution/Ximian
	Evolution/.
	(update_for_current_uri): Likewise.
	(update_offline_toggle_status): Likewise.

	* e-shell-view-menu.c (command_about_box): s/Evolution/Ximian
	Evolution/.

2001-09-04  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #6474 and friends, crash when selecting things from the
	context activity context menu.]

	* e-activity-handler.c: New member `menu' in struct
	`ActivityInfo'.
	(activity_info_new): Init to NULL.
	(show_cancellation_popup): Set the `menu' member to point to this
	newly created pop-up, use `gnome_popup_menu_do_popup_modal()'
	instead of `gnome_popup_menu_do_popup()', and set the `menu'
	member to NULL when the menu is gone.
	(activity_info_free): Destroy `menu' member.
	(impl_requestDialog): Return
	`GNOME_Evolution_Activity_DIALOG_ACTION_ERROR' instead of nothing.

2001-09-04  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #6971, Default folder should be the Summary.]

	* main.c (idle_cb): s/DEFAULT_URI/E_SHELL_VIEW_DEFAULT_URI/.

	* e-shell.c (e_shell_create_view):
	s/DEFAULT_URI/E_SHELL_VIEW_DEFAULT_URI/.

	* e-shell-view.c (socket_destroy_cb):
	s/DEFAULT_URI/E_SHELL_VIEW_DEFAULT_URI/.
	(e_shell_view_save_settings): Likewise.

	* e-shell-folder-commands.c (e_shell_command_delete_folder):
	s/DEFAULT_URI/E_SHELL_VIEW_DEFAULT_URI/.

	* e-shell-view.h (DEFAULT_URI): Rename to
	`E_SHELL_VIEW_DEFAULT_URI'.  Change from "evolution:/local/Inbox"
	to be "evolution:/summary".

2001-09-04  Ettore Perazzoli  <ettore@ximian.com>

	[Fix ^#7675, Crashes trying to empty trash folder.]

	* e-shortcuts.c (e_shortcuts_construct): Use
	`gtk_signal_connect_while_alive()' so we don't invoke the
	callbacks on dead EShortcuts objects.

2001-09-04  Iain Holmes  <iain@ximian.com>

	* e-shell-importer.c (start_importer): Report errors in a dialog.

2001-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-activity-handler.c (impl_operationProgressing): Just ignore
	the request if the activity handler has the GTK_OBJECT_DESTROYED()
	flag set.  This should prevent crashes like #7542 and friends when
	the components are not well-behaved enough to respect the Bonobo
	refcounting.
	(impl_operationStarted): Likewise.
	(impl_operationFinished): Likewise.
	(impl_requestDialog): Likewise.

2001-09-04  Iain Holmes  <iain@ximian.com>

	* e-shell-importer.c (start_import): Check the file exists before trying
	to do anything.

2001-09-04  Iain Holmes  <iain@ximian.com>

	* e-shell.c (e_shell_construct): Make the other components shut down
	correctly when the first time dialog is cancelled.

2001-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (tree_drag_motion): Remove debugging
	message.
	(tree_drag_motion): Likewise.

2001-09-04  Ettore Perazzoli  <ettore@ximian.com>

	[Patch from Richard Boulton <richard@tartarus.org> to fix #8497,
	"Warning when shutting view: RootNode not found".]

	* e-storage-set-view.c (e_storage_set_view_construct): Add the
	root node to the hash.
	(e_storage_set_view_set_show_folders): Likewise.

2001-08-30  Peter Williams  <peterw@ximian.com>

	* e-local-storage.c (async_xfer_folder_complete): Remove the folder from
	the EvolutionStorage as well as the EStorage.

2001-08-29  Peter Williams  <peterw@ximian.com>

	* e-storage-set-view.c (etree_node_destroy_func): Only call
	remove_node_from_hash if it's not the root node.
	(removed_storage_cb): Don't remove the node from the hash here,
	because it will be removed in the node_destroyed callback.
	(removed_folder_cb): Same.

	* e-shell-view.c (e_shell_view_remove_control_for_uri): Disconnect
	from the destroy signal so as not to confuse ourselves. Also, the
	page remove in the notebook destroys the control and the socket, so don't
	do that explicitly.

	* e-shell-folder-commands.c
	(folder_selection_dialog_folder_selected_callback): Remove the control
	for the source view if we're moving.

2001-08-31  Zbigniew Chyla  <cyba@gnome.pl>

	* e-local-storage.c
	(setup_folder_as_stock): Don't convert folder name to UTF-8 manually...
	(setup_stock_folders): ... just use U_() here.
	(impl_get_display_name): Marked string for translation (with U_).

	* e-storage-set-view.c
	(storage_sort_callback): s/strcasecmp/g_utf8_collate/
	(folder_sort_callback): ditto

	* e-summary-storage.c (impl_get_display_name):
	Marked string for translation (with U_).

2001-08-29  Iain Holmes  <iain@ximian.com>

	* e-local-storage.c (notify_listener): Function to create CORBAany
	and notify listeners.
	(component_async_create_folder_callback): Notify the listener again.
	(create_folder): Handle the Bonobo_Listener again and make it async.
	(impl_async_create_folder): Pass CORBA_OBJECT_NIL as the listener.
	(bonobo_interface_create_folder_cb): Make async.

	* evolution-storage.c (notify_bonobo_listener): Removed this broken
	broken function.
	(impl_Storage_async_create_folder): Make async, duplicate the listener
	instead of notifying it.
	(impl_Storage_async_remove_folder): Notify listener by hand.
	(e_marshal_NONE__POINTER_POINTER_POINTER_POINTER_POINTER): Return of the
	worst signal marshaller in Scotland.
	(class_init): Use the above marshaller for the create_folder signal.

2001-08-30  Jeffrey Stedfast  <fejj@ximian.com>

	* e-shell-folder-creation-dialog.c (entry_name_is_valid): Check
	for \r in the folder name, this is an invalid char. Also take a
	"reason" argument so we can inform the user why his folder name is
	invalid.
	(dialog_clicked_cb): Tell the user why the folder name is invalid.

2001-08-28  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #8125, Evolution crashes while starting.]

	* e-shortcuts.c (load_shortcuts): Handle the case when there is no
	URI without crashing.  Only add shortcuts when they are evolution:
	URIs.

2001-08-27  Ettore Perazzoli  <ettore@ximian.com>

	* Evolution-ShellComponent.idl: Studlycapsize all the IDs that are
	not.
	* Evolution-common.idl: Likewise.
	* evolution-activity-client.c: Updated accordingly.
	* evolution-shell-component.c: Likewise.
	* evolution-storage.c: Likewise.
	* e-activity-handler.c: Likewise.
	* e-component-registry.c: Likewise.
	* e-corba-storage.c: Likewise.
	* e-shell-user-creatable-items-handlers.c: Likewise.

	* e-local-storage.c (remove_folder): Remove unused variable.

	* e-shell-view.c (update_for_current_uri): Assign zero to
	`unread_count', not NULL.

	* e-shell-importer.c (import_druid_finish): Remove unused
	variable.

	* e-shell-user-creatable-items-handler.c: #include
	"e-corba-utils.h".

	* e-shell-startup-wizard.c: #include "e-shell-startup-wizard.h".

	* e-shell-startup-wizard.h: #include <glib.h>

2001-08-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (update_for_current_uri): Also display the unread
	count in the title bar.

2001-08-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-setup.c (copy_default_stuff): Remove the stupid "do you want
	me to initialize stuff?" dialog.

2001-08-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c: Change the `selected_row_path' to be
	non-const.
	(destroy): Free it.
	(e_storage_set_view_set_current_folder): Set the selected_row_path
	to be this path.
	(tree_drag_begin): Free the selected_row_path and strdup() the
	value we assign.

2001-08-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_remove_control_for_uri): Ooops.
	Save the pointer to the control for use after the view struct is
	freed.

2001-08-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c: New struct `View'.  Replace `uri_to_control' in
	`EShellViewPrivate' with `uri_to_view'.
	(view_new): New.
	(hash_forall_destroy_view): New, replacing
	`hash_forall_destroy_control'.
	(destroy): Updated to match the uri_to_control -> uri_to_view
	changes.
	(socket_destroy_cb): Likewise.
	(get_view_for_uri): Renamed from `get_control_for_uri'.  Return a
	View instead of a GtkWidget.
	(show_existing_view): Updated to use `get_view_from_uri', get a
	@view instead of a @control.
	(e_shell_view_display_uri): Updated to use `uri_to_view' instead
	of `uri_to_control'.
	(e_shell_view_remove_control_for_uri): Likewise.

2001-08-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (update_folder_title_bar): Changed to get a
	@title and a @type.
	(update_for_current_uri): Updated accordingly.
	(update_window_icon): Get a @type instead of a @folder.
	(update_for_current_uri): Updated accordingly.

2001-08-24  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #5978, "If a component dies, it's toolbar buttons remain".]

	* e-shell-view.c (socket_destroy_cb): If the view belongs to a
	toplevel storage node, get the right type information with
	`e_storage_get_toplevel_node_uri()' instead of trying to get the
	[non-existing] folder for it.

2001-08-24  Iain Holmes  <iain@ximian.com>

	* e-shell-startup-wizard.c (druid_event_notify_cb): Implement the other
	missing events.
	(make_identity_page):
	(make_receive_page):
	(make_extra_page):
	(make_transport_page):
	(make_management_page): Add the GnomeDruidPages to the page_list.

2001-08-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts-view.c: Added accelerators for the right-click
	shortcut menu.

2001-08-23  Zbigniew Chyla  <cyba@gnome.pl>

	* e-shortcuts.c (e_shortcuts_add_default_group): Convert names of the
	default group and shortcuts to UTF-8 (still no U_ :().

2001-08-23  Zbigniew Chyla  <cyba@gnome.pl>

	* e-shortcuts-view.c (destroy_group_cb): Convert the name of the group
	to GTK+ locale before displaying it in a dialog.

2001-08-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (tree_drag_data_received): If we get no
	data, don't notify the receiving component at all.

2001-08-23  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #5736, crashing when copying a message with drag and drop.]

	* e-storage-set-view.c (tree_drag_data_received): Handle NULL data
	gracefully.

2001-08-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage.c (e_storage_async_xfer_folder): If the remove_source
	is %TRUE and destination is a descendant of the parent, pass an
	`E_STORAGE_CANTMOVETODESCENDANT' error code to the callback.

	* e-storage.h: New value `E_STORAGE_CANTMOVETODESCENDANT' in
	`EStorageResult'.

2001-08-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c
	(folder_selection_dialog_folder_selected_callback): Actually
	return if the folder is being moved into one of its descendants.

2001-08-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-title-bar.c (label_realize_callback): `#if 0'ed
	out.
	(make_bold): Likewise.
	(e_shell_folder_title_bar_construct): Don't call it.

	* e-local-storage.c (component_async_remove_folder_callback): Only
	remove the directory if the component succeeds.

2001-08-22  Peter Williams  <peterw@ximian.com>

	* e-local-storage.c (async_xfer_folder_callback): Fix the improper
	construction of the new folder's physical URI.

2001-08-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-local-storage.c (remove_folder): Don't remove the folder
	directory here.
	(component_async_remove_folder_callback): Remove it here instead.

2001-08-22  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #7775, crash trying to do New Task]

	* e-shell-user-creatable-items-handler.c (verb_fn): Make sure we
	don't pass NULL strings to
	`GNOME_Evolution_ShellComponent_userCreateNewItem()'.

2001-08-21  Damon Chaplin  <damon@ximian.com>

	* e-gray-bar.c (endarken_style): unref the rc_style.

2001-08-21  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c: #include "e-shell-startup-wizard.h".

	* e-shell-startup-wizard.h: New.

2001-08-21  Iain Holmes  <iain@ximian.com>

	* e-shell-startup-wizard.c (make_mail_dialog_pages): Show an error
	window if mailer doesn't respond.

2001-08-21  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-title-bar.c (label_realize_callback): Fix a leak:
	unref the EFont after we have used it.  Also, don't crash if
	`e_font_to_gdk_font()' returns NULL.  [This should fix #7666,
	Folder View crashes Evo.]

2001-08-21  Iain Holmes  <iain@ximian.com>

	* e-shell-importer.c (start_import): Don't print a NULL.

2001-08-20  Iain Holmes  <iain@ximian.com>

	* e-shell-importer.c (import_druid_finish): Do the correct thing when
	the new folder button is clicked.
	(folder_selected): Import the file.
	(folder_cancelled): Kill the dialog.

2001-08-18  Iain Holmes  <iain@ximian.com>

	* e-shell-startup-wizard.c (make_identity_page):
	(make_receive_page):
	(make_extra_page):
	(make_transport_page):
	(make_management_page): Check that the mailer has been inited correctly.
	(e_shell_startup_wizard_create): If some of the pages could not be 
	created, just stop trying to show the startup wizard.

2001-08-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (e_shell_view_load_settings): Don't set the
	paneds' positions if the respective left-hand elements [i.e. the
	shortcut bar and the folder bar] are hidden.
	(e_shell_view_show_folder_bar): Set the paned position to zero
	when hiding.
	(e_shell_view_show_shortcut_bar): Likewise.

2001-08-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-startup-wizard.c (finish_func): Don't free the returned
	displayname.

2001-08-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (pop_up_folder_bar): Make sure we display a pin
	when we are popped up.

2001-08-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (setup_widgets): Don't set the paned tree
	position.

2001-08-19  Chris Toshok  <toshok@ximian.com>

	* evolution-shell-component.c (impl__get_supported_types): fill
	the corba sequence for the accepted_dnd_types.

2001-08-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-view.c (setup_storage_set_subwindow): Don't show the
	vbox here.
	(setup_widgets): Don't show the storage_set_view_box here.

2001-08-20  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-test-component.c: Added display_name and description
	to the type.

	* evolution-shell-component.c (impl__get_supported_types): Pass
	`display_name' and `description' here.
	(evolution_shell_component_construct): Likewise.

	* evolution-shell-component.h: New members `display_name',
	`description' in `EvolutionShellComponentFolderType'.

	* e-component-registry.c (register_type): New args @description
	and @display_name.  Pass to
	`e_folder_type_registry_register_type()'.
	(register_component): Pass the values returned in the sequence
	from __get_supported_types.

	* e-folder-type-registry.c: New members `display_name' and
	`description' in `struct _FolderType'.
	(folder_type_new): New args @description and @display_name.
	Initialize the respective fields in the `FolderType' accordingly.
	(folder_type_free): Free `display_name' and `description'.
	(register_folder_type): New args @display_name, @description.
	(e_folder_type_registry_register_type): New args @display_name,
	@description.
	(e_folder_type_registry_get_description_for_type): New.
	(e_folder_type_registry_get_display_name_for_type): New.

	* Evolution-ShellComponent.idl: Added `display_name' and
	`description' fields to the `FolderType' struct.

2001-08-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (destroy): Put the bonobo_object_release_unref() for
	the db at the top in an attempt to fix #7542.

2001-08-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-summary-storage.c (e_summary_storage_new): Change type of
	toplevel node from "Summary" to "summary".  [All the other folder
	types use lowercase names.]

	* e-shortcuts.c (load_shortcuts): Also use the display name for
	the storage.

2001-08-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-shortcuts.c (load_shortcuts): Use xmlMemStrdup() to override
	the type as it's expected to be allocated by libxml later on.
	Also, get the icon for the storage if the shortcut points to a
	storage.

	* e-storage-set-view.c (etree_icon_at): Don't special case the
	Summary storage.  Rather, use `e_storage_get_toplevel_node_type()'
	for getting the type of the node.

